Thu Dec 30 12:54:28 2004  Chris Cleeland  <cleeland@ociweb.com>

	* NEWS: Updated to include latest release news.

Thu Dec 30 11:44:51 2004  Steve Huston  <shuston@riverace.com>

        * NEWS: Noted that the autoconf stuff gave up on complete automation
	  via MPC-generation of the Makefile.am files. Autoconf should work
	  mostly for 5.4.3 and completely before 5.5.

Wed Dec 29 18:53:12 2004  Steve Huston  <shuston@riverace.com>

	* tests/run_test.pl: If running a WinCE test, the log file has a
	  .txt suffix, not .log. If it's .log, there's no (easy) way to look
	  at the file on the device itself, so they're named .txt.

Tue Dec 28 19:45:58 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release:

	  Added .png to the list of files that needs to be omitted from
	  LF->CRLF conversions. Thanks to Johnny for pointing this out.

Sat Dec 25 20:58:12 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

 	* bin/make_release:

          Generated textual version of TAO-INSTALL.html and
	  CIAO-INSTALL.html within the distribution.

Wed Dec 22 12:47:19 2004  Steve Huston  <shuston@riverace.com>

	* ACE-INSTALL.html: Revised the platforms and support section to
	  reflect the need for actively maintained platforms to be represented
	  on the build scoreboard. Old, unmaintained platforms are subject to
	  deprecation and removal.

Wed Dec 22 11:35:07 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* configure.ac:
	* m4/ace.m4:
	* m4/compiler.m4:
	* m4/platform.m4:

	  Reverted change described in "Sun Dec 19 14:23:53 2004 ..." that
	  changed "$host" to "$target".  The latter is only used by tool
	  chains (compilers, linkers, etc) and is not needed in ACE's
	  case.  To enable cross-compilation support, users should set the
	  host platform via the "--host" configure script option, as
	  described in the "./configure --help" output.

Wed Dec 22 11:17:57 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/show_unused_macros.pl:

          This script will find macros in specified config files that
          are not referenced in other config files, but are referenced
          in the rest of the ace source files.  The macros that it shows
          are candidates for removal from ace.

Wed Dec 22 08:00:33 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/ftclientorb.mpb:
        * bin/MakeProjectCreator/config/ftserverorb.mpb:

          These both require interceptors to function properly.

        * bin/tao_other_tests.lst:

          Added !STATIC to the following:

            TAO/performance-tests/Protocols/run_test.pl
            TAO/orbsvcs/tests/Notify/Basic/run_test.pl notify.rt.conf

          Added !MINIMUM to the following:

            TAO/orbsvcs/tests/Bug_1393_Regression/run_test.pl
            TAO/orbsvcs/tests/Bug_1395_Regression/run_test.pl
            TAO/orbsvcs/tests/Bug_1436_Regression/run_test.pl
            TAO/orbsvcs/tests/Bug_1437_Regression/run_test.pl

          Added !DISABLE_INTERCEPTORS to the following:

            TAO/orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/run_test.pl
            TAO/orbsvcs/tests/FaultTolerance/IOGR/run_test.pl
            TAO/orbsvcs/tests/FaultTolerance/IOGRManipulation/run_test.pl

          Added !NO_MESSAGING to the following:

            TAO/orbsvcs/tests/Log/Basic_Log_Test/run_test.pl
            TAO/orbsvcs/tests/BiDir_CORBALOC/run_test.pl
            TAO/orbsvcs/tests/Bug_1395_Regression/run_test.pl
            TAO/orbsvcs/tests/Bug_1437_Regression/run_test.pl

        * tests/Multicast_Test.cpp:

          If the wait() for the consumer thread fails, we need to forcably
          shutdown that thread so that it does not reference deleted memory.

Tue Dec 21 12:17:50 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/PerlACE/Process_Win32.pm:

          Take into account the fact that installed binaries do not conform
          to the -ExeSubDir option.

Tue Dec 21 04:52:25 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Release:
        * bin/make_release:

          Udated them to add the correct versions of files.

Mon Dec 20 17:38:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Added missing : between tests and LynxOS

Mon Dec 20 08:33:28 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added test for ACE_LACKS_UMASK.

Mon Dec 20 08:10:31 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Replaced autoheader templates for type and size in config_h.m4
          with a third argument to AC_DEFINE in configure.ac.

Mon Dec 20 09:40:22 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          Re-removed TAO/orbsvcs/tests/Notify/Lanes/run_test.pl and
          TAO/orbsvcs/tests/Notify/ThreadPool/run_test.pl.  These tests
          require more scheduling priorities than most of the nightly build
          systems have access to as a regular user.

Mon Dec 20 16:47:08 2004  Olli Savia  <ops@iki.fi>

        * ace/Mem_Map.h:
        * ace/Mem_Map.inl:
        * ace/Mem_Map.cpp:
        * ace/OS_NS_sys_mman.inl:
          Replaced ACE_HAS_LYNX_BROKEN_MMAP with ACE_HAS_LYNXOS_BROKEN_MMAP
          to be more consistent in macro naming.

        * ace/Time_Value.h:
          Removed unnecessary LynxOS specific includes.

        * ace/config-lynxos.h:
          Added #define ACE_HAS_LYNXOS_BROKEN_MMAP.

        * tests/Cached_Conn_Test.cpp:
        * tests/Priority_Reactor_Test.cpp:
        * tests/Reader_Writer_Test.cpp:
        * tests/TSS_Test.cpp:
        * tests/Thread_Mutex_Test.cpp:
          Removed unnecessary LynxOS specific code.

        * tests/run_test.lst:
          Enabled/disabled some test for LynxOS.

Mon Dec 20 14:19:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-WinCE.h:
          Added ACE_LACKS_TEMPNAM

        * ace/OS_NS_stdlib.inl:
          Simplified tempnam implementation and replaced several C-style
          casts with their C++ version. Removed obsolete gets that was
          commented out.

        * ace/OS_NS_stdlib.h:
          Changed some comments to doxygen style

Mon Dec 20 13:36:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_arpa_inet.cpp:
          Replace C-style cast with C++ const_cast

        * ace/config-vxworks5.x.h:
          Updated supported versions

        * ace/config-openvms.h:
          Removed old comments

Mon Dec 20 13:26:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_semaphore.h:
          Removed not needed include of semLib.h with VxWorks. The file
          semaphore.h does this already.

Mon Dec 20 13:12:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Stream.{cpp,inl}:
          Removed the read_float and write_float from the cpp file and removed
          the guards around it in the inl file. When VXWORKS was set, but not
          ghs we didn't get any of the methods. This seems a very old
          workaround so zap it, we don't need it anymore and caused problems

Mon Dec 20 12:54:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/INET_Addr.cpp {get_port_number_from_name):
          Only check for ACE_LACKS_GETSERVBYNAME, VxWorks and Chorus have
          this define also set

Mon Dec 20 11:44:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
        * ace/README:
        * ace/OS_NS_dirent.inl:
          Added ACE_HAS_NONCONST_OPENDIR

Mon Dec 20 11:35:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
        * ace/README:
        * ace/OS_NS_unistd.inl:
          Added ACE_HAS_NONCONST_UNLINK

Mon Dec 20 11:29:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
        * ace/README:
        * ace/OS_NS_unistd.inl:
          Added ACE_HAS_NONCONST_RMDIR

        * ace/OS_NS_unistd.inl:
          Merged the two ACE_OS::getopt methods to one, no need to have a special
          win32 not supported version

Mon Dec 20 11:18:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
        * ace/README:
        * ace/OS_NS_unistd.inl:
          Added ACE_HAS_NONCONST_CHDIR

Mon Dec 20 11:01:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-integritySCA.h:
        * ace/config-psos-diab-mips.h:
        * ace/config-psos-diab-ppc.h:
        * ace/config-psos-diab.h:
        * ace/config-psos-tm.h:
        * ace/config-psos-psosim-g++.h:
        * ace/config-WinCE.h:
          Added ACE_LACKS_UMASK

        * ace/config-vxworks5.x.h:
          Adde ACE_LACKS_UMASK, ACE_HAS_NONCONST_STAT and ACE_MKDIR_LACKS_MODE

        * ace/config-win32-common.h:
          Added ACE_MKDIR_LACKS_MODE

        * ace/OS_NS_sys_stat.inl:
          Merged all umask implementation to one version and introduced
          an ACE_LACKS_UMASK to check if umask is supported or not.
          Use the new ACE_HAS_NONCONST_STAT instead of checking for VxWorks
          explicitly
          Use ACE_MKDIR_LACKS_MODE to determine whether a mode must be passed
          with the mkdir invocation or not.

        * ace/README:
          Documented new defines

Mon Dec 20 10:37:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.h:
          Removed not needed VxWorks specific include

        * ace/config-tandem.h:
          Removed a lot of commented out defines, makes it much easier
          to search for deprecated defines

        * ace/config-g++-common.h:
          Removed check for VxWorks >= 540, older versions are not supported
          anymore, so no need to do this check

Sun Dec 19 14:23:53 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/ace.m4:
        * m4/compiler.m4:
        * m4/platform.m4:

          Replace use of $host with $target.  Needed if we're ever to
          support cross compilation.

Sun Dec 19 17:52:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/QOS/Change_Sender_TSpec/receiver.cpp:
        * examples/QOS/Change_Sender_TSpec/sender.cpp:
        * examples/QOS/Change_Sender_TSpec/QoS_Util.{h,cpp}:
          Fixed compile error in unicode build

        * examples/QOS/Change_Sender_TSpec/QOS_Change_Sender_FlowSpec.mpc:
        * examples/QOS/Change_Sender_TSpec/QOS_Change_Sender_TSpec.mpc:
          Renamed to match directory name

Sun Dec 19 15:46:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_time.h:
          Fixed incorrect comment after endif

Sun Dec 19 16:35:34 2004  Olli Savia  <ops@iki.fi>

        * ace/README:
          Updated ACE_HAS_PREDEFINED_THREAD_CANCELLED_MACRO description.

        * ace/config-lynxos.h:
          Added ACE_HAS_PREDEFINED_THREAD_CANCELLED_MACRO and removed
          ACE_POLL_IS_BROKEN.

Sun Dec 19 10:45:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/QOS/Change_Receiver_FlowSpec/sender.cpp:
        * examples/QOS/Diffserv/diffserv_test.cpp:
        * examples/QOS/Diffserv/server.cpp:
          Fixed compile error in unicode build

Sun Dec 19 01:32:05 2004  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * ace/config-win32-msvc.h:

          Added a if not defined guard to the QT_DLL definition.

Sat Dec 18 10:03:41 2004  Olli Savia  <ops@iki.fi>

        * ace/README:
          Added ACE_HAS_PREDEFINED_THREAD_CANCELLED_MACRO.

        * tests/Malloc_Test.cpp:
          There is no reason not to compile this test on LynxOS. It doesn't
          work but there are now better chances that it will be fixed some
          day.

Fri Dec 17 13:53:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS.inl:
          Corrected comment after #endif

Fri Dec 17 13:41:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.cpp:
          Converted ACE casts to C++ casts, removed the checks for win32 and
          vxworks for execlp, execle and execl, these methods are not
          implemented for any environment, so no need to have a special
          notsup for windows and vxworks

Fri Dec 17 13:19:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/IOStream_T.cpp:
          Removed code to define a variable to prevent munch problems. Not
          needed anymore with the latest VxWorks version and the static
          metioned is also gone already.

Fri Dec 17 12:47:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/IO_SAP.cpp:
          Just always build the code, the ACE_OS layer handles the not
          supported issues on Win32 and VxWorks.

Fri Dec 17 12:21:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS.h:
          Also on VxWorks include os_un.h

Fri Dec 17 11:31:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.inl:
          HPUX and VxWorks seem to have a send that accepts a const char*, so
          removed them from the list that uses a char*

Thu Dec 16 16:53:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Timeprobe_T.cpp:
          Removed checking of ACE_HAS_BROKEN_DES_ARRAY_FREE. This define is
          not set for any compiler, so removed it.

        * tests/Timeprobe_Test.cpp:
          Added missing include to get this test compiling

Thu Dec 16 16:13:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Some minor documentation updates for VxWorks.

Thu Dec 16 10:06:10 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Check for multiple places for the test executable.  Some Linux
          installations don't have /bin/test, but do have /usr/bin/test.
          This will allow more parallel building to occur.

Thu Dec 16 16:00:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.h:
          Converted some documentation to doxygen style

Thu Dec 16 09:34:02 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_sys_socket.inl (getsockname):

          Fixed a bug introduced Mon Dec 13 10:34:24 2004 where the sockaddr
          would be zero'ed out instead of just the sin_zero of the
          sockaddr_in.

Thu Dec 16 15:22:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Thread_Manager_Test.cpp:
          Replaced ACE cast macro with the C++ variant

Thu Dec 16 15:07:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          Removed defines for VxWorks <= 0x540, these are not usable anymore

        * tests/log/Makefile.am:
          Removed this file, checked it with J.T. Conklin, we don't need this
          file anymore

Thu Dec 16 14:38:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/arpa/os_inet.h:
          Removed prototypes for VxWorks <= 0x540, these VxWorks versions
          are not usable anymore because of the lack of namespace support.

Thu Dec 16 16:12:07 2004  Olli Savia  <ops@iki.fi>

        * ace/Mem_Map.h:
        * ace/Mem_Map.inl:
        * ace/Mem_Map.cpp:
        * ace/OS_NS_sys_mman.inl:
          Replaced __Lynx__ macro with ACE_HAS_LYNX_BROKEN_MMAP macro.
          This makes code maintenace easier across different
          LynxOS versions.

Thu Dec 16 14:14:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Flag_Manip.cpp:
          Instead of checking for ACE_WIN32 or VXWORKS or ACE_LACKS_FCNTL,
          only check for ACE_LACKS_FCNTL, win32 and VxWorks have this define
          already set

Thu Dec 16 14:07:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lite.h:
          Removed commected out typedef in VxWorks part

Thu Dec 16 13:49:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/QOS/Simple/QoS_Util.{h,cpp}:
        * examples/QOS/Simple/sender.cpp:
        * examples/QOS/Simple/receiver.cpp:
          Fixed compile problems in unicode builds

Thu Dec 16 13:03:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/FIFO/client.cpp:
          Fixed link errors in unicode builds

Thu Dec 16 13:00:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Misc/test_timer_queue.cpp:
        * examples/Reactor/Misc/test_signals_2.cpp:
        * examples/Reactor/Misc/test_signals_1.cpp:
        * examples/Reactor/Misc/test_reactors.cpp:
        * examples/Reactor/Misc/test_event_handler_t.cpp:
        * examples/Reactor/Misc/test_early_timeouts.cpp:
          Fixed link errors in unicode builds

        * examples/Reactor/Misc/Reactor_Misc.mpc:
          Added missing test_event_handler_t

Thu Dec 16 10:18:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Only set FL and GL flags when they are not set

        * include/makeinclude/wrapper_macros.GNU:
          Removed setting of PACE root, we don't use this anymore

        Thanks to Pete McCann <mccap@lucent.com> for reporting these
        problems.

Wed Dec 15 17:05:22 2004  Steve Huston  <shuston@riverace.com>

        * tests/Test_Output.cpp: When resetting msg_ostream to cerr, specify
          0 for delete_ostream. ACE_Log_Msg is not allowed to delete cerr.
          Fixes the crash in Logging_Strategy_Test.

Wed Dec 15 16:01:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Active_Objects/active_objects.mwc:
        * examples/APG/Config/config.mwc:
        * examples/APG/Containers/containers.mwc:
        * examples/APG/Logging/logging.mwc:
        * examples/APG/Misc_IPC/misc_ipc.mwc:
        * examples/APG/Naming/naming.mwc:
        * examples/APG/Proactor/proactor.mwc:
        * examples/APG/Processes/processes.mwc:
        * examples/APG/Reactor/reactor.mwc:
        * examples/APG/Shared_Memory/shared_memory.mwc:
        * examples/APG/Signals/signals.mwc:
        * examples/APG/Sockets/sockets.mwc:
        * examples/APG/Streams/streams.mwc:
        * examples/APG/Svc_Config/svc_config.mwc:
        * examples/APG/ThreadManagement/threadmgmt.mwc:
        * examples/APG/ThreadPools/threadpools.mwc:
        * examples/APG/Threads/threads.mwc:
        * examples/APG/ThreadSafety/threadsafety.mwc:
        * examples/APG/Timers/timers.mwc:
          Removed these files, they are not needed anymore because all project
          files are now generated and they interfere in our release proces,
          they cause workspaces which only differ in casing then the
          ones generated from higher levels.

Wed Dec 15 13:37:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release:
          Also exclude ASNMP/asnmp.mwc during the dynamic release.

Wed Dec 15 10:04:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Set GL flags to the correct values

Tue Dec 14 19:53:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_cygwin32.GNU:
        * include/makeinclude/platform_gnuwin32_common.GNU:
          Moved fltk flags to gnuwin32 file

Tue Dec 14 19:40:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_cygwin32.GNU:
          Added flags for fltk usage with cygwin

Tue Dec 14 18:23:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/wrapper_macros.GNU:
          Fixed typo in the ACE_MAKE_OPTIONS added for fl_reactor

Tue Dec 14 12:25:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Fixed unwanted inclusion of VxWorks system libraries in link
          command.

Tue Dec 14 09:44:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.inl:
          Added missing include when ACE_GETNAME_RETURNS_RANDOM_SIN_ZERO
          is defined to 1

Mon Dec 13 19:30:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Semaphore_Test.cpp (worker):
          Changed the way we compare if the acquire failed. Use a intermediate
          long as in the test_timeout function to handle the case when
          the acquire returns a little bit earlier than we expected. This
          fixes the incorrect test failure with Interix and MinGW. Thanks for
          Steven Frare <stevefr at avaya dot com> for sorting this out
          and supplying a patch

Mon Dec 13 10:34:24 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        From Roland Mueb <Roland dot Meub at avaya dot tenovis dot com>:
        * ace/OS_NS_sys_socket.inl (getpeername, getsockname):

          If (the new) ACE_GETNAME_RETURNS_RANDOM_SIN_ZERO preprocessor
          symbol is defined, initialize the sockaddr_in::sin_zero field to
          zero after the call to get{peer,sock}name() when the address
          family is AF_INET.  Some platforms, like older versions of the
          Linux kernel, do not initialize the sin_zero field since that
          field is generally only used for padding/alignment purposes.  On
          those platforms memcmp()-based comparisons of the sockaddr_in
          structure, such as the one in the ACE_INET_Addr equality
          operator, may fail due to random bytes in the sin_zero field
          even though that field is unused.  This fix prevents equality
          comparison of two different sockaddr_in instances that refer to
          the same socket from failing.

        * ace/OS_NS_macros.h (ACE_SOCKCALL):

          Added non-returning counterpart to the ACE_SOCKCALL_RETURN
          macro.  Used by the above fix.

        * ace/config-linux-common.h:

          Define ACE_GETNAME_RETURNS_RANDOM_SIN_ZERO if Linux kernel
          version is less than 2.5.47.  Kernels prior to that version did
          not initialize the sockaddr_in::sin_zero field.

Mon Dec 13 10:07:52 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Changed to provide ACE_INT64 typedef.

Mon Dec 13 10:16:40 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/gnudll.mpt:
        * bin/MakeProjectCreator/templates/gnuexe.mpt:

          Modifications to add a 'targetoutdir' template variable which
          determines the output location of object files, exes and
          libraries.  By default, this template variable is not set and does
          not affect anything.

Mon Dec 13 16:11:23 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release:

          Exclude ASNMP/asnmp.mwc during the release.

Mon Dec 13 06:33:42 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Provide ACE_INT64 typedef.

Mon Dec 13 12:50:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp:
          Added q as usable format specifier to print out a int64 value. Not
          usable when no native int64 is available.

Mon Dec 13 12:26:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Basic_Types.h:
        * ace/config-win32-common.h:
          Added ACE_INT64 typedef. Note that there is no emulated ACE_INT64,
          it is just defined for platforms having such a type natively. In the
          future we could deliver an emulation, but with this typedef at least
          people trying to work on multiple platforms with native int64 can use
          this typedef to get portable code

Mon Dec 13 04:34:18 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Release:
          Removed some old files from the release

        * bin/make_Release:

          Bootstrapped autoconf with TAO instead of just ACE.

Mon Dec 13 04:25:24 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Release:

          Added protocols directory.  Thanks to JT for letting me know
          this.

Mon Dec 13 00:14:01 2004  Olli Savia  <ops@iki.fi>

        * protocols/ace/HTBP/HTBP_Filter.cpp:
          Removed unnecessary <sstream> include.

        * tests/Reactor_Dispatch_Order_Test.cpp:
          LynxOS 3.x needs the same special handling as OpenBSD to
          pass this test.

Sat Dec 11 17:38:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Atomic_Op_T.h:
          Fixed incorrect method declarations and not needed ACE_INLINE

Sat Dec 11 17:26:09 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_other_tests.lst:

          Added a new test to the daily builds.

Sat Dec 11 10:39:38 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/{Atomic_Op.h,Atomic_Op_T.h,Atomic_Op_T.inl,Atomic_Op_T.inl}
          (operator=): Updated the ACE_Atomic_Op so that it allows
          "chained assignments."  Thanks to Michael Altmann <michael dot
          altmann dot extern at mchh dot siemens dot de> for these fixes.

Sat Dec 11 09:53:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Task.cpp:
          Minor borland fix

Fri Dec 10 18:40:29 2004  Steve Huston  <shuston@riverace.com>

        * tests/Reactor_Exceptions_Test.cpp: Force the ACE_SOCK_Dgram to all
          its work with IPv4. Allows this test to run clean on IPv6 systems
          as well as IPv4.

Fri Dec 10 23:06:24 UTC 2004  Don Hinton  <don.hinton@vanderbilt.edu>

        * Kokyu/tests/DSRT_MIF/MIF.cpp:
          Changed barrier to bar because barrier() is a macro.

Fri Dec 10 12:13:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Logging_Strategy.cpp:
          Changed the setting of the ostream on the log_msg. Only at the
          moment the logging strategy has created a new ostream, then we
          pass 1, to indicate that the log_msg must delete the ostream.
          This fixes the crash of this test on all windows platforms.

Fri Dec 10 11:15:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Removed usage of taoconfig.mk, we have zapped this in the idea
          that it was not used. All the things this file set are already
          handled by MPC

Fri Dec 10 09:52:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Strategies_T.{h,cpp,inl}:
          Made ACE_DLL_Strategy usable in unicode builds. Thanks to
          Thomas Girard <thomas dot g dot girard at free dot fr>
          for reporting this. This fixed bugzilla [2005]

Fri Dec 10 08:55:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Added description about Interix (Windows Services for Unix).
          Thanks to Steven Frare <stevefr at avaya dot com> for adding
          this.

Thu Dec  9 14:04:12 2004  Steve Huston  <shuston@riverace.com>

        * ACE-INSTALL.html: Clarified that there is no leading '#' character
          for the 'include' statement in platform_macros.GNU. Thanks to
          Dave Dalapati <dalapati@comcast.net> for this suggestion.

        * THANKS: Added Dave Dalapati to the Hall of Fame.

Tue Dec  7 18:24:06 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/tao_other_tests.lst:

          Added all 5 tests in TAO/orbsvcs/tests/InterfaceRepo to the list.
          All these tests are disabled for minimum CORBA builds.

Tue Dec  7 18:48:39 2004  Steve Huston  <shuston@riverace.com>

        * bin/Makefile.am: Comment out the TESTS for now. The auto_run_tests.pl
          depends on having the tests built in the same tree as the sources.

        * tests/Makefile.am: Change TESTS to a list of all the test programs
          and TEST_ENVIRONMENT to an invocation of "run_test.pl -t" to enable
          it to run each test separately.

Tue Dec  7 18:38:19 2004  Steve Huston  <shuston@riverace.com>

        * m4/aio.m4: In the check for POSIX Realtime signals, do the
          #include <signal.h> first, enclosed in extern "C", else HP-UX
          gets a bad definition for an internal function call (___sysconf()).

Tue Dec  7 17:48:21 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/ThreadManagement/Priorities.cpp: Fixed message block
          handling logic errors. Can't just queue the same block to
          multiple tasks, especially those in different threads. Now it
          clones the block for each putq(), and queues a MB_BREAK block
          when it's done so the service threads know to stop. Thanks to
          Steven Patrick <spo@ngls.net> for reporting this problem.

          Fixes Bugzilla #2002
          (http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=2002)

Tue Dec  7 13:10:08 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Logging_Strategy.cpp (init): Make sure that the dynamically
          allocated ostream is deleted on shutdown.  Thanks to Zvika
          Ashani <zvika at aspectusvi dot com> for reporting this.

Tue Dec  7 08:19:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/GNUmakefile.clone:
          Removed this file because clone.cpp has been zapped

Mon Dec  6 18:16:39 2004  Steve Huston  <shuston@riverace.com>

        * m4/config_h.m4: Added AH_TEMPLATE for ACE_HAS_POSIX_REALTIME_SIGNALS.

        * m4/aio.m4: Split the realtime-signals check out of the AIO
          functionality check. If the basic AIO calls are available and
          functional, then check if the signal-based AIO test works. If so,
          set ACE_HAS_POSIX_REALTIME_SIGNALS.

        * tests/Makefile.am: Include the run_test.pl script in TESTS and
          note it as a dist_check_SCRIPTS, not noinst_SCRIPTS. This lets
          "make check" run it.

        * tests/run_test.pl: Add $top_srcdir to the path for locating
          Perl auxiliary modules. For automake builds, this is needed since
          the script isn't linked into the build tree.

Mon Dec  6 16:34:29 2004  Steve Huston  <shuston@riverace.com>

        * ACE-INSTALL.html: Removed mention and instructions for the 'clone'
          program. Favor use of bin/create_ace_build.pl since it is more
          reliable, simpler, doesn't rely on Makefile content that's not
          there, and doesn't need to be built first.

        * bin/clone.1:
        * bin/clone.cpp: Removed; this program has been superseded by the
          bin/create_ace_build.pl script. See ACE-INSTALL.html for details.

          Thanks to Neil Cohen <nbc@cisco.com> for bringing this up.

Mon Dec  6 10:46:02 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/APG/Threads/Guards.cpp:

          Put #if guards around the body to avoid build problems when
          threads are disabled.

Mon Dec  6 06:53:43 2004  Chad Elliott  <elliott_c@ociweb.com>

        * apps/soreduce/SO_Group.cpp:

          Increase the number of libraries that soreduce can handle.

Mon Dec 06 11:34:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          Added ACE_LACKS_SIGSET_DEFINITIONS

Mon Dec 06 10:49:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          Undef ACE_LACKS_SIGSET, MinGW has sigset but this define is set
          from config-win32-common.h

Mon Dec 06 10:06:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-interix.h:
          Fixed fuzz errors

Mon Dec 06 09:29:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_signal.h:
          Added patch for Interix and removed not needed MinGW check

        * ace/Sock_Connect.cpp:
        * ace/SOCK_Dgram.cpp:
        * ace/SOCK_Dgram_Bcast.cpp:
        * ace/SOCK_Dgram_Mcast.cpp:
          Applied patches for the Interix port. Thanks to
          Steven Frare <stevefr at avaya dot com> for the patches.

Mon Dec 06 09:06:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-interix.h:
        * include/makeinclude/platform_win32_interix.GNU:
          New files for Interix (Microsoft Services for Unix). Thanks to
          Steven Frare <stevefr at avaya dot com> for these new files

Sun Dec 05 16:44:00 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Select_Reactor_T.cpp (dispatch_notification_handlers):

          Decrement the number_of_active_handles after a successful
          dispatch. This seems to cause Reactor_Notify_Test to fail on
          Win32. The reason why this does not show up in *nix is left as
          an exercise to the reader! Thanks to Steve Huston for alerting
          us about this issue.

Sat Dec  4 20:39:20 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * THANKS: Added the 1,900th contributor to the THANKS file!!

Sun Dec  5 14:49:57 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/TP_Reactor_Test.cpp:

          The test creates some listeners in the one button test, if that
          exceeds SOMAXCONN the test fails. We now reset the number of
          senders in the test to SOMAXCONN if they exceed
          SOMAXCONN. Thanks to Frare Steven <stevefr at avaya dot com> for
          the patch.

Fri Dec  3 07:37:38 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * MakeProjectCreator/config/dsnotifylogadmin_serv.mpb:

          Changed to inherit from notification_serv.

Fri Dec 3 12:54:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added _GLIBCPP_USE_LONG_LONG for GCC 3.3+ since it is not defined
          by the compiler itself. This solves problems with long long support
          in standard C++ includes.

Fri Dec  3 11:50:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Timeprobe_T.cpp:
          Fixed casing in include

Thu Dec  2 13:38:33 2004  Chad Elliott  <elliott_c@ociweb.com>

        * apps/soreduce/Library.h:
        * apps/soreduce/Library.cpp:
        * apps/soreduce/README:

          Modified soreduce to output mpc files instead of makefiles.

Thu Dec  2 11:09:07 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * apps/gperf/tests/Makefile.am:

          Revert my previous change.  Fixed orignal problem by putting the
          stamp file in the same directory as the output file.  Thanks to
          Chad Elliott for letting me know that the gperf options for the
          two invocations of gperf on idl.gperf were different.

Thu Dec 2 16:42:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Added explicit 'signed-char' flags for ppc and arm builds.

Thu Dec  2 11:08:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Threads/Guards.cpp: Fixed "unused parameter" warning.

Thu Dec 2 15:06:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/Timeprobe_T.cpp:
          Fixed another compile problem (missing include for ACE_OS::memcpy).

Thu Dec 2 14:26:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/Timeprobe_T.cpp:
          Fixed error in ACE_Timeprobe_Ex<>::print_absolute_times() where ACE_hrtime_t
          was incorrectly assumed to be a structure/class (it's an integer type).

Thu Dec 2 09:45:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/ConfigList.pm:
          Remove trailing white spaces from entry after the split. Interix
          perl had problems with this. Thanks to Steven Frare
          <stevefr at avaya dot com> for reporting this and J.T. Conklin for
          simplifying the patch.

Thu Dec 2 09:11:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Recommitting because file seemed screwed up when checking out on
          Windows.

Thu Dec 2 08:32:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Changed template handling to allow implicit template instantiation
          with VxWorks GNU toolchain.

Wed Dec  1 15:01:39 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Threads/Guards.cpp:
        * examples/APG/Threads/Message_Blocks.cpp: Enabled the code here that
          was previously blocked out. Fixed narrow/wide-char spec for a
          string to ACE_Log_Msg. Thanks to Johnny Willemsen for pointing
          out that none of this code was actually getting compiled.

Wed Dec 1 08:49:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Fixed linking issues concerning ACE/TAO libraries.

Tue Nov 30 16:38:08 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * apps/gperf/tests/Makefile.am:

          Changed to only generate idl.cpp from idl.gperf once.  The
          attempt to generate it twice, the a second time in a different
          directory failed because the "stamp" file was the same.

Tue Nov 30 17:32:29 2004  Steve Huston  <shuston@riverace.com>

        * m4/ace.m4: Added two new options, --enable-pthreads and
          --enable-uithreads. These en/dis-able the use of Pthreads and
          UI Threads (aka Solaris threads), respectively. Some platforms
          (namely AIX) offer a hokey UI Threads that barely functions but
          can't be used for any real work. Efforts to detect this and
          automatically disable it have been unfruitful, so this option was
          added. Pthreads defaults to yes, UI threads defaults to, except on
          Solaris where it defaults to yes.

        * m4/threads.m4: Only do Pthreads/UIthreads checks if the corresponding
          implementation is enabled by the command line (or default) using
          the above new options.

Tue Nov 30 07:32:18 2004  Chad Elliott  <elliott_c@ociweb.com>

        * apps/gperf/tests/iout2_gen/.empty:
        * bin/MakeProjectCreator/templates/gnu.mpd:

          Reverted my previous change as it caused more problems than it
          solved.  Instead, after much research I've found that VPATH
          doesn't work when source files are generated into a directory
          other than '.', so I made a directory (iout2_gen) to hold the
          generated source (idl.cpp) from the iinset2 gperf test.

Tue Nov 30 09:51:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/ACE.inl:
          Implemented temporary fix for problems with VxWorks GNU toolchains.

Mon Nov 29 17:56:39 2004  Steve Huston  <shuston@riverace.com>

        * tests/Test_Output.cpp: Re this change:
          Fri Nov 19 18:19:19 2004  Steve Huston  <shuston@riverace.com>
          the reinterpret_cast<> breaks some stuff on LynxOS. So only do
          reinterpret_cast on ACE_LACKS_IOSTREAM_TOTALLY, else use
          dynamic_cast. This should fix LynXOS. Thanks to
          Olli Savia <ops@iki.fi> for bringing this to my attention.

Mon Nov 29 14:10:12 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:

          Added a verbatim clause with MPC-ized versions of the original
          Svc_Conf_y.cpp and Svc_Conf_l.cpp targets from Makefile.ace.

Mon Nov 29 13:12:14 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Modified the OBJS setting to allow cpp files that are generated
          into a subdirectory below where the mpc file exists.  gperf tests
          happen to do this now.

Mon Nov 29 16:07:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * examples/Web_Crawler/Iterators.cpp:
          Minor change to get rid of warning in GCC 2.96 build.

Mon Nov 29 16:03:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ACEXML/common/HttpCharStream.cpp:
          Minor change to get rid of warning in GCC 2.96 build.

Mon Nov 29 15:43:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * performance-tests/SCTP/Options_Manager.h:
        * performance-tests/SCTP/Options_Manager.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp:
        * performance-tests/SCTP/SOCK_STREAM_srv.cpp:
        * performance-tests/SCTP/SOCK_STREAM_clt.cpp:
          Fixed problems with use of iostreams for
          ACE_LACKS_IOSTREAM_TOTALLY builds (VxWorks DIAB).

Mon Nov 29 07:04:58 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Moved the setting of SOVERSION below the include for
          wrapper_macros.GNU and enclose it in a if check for versioned_so
          to be 1.  This allows users to build without versioned shared
          libraries.

          Also, fixed a problem with the realclean target.  The executable
          extension was not added when the installed target was added to the
          CLEANUP_INSTALL macro.

          Thanks to Johnny Willemsen for reporting both of these problems.

Sun Nov 28 22:10:48 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/am_edit:

          Removed old file.  MPC-generated Makefile.am's make this script
          obsolete.

Mon Nov 29 07:36:03 2004  Olli Savia  <ops@iki.fi>

        * apps/JAWS/server/HTTP_Helpers.cpp:
          Added "const" qualifiers to silence compile time warnings.

Sun Nov 28 17:53:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/notify_serv.mpb:
          Added etcl and dynamicany as base projects to fix link errors in the
          BCB6 Static build

Sun Nov 28 16:16:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added ACE_HAS_USING_KEYWORD for DIAB compiler.

Sun Nov 28 12:26:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/config/ciao_servant_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_servant.mpb:
          Made it possible to overrule the commands for the cidlc compiler, just as
          with TAO_IDL. Needed for cross builds like VxWorks

Sat Nov 27 14:51:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Changed use of 'mkdir -p' to '$(MKDIR)' command for more compatibility.

Fri Nov 26 19:38:58 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * Makefile.am:

          Use AC_SUBST instead of AM_CONDITIONAL for directories that may
          be omitted in a distribution.

Fri Nov 26 17:54:32 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/tao_other_tests.lst:

          Added orbsvcs/test/Log/Basic_Log_Test test to the list.

Fri Nov 26 18:24:39 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.inl (thr_getprio): WinCE doesn't support
          GetPriorityClass, so this method will do ENOTSUP on WinCE.

        Also fixed the Friday ChangeLog entries that said it was Nov 25.

Fri Nov 26 17:46:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/System_V_IPC/SV_Message_Queues/TMQ_Client.cpp: Corrected
          wide-char issues.

        * examples/Threads/task_three.cpp: ACE_OSTREAM_TYPE is not always a
          class that offers close(). So just delete the object when it's
          not needed any longer. Also, remove the reference from ACE_Log_Msg.

Fri Nov 26 19:12:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * examples/Threads/task_three.cpp:
          Fixed another compile problem.

Fri Nov 26 16:16:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * examples/System_V_IPC/SV_Message_Queues/TMQ_Client.cpp:
          Fixed compile problems.

Fri Nov 26 12:00:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added ACE_HAS_STANDARD_CPP_LIBRARY for DIAB builds.

Fri Nov 26 11:04:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * examples/Threads/task_three.cpp:
        * examples/System_V_IPC/SV_Message_Queues/TMQ_Client.cpp:
        * examples/Logger/Acceptor-server/server_loggerd.cpp:
        * examples/Log_Msg/test_log_msg.cpp:
          Fixed problems with iostreams for ACE_LACKS_IOSTREAM_TOTALLY builds
          (VxWorks DIAB).

Fri Nov 26 10:26:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Don't run bug_1535_regression when minimum_corba is enabled.

Fri Nov 26 10:17:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Removed some old info about os-patches, these are gone already for
          some time, also corrected the location of the main define, it is now
          in OS_main.h. As last, changed the references to several files from
          the site of Doug to the local directory. This because of two reasons,
          first there are development teams without internet access (yes, they
          still exist in the world), and the site of Doug always gives the
          latest version, but when using a certain ACE version I want to have
          the documentation of MPC belonging to that version, not with the
          current version, which can be something completely different in
          a few years.

Fri Nov 26 08:57:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Minor updates about Borland and VxWorks versions that are supported

Thu Nov 25 15:45:38 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/tao_other_tests.lst:

          Added orbsvcs/test/Bug_XXXX_Regression tests to the list.

Thu Nov 25 18:24:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * websvcs/tests/Test_URL_Addr.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_Association_Test.cpp:
          Use ACE_TMAIN instead of main to fix link errors in the unicode
          builds.

Thu Nov 25 09:25:29 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/tao_other_tests.lst:

          Added FaultTolerance tests to list.

Thu Nov 25 14:38:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Threads/Guards.cpp:
        * examples/APG/Threads/Message_Blocks.cpp:
          Use ACE_TMAIN instead of main to fix link errors in the unicode
          builds.

Wed Nov 24 17:23:22 2004  Irfan Pyarali  <irfan@oomworks.com>

        * ace\Timer_Wheel_T.cpp (expire):

          ACE_Timer_Wheel_T<>::expire() made the upcall before
          rescheduling a recurring timer.  The problem with this is that
          if the upcall code tries to cancel the recurring timer, the
          cancel will fail since the timer has not been rescheduled.  The
          fix is to move the rescheduling code before the upcall code.
          Thanks to Domingos Monteiro <d.monteiro@netia.net> for reporting
          and providing a fix for this bug.

Wed Nov 24 16:02:21 2004  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_Connector.{h cpp}: Removed the locally-defined
          "static ACE_INET_Addr local_default" used for the default
          local address on connects. In the lower levels of ACE, the local
          address is compared to ACE_Addr::sap_any, and this one didn't
          match with IPv6 defined. The default arg is now ACE_Addr::sap_any,
          like the other default local addresses, such as ACE_Connector.

        * ace/WIN32_Asynch_IO.cpp: If a ACE_OS::bind() fails, print a message
          with the real reason in it, not just "ACE_OS::bind failed".

        * tests/Proactor_Test.cpp: Added a check to see that the test
          actually does some data transfer, else it isn't really doing
          anything.

Wed Nov 24 14:40:29 2004  Steve Huston  <shuston@riverace.com>

        * tests/NonBlocking_Conn_Test.cpp (test): Don't leave bogus
          ACE_INET_Addr entries in addresses[] if a name lookup fails.
          Doing so causes screwups later when each entry is assumed to
          have a legit address to form into a string.

Wed Nov 24 13:32:32 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/msvc_static_order.lst:

          Added the remaining CosNotification libraries, Security library
          and the ImplRepo_Service projects to ensure that things are built
          in the correct order.

Wed Nov 24 12:24:57 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/notification_serv.mpb:

          Added the svc_utils base project.  The CosNotification_Serv
          library needs it and this should fix static link errors for
          Notify_Service.

Wed Nov 24 09:44:43 2004  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_hpux_aCC.GNU:

          After conversation with Johnny, I am reverting my previous change.

Wed Nov 24 09:05:45 2004  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/platform_hpux_aCC.GNU:

          Suppress warning 1039 about binary incompatibility with 3.33 to
          3.50.

Wed Nov 24 08:18:51 2004  Chad Elliott  <elliott_c@ociweb.com>

        * apps/gperf/tests/Makefile.am:
        * apps/gperf/tests/tests.mpc:

          Generate the gperf generated code into an alternate directory for
          the iinset2 project.  Since iinset and iinset2 share the same
          input file, the correct gperf commandflags weren't being used for
          the second project to be processed.

        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:

          When gendir is used, attempt to automatically make the specified
          directory.

Wed Nov 24 12:00:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/SCTP/hist.cpp:
        * performance-tests/SCTP/Options_Manager.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp:
        * performance-tests/SCTP/SOCK_STREAM_clt.cpp:
        * performance-tests/SCTP/SOCK_STREAM_srv.cpp:
          Replaced NULL with 0

Tue Nov 23 20:41:57 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl:

          Reverted this change "Tue Nov 23 20:26:51 2004  Balachandran
          Natarajan  <bala@dre.vanderbilt.edu>" since this has no scope of
          working. I guess the policy stuff itself is a bad thing for
          Win32. Let me find out from the original contributor.

Tue Nov 23 20:26:51 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl:

          The previous checkin used ::GetCurrentProcess () to access the
          policy which is not right, but the "id" passed in should be
          used to maintain the semantics of thr_getprio ().

Tue Nov 23 14:06:41 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.inl:
          Three problems in ACE_OS::thr_getprio on Windows:
          1) GetThreadPriority doesn't fail so the check for errors is
             unnecessary.
          2) On the other hand GetPriorityClass may fail.
             The check for errors from GetPriortyClass was incorrect.
          3) GetPriorityClass takes a process handle not a thread handle
             so it was always failing.


Tue Nov 23 10:35:41 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ASNMP/asnmp/address.cpp:

          VxWorks doesn't have h_errno.

Tue Nov 23 15:33:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/Auto_Ptr.h:
          Added missing auto_ptr(auto_ptr<X> &) constructor.

Tue Nov 23 15:20:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-vxworks5.x.h:
          Fixed auto_ptr config for GNU-G builds.

Tue Nov 23 07:56:11 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Added support for dynamically determining the includedir.

Tue Nov 23 07:39:23 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Modified to support the MPC 'version' keyword.  If version is set,
          then we will set the SOVERSION macro.

Tue Nov 23 07:30:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/DLL.cpp:
          Fixed compile problems in unicode builds

Tue Nov 23 00:37:14 2004  Olli Savia  <ops@iki.fi>

        * examples/APG/ThreadPools/Futures.cpp:
          Removed unnecesary type cast in CompletionCallBack::update().
          Replaced NULL with 0 in Manager::shut_down().

        * examples/Export/dll.cpp:
          Added explicit static template member instantiation.

Mon Nov 22 13:45:05 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/GNUmakefile.clone:

          Renamed GNUmakefile to GNUmakefile.clone to avoid being
          overwritten when bin.mpc is processed.

        * ACE-INSTALL.html:

          Changed documentation on building clone.cpp to take the above into
          account.

Mon Nov 22 19:33:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          When building with gcc for cygwin the binutils package
          must also be installed.

Mon Nov 22 12:08:27 2004  Ciju John  <john_c@ociweb.com>

        * bin/MakeProjectCreator/config/notify.mpb:
          Fixed fuzz.pl caught inconsistencies.

Mon Nov 22 11:58:25 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/fuzz.pl:

          Account for multiple whitespace when checking for non-bool return
          values on equality/in-equality operators.

Mon Nov 22 07:44:23 2004  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/Kokyu_dsrt.{cpp,h}:

          Changed the return type of
          DSRT_Dispatcher_Factory::create_dispatcher method from
          auto_ptr<DSRT_Dispatcher> to DSRT_Dispatcher*. This was causing
          build errors with VxWorks5.5.1_PPC85XX_GCC3.3. Thanks to Johnny
          Willemsen (jwillemsen@remedy.nl) for pointing this out.

        * Kokyu/Kokyu.h:

          Changed some documentation.

Sun Nov 21 10:34:42 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Message_Queue_T.h: Changed the access control specifier
          of ACE_Message_Queue_Ex::queue_ from private to protected to
          enabled subclasses to access it.  Thanks to Nuno Silva
          <Nuno.Silva@edisoft.pt> for this suggestion.  This change fixes
          bugid 1984.

Sat Nov 20 18:12:55 UTC 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl:

          Fixes for thr_getprio () on Win32. Thanks to Abhi <abhi at
          qualcomm.com> for motivating this fix.

Sat Nov 20 07:40:48 2004  Carlos O'Ryan  <coryan@atdesk.com>

        * ace/DLL.cpp:
          Doug needs to write 500 times on the board "I will not commit
          before compiling."  Missing a value in a return statement from a
          function returning int.

Fri Nov 19 14:42:00 2004  Krishnakumar B  <kitty@dre.vanderbilt.edu>

        * ACEXML/common/NamespaceSupport.cpp:
        * ACEXML/parser/parser/Parser.cpp:

          Fixes to namespace support in ACEXML. Thanks to Weida Ma
          <df0004@hotmail.com> for the patches.

        * ACEXML/examples/SAXPrint/broken.xml:

          broken.xml should be broken.  Added some errors to make this
          file invalid.

        * ACEXML/examples/SAXPrint/main.cpp:

          Repeat the parsing twice to make sure that we catch any leaks or
          memory corruption due to code paths that are not always
          exercised.

Fri Nov 19 18:19:19 2004  Steve Huston  <shuston@riverace.com>

        * ace/os_include/os_errno.h: Add EPERM for Win32 that doesn't have
          it. For example, WinCE.

        * tests/Test_Output.cpp (ACE_Test_Output::output_file()): Use
          reinterpret_cast, not dynamic_cast, to convert the OFSTREAM
          pointer. dynamic_cast isn't valid where OFSTREAM is a void*,
          like on WinCE.

        * tests/HTBP/Reactor_Tests/server.cpp:
        * tests/HTBP/ping/server.cpp: Use ACE_TMAIN, not main() to pick up
          proper signature on WinCE. Also corrected narrow/wide-char issues.

Fri Nov 19 16:03:31 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/DLL.cpp: Cleaned up the code a bit since it was messy
          and improved the documentation to clarify the role of
          "close_handle_on_destruction".  Also fixed a bug in
          ACE_DLL::close() since it wasn't guarding against multiple
          calls, i.e., one explicit and one implicit via the
          destructor.  Thanks to Russell Mora
          <russell.mora@veritas.com> for motivating these fixes.

Mon Oct 18 13:02:11 2004  Dale Wilson  <wilson_d@ociweb.com>

        * bin/MakeProjectCreator/config/notify.mpb:
          missing file from merge.

Wed Oct 13 15:44:58 2004  Dale Wilson  <wilson_d@ociweb.com>

        * bin/MakeProjectCreator/config/notify_serv.mpb:
          missing file from merge.

Fri Nov 19 13:13:00 2004  Gary Maxey  <gary.maxey@hp.com>

        * ace/README

          Documented new ACE Portability Macros

Fri Nov 19 10:17:00 2004  Gary Maxey  <gary.maxey@hp.com>

        * ace/ACE.inl:

          Use ::recv() instead of ::read() on Tandem NSK platform
          because it is faster.

        * ace/OS_NS_sys_socket.inl

          In ACE_OS::sendv, when ACE_HAS_SOCK_BUF_SIZE_MAX, avoid writing
          more than system allows.

        * ace/config-tandem-nsk-mips-v2.h
        * ace/config-tandem-nsk-mips-v3.h

          Updated ACE_HAS_SOCK_BUF_SIZE_MAX define

Fri Nov 19 09:55:35 2004  Venkita Subramonian  <venkita@cs.wustl.edu>

        * Kokyu/Kokyu.{h,cpp}:

          Changed the return type of Dispatcher_Factory::create_dispatcher
          method from auto_ptr<Dispatcher> to Dispatcher*. This was
          causing build errors in some beta compilers and warnings in
          MSVC6, Tru64 and OpenVMS compilers. It looks like these
          compilers are broken in terms of auto_ptr implementation,
          specifically returning auto_ptr types from
          functions/methods. Thanks to Johnny Willemsen
          (jwillemsen@remedy.nl) for pointing this out.


Fri Nov 19 07:33:33 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/APG/Logging/Trace.h:
        * examples/APG/Logging/Trace_Return.cpp:
        * examples/APG/Logging/Wrap_Macros.cpp:

          Fixed more VxWorks related build errors.  Apparently, the g++ 2.96
          that comes with VxWorks can't handle ... in a macro parameter list
          (however g++ 2.96 on linux can).

Fri Nov 19 06:55:32 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bor.mpd:

          If there is no exe or lib target, don't include one of the *.bor
          from include/makeinclude and create a dummy 'all' target.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Added $(EXEEXT) to the end of the TAO_IDL_DEP assignment to
          support windows builds.

Fri Nov 19 09:48:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Only generate CPPDIR and CDIR when cppdir is defined, this fixes
          build problems when a project is tried to build without source
          code

Fri Nov 19 09:35:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
          Added define ACE_LACKS_PWD_FUNCTIONS, Win32 doesn't have this also,
          and by setting this define we don't need to explicitly check for
          win32 anymore when we use this macro.

        * ace/OS_NS_pwd.inl:
          Simplified some checks, just check for ACE_LACKS_PWD_FUNCTIONS
          and not also for ACE_WIN32

        * examples/APG/Processes/Spawn.cpp:
          Just check for ACE_LACKS_PWD_FUNCTIONS

Thu Nov 17 15:55:00 2004  Gary Maxey  <gary.maxey@hp.com>

        * bin/PerlACE/Process_Unix.pm

          Add logic for "nonstop_kernel" platform quirks

        * bin/PerlACE/Run_Test.pm

          Define "wait_interval_for_process_creation" variable
          to allow for per-platform customization.

Thu Nov 18 19:22:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Processes/Spawn.cpp:
          Don't call setUserId when ACE_WIN32 and ACE_LACKS_PWD_FUNCTIONS are
          not set, then this method is just not there.

Thu Nov 18 11:52:19 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/ciao_servant.mpb:
        * bin/MakeProjectCreator/config/ciao_servant_dnc.mpb:
        * bin/MakeProjectCreator/config/psdl.mpb:
        * bin/MakeProjectCreator/config/taoidldefaults.mpb:

          Changed these base projects to use 'dependent' in the new manner
          where it represents the command upon which the generated files are
          dependent.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Changed to use TAO_IDL_DEP as the dependency for the idl generated
          files.

        * bin/MakeProjectCreator/config/trading_serv.mpb:
        * bin/MakeProjectCreator/config/trading_skel.mpb:

          Renamed these mpc files to mpb files.  The mpc extension works,
          it's just a matter of consistency.

Thu Nov 18 16:31:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * protocols/protocols.mwc:
          Added missing Id tag

Thu Nov 18 09:35:01 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/APG/Processes/Spawn.cpp:
        * examples/APG/ThreadManagement/Priorities.cpp:

          Fixed build problems with VxWorks specific code.

Thu Nov 18 14:42:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Fixed unused arg warning.

Thu Nov 18 14:38:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/Semaphore.cpp:
          Change to improve support for platforms missing shmopen().

Thu Nov 18 14:35:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-cygwin32.h:
          Changed some defines to improve Cygwin build.

Thu Nov 18 07:38:34 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Service_Config.cpp:

          Distinguish between the existence of and the file permissions
          for the default service configurator file (svc.conf).  Thanks to
          Dipa Suri <dipa.suri@lmco.com> and Adam Howell
          <adam.s.howell@lmco.com> for reporting this.

Thu Nov 18 07:10:26 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Logger/Acceptor-server/Logger_Acceptor_Server.mpc:
        * examples/Logger/client/Logger_client.mpc:
        * examples/Logger/simple-server/Logger_Simple_Server.mpc:

          Added exename settings to these.  They use ACE_MAIN, but that's no
          longer recognized by MPC as an exe entry point.

        * performance-tests/Synch-Benchmarks/Base_Test/Synch_Benchmarks_Base_Test.mpc:
        * performance-tests/Synch-Benchmarks/Perf_Test/Synch_Benchmarks_Perf_Test.mpc:

          Changed these library projects to inherit from acelib instead of
          aceexe.

        * protocols/protocols.mwc:

          Added a default workspace so that msvc_mpc_auto_compile.pl can
          find the HTBP (and future libraries).

Thu Nov 18 06:48:28 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/envinfo.cpp:

          Added #include "ace/OS_NS_sys_utsname.h" to get ACE_utsname.

Thu Nov 18 12:36:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Threads/task_three.cpp:
          Changed ACE cast macros with the c++ versions

Wed Nov 17 18:37:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * tests/test_config.h:
          Added include of OS_NS_fcntl.h needed for VxWorks build.

Wed Nov 17 08:53:11 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Updated.

        * ace/ace.mpc:

          Added Memory_Pool.h to Header_Files.

        * Makefile.am:
        * configure.ac:

          Changed to configure/build ACEXML only if --with-acexml (the
          default) was specified.

Tue Nov 16 07:09:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/RB_Tree.cpp:
          In ACE_RB_Tree_Iterator_Base constructor initialise entry local
          variable with 0, so that when find_i doesn't find anything we don't
          set the node_ to an unitialised value. Thanks to Andreas Koehler
          <a dot koehler dot tux at gmx dot de> for reporting this.

Sun Nov 14 10:12:00 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACEXML/apps/svcconf/Makefile.am:
        * ACEXML/common/Makefile.am:
        * ACEXML/parser/parser/Makefile.am:
        * Kokyu/Makefile.am:
        * ace/Makefile.am:
        * ace/QoS/Makefile.am:
        * ace/RMCast/Makefile.am:
        * ace/SSL/Makefile.am:
        * ace/TMCast/Makefile.am:
        * protocols/ace/HTBP/Makefile.am:

          Restored LDFLAGS definition.

Sun Nov 14 05:03:47 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added a new test for the daily regression.

Sat Nov 13 14:34:33 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Split Kokyu directories out of monolithic AC_CONFIG_FILES list,
          into a separate, smaller, AC_CONFIG_FILES that is used only if
          the Kokyu subdirectory exists.  This pattern can be used for
          other subdirectories (ACEXML, ASNMP, etc.) to provide flexibilty
          for packaging and compile-time configuration.

Sat Nov 13 10:40:13 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Removed line with m4_include([configure.ac.Makefiles]),
          autoreconf barfs with it present, even though it was
          "commented out" with dnl...

        * apps/gperf/tests/Makefile.am:

          Tweak to work around MPC brokenness.

Fri Nov 12 20:54:14 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:

          Restore conditionalized SUBDIR definition for Kokyu and TAO.
          Restore bin_SCRIPT and man_MANS definitions so the ace-config
          script and manpage is installed.

        * ACEXML/apps/svcconf/Makefile.am:
        * ACEXML/common/Makefile.am:
        * ACEXML/parser/parser/Makefile.am:
        * ace/Makefile.am:
        * ace/QoS/Makefile.am:
        * ace/RMCast/Makefile.am:
        * ace/SSL/Makefile.am:
        * ace/TMCast/Makefile.am:
        * protocols/ace/HTBP/Makefile.am:

          Restore includedir definitions so headers are installed in the
          correct place.

Fri Nov 12 16:35:00 2004  Gary Maxey    <gary.maxey@hp.com>

        * ace/config-tandem-nsk-mips-v2.h

          Updated for compatibility with latest repository changes

        * ace/config-tandem-nsk-mips-v3.h

          Added for new compiler version

Fri Nov 12 18:30:19 2004  Steve Huston  <shuston@riverace.com>

        * tests/Makefile.am: Moved HTBP down under '.' to make sure
          libTest_Output is built first.

Fri Nov 12 17:23:41 2004  Steve Huston  <shuston@riverace.com>

        * bin/bin.mpc:
        * bin/PerlACE/perlace.mpc: These are meant to propagate the
          testing scripts over to the build area for automake builds.

        * bin/auto_run_tests.pl: When no test-set options are supplied, add
          in the TAO test lists only if there is an $ACE_ROOT/TAO directory.
          Facilitates being able to use this script without options from
          the automake-generated "make check" command.

        * configure.ac: Updated with the list of Makefiles below.

        * ACEXML/apps/svcconf/Makefile.am:
        * ACEXML/apps/Makefile.am:
        * ACEXML/common/Makefile.am:
        * ACEXML/examples/SAXPrint/Makefile.am:
        * ACEXML/examples/Makefile.am:
        * ACEXML/parser/parser/Makefile.am:
        * ACEXML/parser/Makefile.am:
        * ACEXML/tests/Makefile.am:
        * ACEXML/Makefile.am:
        * ASNMP/agent/Makefile.am:
        * ASNMP/asnmp/Makefile.am:
        * ASNMP/examples/get/Makefile.am:
        * ASNMP/examples/next/Makefile.am:
        * ASNMP/examples/set/Makefile.am:
        * ASNMP/examples/trap/Makefile.am:
        * ASNMP/examples/walk/Makefile.am:
        * ASNMP/examples/Makefile.am:
        * ASNMP/tests/Makefile.am:
        * ASNMP/Makefile.am:
        * ace/Makefile.am:
        * ace/QoS/Makefile.am:
        * ace/RMCast/Makefile.am:
        * ace/SSL/Makefile.am:
        * ace/TMCast/Makefile.am:
        * apps/JAWS/Makefile.am:
        * apps/JAWS/clients/Blobby/Makefile.am:
        * apps/JAWS/clients/Makefile.am:
        * apps/JAWS/clients/Caching/Makefile.am:
        * apps/JAWS/server/Makefile.am:
        * apps/Makefile.am:
        * apps/Gateway/Gateway/Makefile.am:
        * apps/Gateway/Makefile.am:
        * apps/Gateway/Peer/Makefile.am:
        * apps/JAWS3/jaws3/Makefile.am:
        * apps/JAWS3/Makefile.am:
        * apps/drwho/Makefile.am:
        * apps/gperf/src/Makefile.am:
        * apps/gperf/Makefile.am:
        * apps/gperf/tests/Makefile.am:
        * apps/mkcsregdb/Makefile.am:
        * apps/soreduce/Makefile.am:
        * bin/Makefile.am:
        * bin/PerlACE/Makefile.am:
        * examples/APG/Active_Objects/Makefile.am:
        * examples/APG/Config/Makefile.am:
        * examples/APG/Containers/Makefile.am:
        * examples/APG/Logging/Makefile.am:
        * examples/APG/Misc_IPC/Makefile.am:
        * examples/APG/Naming/Makefile.am:
        * examples/APG/Proactor/Makefile.am:
        * examples/APG/Processes/Makefile.am:
        * examples/APG/Reactor/Makefile.am:
        * examples/APG/Shared_Memory/Makefile.am:
        * examples/APG/Signals/Makefile.am:
        * examples/APG/Sockets/Makefile.am:
        * examples/APG/Streams/Makefile.am:
        * examples/APG/Svc_Config/Makefile.am:
        * examples/APG/ThreadManagement/Makefile.am:
        * examples/APG/ThreadPools/Makefile.am:
        * examples/APG/ThreadSafety/Makefile.am:
        * examples/APG/Threads/Makefile.am:
        * examples/APG/Timers/Makefile.am:
        * examples/APG/Makefile.am:
        * examples/ASX/CCM_App/Makefile.am:
        * examples/ASX/Makefile.am:
        * examples/ASX/Message_Queue/Makefile.am:
        * examples/Bounded_Packet_Relay/Makefile.am:
        * examples/C++NPv1/Makefile.am:
        * examples/C++NPv2/Makefile.am:
        * examples/Makefile.am:
        * examples/Connection/blocking/Makefile.am:
        * examples/Connection/Makefile.am:
        * examples/Connection/misc/Makefile.am:
        * examples/Connection/non_blocking/Makefile.am:
        * examples/DLL/Makefile.am:
        * examples/Export/Makefile.am:
        * examples/IOStream/client/Makefile.am:
        * examples/IOStream/Makefile.am:
        * examples/IOStream/server/Makefile.am:
        * examples/IPC_SAP/ATM_SAP/Makefile.am:
        * examples/IPC_SAP/Makefile.am:
        * examples/IPC_SAP/DEV_SAP/reader/Makefile.am:
        * examples/IPC_SAP/DEV_SAP/Makefile.am:
        * examples/IPC_SAP/DEV_SAP/writer/Makefile.am:
        * examples/IPC_SAP/FIFO_SAP/Makefile.am:
        * examples/IPC_SAP/FILE_SAP/Makefile.am:
        * examples/IPC_SAP/SOCK_SAP/Makefile.am:
        * examples/IPC_SAP/SPIPE_SAP/Makefile.am:
        * examples/IPC_SAP/SSL_SAP/Makefile.am:
        * examples/IPC_SAP/TLI_SAP/Makefile.am:
        * examples/IPC_SAP/UPIPE_SAP/Makefile.am:
        * examples/Log_Msg/Makefile.am:
        * examples/Logger/Acceptor-server/Makefile.am:
        * examples/Logger/client/Makefile.am:
        * examples/Logger/simple-server/Makefile.am:
        * examples/Logger/Makefile.am:
        * examples/Mem_Map/IO-tests/Makefile.am:
        * examples/Mem_Map/Makefile.am:
        * examples/Mem_Map/file-reverse/Makefile.am:
        * examples/Misc/Makefile.am:
        * examples/NT_Service/Makefile.am:
        * examples/Naming/Makefile.am:
        * examples/OS/Process/Makefile.am:
        * examples/OS/Makefile.am:
        * examples/QOS/Diffserv/Makefile.am:
        * examples/QOS/Makefile.am:
        * examples/QOS/Change_Receiver_FlowSpec/Makefile.am:
        * examples/QOS/Change_Sender_TSpec/Makefile.am:
        * examples/QOS/Simple/Makefile.am:
        * examples/RMCast/Send_File/Makefile.am:
        * examples/RMCast/Makefile.am:
        * examples/Reactor/Dgram/Makefile.am:
        * examples/Reactor/Makefile.am:
        * examples/Reactor/FIFO/Makefile.am:
        * examples/Reactor/Misc/Makefile.am:
        * examples/Reactor/Multicast/Makefile.am:
        * examples/Reactor/Ntalker/Makefile.am:
        * examples/Reactor/Proactor/Makefile.am:
        * examples/Reactor/WFMO_Reactor/Makefile.am:
        * examples/Registry/Makefile.am:
        * examples/Service_Configurator/IPC-tests/client/Makefile.am:
        * examples/Service_Configurator/IPC-tests/Makefile.am:
        * examples/Service_Configurator/IPC-tests/server/Makefile.am:
        * examples/Service_Configurator/Makefile.am:
        * examples/Service_Configurator/Misc/Makefile.am:
        * examples/Shared_Malloc/Makefile.am:
        * examples/Shared_Memory/Makefile.am:
        * examples/Smart_Pointers/Makefile.am:
        * examples/Synch/Makefile.am:
        * examples/System_V_IPC/SV_Semaphores/Makefile.am:
        * examples/System_V_IPC/SV_Message_Queues/Makefile.am:
        * examples/System_V_IPC/Makefile.am:
        * examples/TMCast/Member/Makefile.am:
        * examples/TMCast/Makefile.am:
        * examples/Threads/Makefile.am:
        * examples/Timer_Queue/Makefile.am:
        * examples/Web_Crawler/Makefile.am:
        * netsvcs/clients/Logger/Makefile.am:
        * netsvcs/clients/Makefile.am:
        * netsvcs/clients/Naming/Client/Makefile.am:
        * netsvcs/clients/Naming/Makefile.am:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.am:
        * netsvcs/Makefile.am:
        * netsvcs/lib/Makefile.am:
        * netsvcs/servers/Makefile.am:
        * performance-tests/Misc/Makefile.am:
        * performance-tests/SCTP/Makefile.am:
        * performance-tests/Server_Concurrency/Leader_Follower/Makefile.am:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/Makefile.am:
        * performance-tests/Server_Concurrency/Makefile.am:
        * performance-tests/Synch-Benchmarks/Base_Test/Makefile.am:
        * performance-tests/Synch-Benchmarks/Makefile.am:
        * performance-tests/Synch-Benchmarks/Perf_Test/Makefile.am:
        * performance-tests/Synch-Benchmarks/Synch_Lib/Makefile.am:
        * performance-tests/TCP/Makefile.am:
        * performance-tests/UDP/Makefile.am:
        * performance-tests/Makefile.am:
        * tests/Makefile.am:
        * tests/SSL/Makefile.am:
        * tests/RMCast/Makefile.am:
        * tests/HTBP/Reactor_Tests/Makefile.am:
        * tests/HTBP/Send_Large_Msg/Makefile.am:
        * tests/HTBP/Send_Recv_Tests/Makefile.am:
        * tests/HTBP/ping/Makefile.am:
        * tests/HTBP/Makefile.am:
        * websvcs/lib/Makefile.am:
        * websvcs/Makefile.am:
        * websvcs/tests/Makefile.am:
        * Makefile.am:
        * protocols/ace/HTBP/Makefile.am:
        * protocols/ace/Makefile.am:
        * protocols/Makefile.am:
          Either updated or new automake files. These were all generated with
          MPC and checked in. A number will require further tweaks to be
          useable for installing an autoconfigure'd ACE. At some point, we
          may work on the MPC extensions needed to completely automate the
          Makefile.am file generation, but at this point, those changes are
          only useful for automake build targets.

Sat Nov 13 23:49:57 2004  Kobi Cohen-Arazi  <kobi.cohenarazi@gmail.com>

        * tests/Test_Output.cpp (ACE_Test_Output::close):
          Added delete of the stream and setting msg_ostream to 0. That way
          when re-initing the stream, it will be recreated.

Fri Nov 12 09:10:28 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-integritySCA.h:
        * include/makeinclude/platform_integrity_ghs.GNU:

          Merged in changes from TAO 1.3a.

Fri Nov 12 09:48:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/ACE.cpp (terminate_process): Return 0 for success (not 1) and
          -1 for failure (not 0). Thanks to Russell Mora for this fix.

Fri Nov 12 06:33:02 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_Thread.cpp:

          Removed a duplicated #elif clause.

Fri Nov 11 12:29:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * ace/config-vxworks5.x.h:
          More changes to accommodate VxWorks 5.5.1 builds.

Thu Nov 11 19:05:45 2004  Krishnakumar B  <kitty@spam.invalid.domain>

        * bin/MakeProjectCreator/config/ciao_component_dnc.mpb (project):
          Added a dependency from ciao_component_dnc to
          ciao_deployment_stub to resolve errors in building examples
          based on DAnCE framework.

Thu Nov 11 15:56:00 2004  Gary Maxey    <gary.maxey@hp.com>

        * ace/OS_NS_time.h
          Add typedef for ACE_hrtime_t for Tandem platform.
          Add conversion defines needed by High_Res_Timer.cpp.

        * ace/High_Res_Timer.cpp
          Use macro definition for time difference calculation in
          ACE_High_Res_Timer::calibrate.

        * ace/OS_NS_sys_select.inl

          Use spt_select instead of select for Tandem pthreads.

        * ace/os_include/os_pthread.h
        * ace/OS_NS_Thread.cpp
        * ace/Sched_Params.cpp

          Add clause to existing ifdef for Tandem pthreads process
          priority definitions.

        * ace/CDR_Base.h

          Use LongLong typedef specialized for Tandem platform.

        * ace/Basic_Types.cpp

          For Tandem platform, altered initialization of flags
          variable in "operator<<" method.

        * ace/ACE_Export.h

          Added variation for "#define ACE_NAMESPACE_STORAGE_CLASS"
          for Tandem platform compiler.

Thu Nov 11 17:27:24 2004  Kobi Cohen-Arazi  <kobi.cohenarazi@gmail.com>

      * ace/Logging_Strategy.cpp:
        Fixed handle_timeout conditional test to check the max_size
        against the size of the file and not the value of a pointer. Fix
        init to handle re-init correctly. When wipeout_logfile_ is true,
        than close the file and reopen it truncated, when wipeout_logfile_
        is false, don't reopen the file unless its not open already.

Thu Nov 11 08:34:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added HTPB library so that this lib is build first in a static
          msvc build

Wed Nov 10 12:42:45 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_Errno.h:
        * ace/OS_Errno.cpp:

          Do not inline this code if building with debug enabled using gcc
          on Solaris.  If it is inlined, it can cause deadlocks during
          static initialization.

        * bin/MakeProjectCreator/config/rtscheduling.mpb:

          The TAO_RTScheduler library links in the TAO_PortableServer
          library, so this base project needs the portableserver base
          project.

        * tests/Priority_Task_Test.cpp:

          Print out an informational message if we are unable to change
          priority due to user privileges instead of an error.


        Applying the following changes from Trevor Fields
        (fields_t@ociweb.com):

        Mon Oct 25 12:12:14 MST 2004  Trevor Fields  <fields_t@ociweb.com>

        * ace/Service_Repository.h:
        * ace/Service_Repository.i:
        * ace/Service_Repository.cpp:

          Changed the lock from an ACE_Thread_Mutex to an
          ACE_Recursive_Thread_Mutex.  This was done to stop the
          deadlock from occuring on Solaris with gcc (>3) non-optimized
          builds.
          The problem is that the dynamic library loading is being done
          according to the link line, every time a variable is looked up.
          This results in loading a new library while holding the Service
          Repository lock resulting in a single threaded deadlock.
          The problem manifests itself in executables that deadlock before
          reaching main().  The ImR_Activator is one of the programs that
          currently is broken by this problem.

        Wed Sep  1 13:23:44 MST 2004  Trevor Fields  <fields_t@ociweb.com>

        * ace/Service_Repository.cpp:
          Changed the insert method to delete a replaced service
          after releasing the lock.  This was done to prevent
          deadlocks that were occuring on solaris with gcc > 3.2.1
          in the debug mode.

Wed Nov 10 16:42:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          New platform configuration for VxWorks >= 5.5.1.
          This new file (should) work(s) for both the GNU and DIAB toolchains on
          any host for any target:-)

Wed Nov 10 16:38:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added template specialization macros for DIAB builds.

Wed Nov 10 16:35:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/wrapper_macros.GNU:
          Introduced use of ACE_MKDIR and MKDIR variables to better support
          VxWorks 5.5.1 builds.

Wed Nov 10 07:10:12 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ASNMP/asnmp/enttraps.h:
        * ASNMP/asnmp/smival.h:

          Get rid of warnings from both aCC and Borland.

Wed Nov 10 13:04:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-mingw.h:
          Added format specifiers for INT64 and UINT64.

Tue Nov  9 11:53:39 PST 2004  Dave Craig <dwc@qualcomm.com>

        * ace/Multihomed_INET_Addr.cpp:
        * ace/Multihomed_INET_Addr.h:
        * tests/SOCK_SEQPACK_SCTP_Test.cpp:
        Add WCHAR support to ACE_Multihomed_INET_Addr, so
        SOCK_SEQPACK_SCTP_Test will not fail to build when passing a wchar_t
        argument on platforms that define ACE_USES_WCHAR.

        Add Qualcomm disclaimer to SOCK_SEQPACK_SCTP_Test.

        Note, there's still one more check-in to make SOCK_SEQPACK_SCTP_Test
        a shell of a executable on platforms that do not define ACE_HAS_SCTP.

Tue Nov  9 09:39:09 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          The ImR/Combined_Service example will not run on single threaded
          builds.

Tue Nov  9 09:07:26 2004  Olli Savia  <ops@iki.fi>

        * examples/Web_Crawler/Command_Processor.cpp:
          Added explicit static template member instantiations.

Mon Nov  8 13:30:47 2004  Chad Elliott  <elliott_c@ociweb.com>

        * tests/OS_Test.cpp:

          Converted the binary string data in string_convert_test() to hex
          escape sequences to get it to compile on gcc 3.4.1.

Mon Nov  8 12:05:03 2004  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/rules.lib.GNU:

          Removed the unnecessary semi-colon from the end of the ar command
          line and collapsed the special rule for vxworks_ntbuild as it was
          no longer needed.

Mon Nov  8 11:34:34 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyGenerator.pm:

          Slight performance modifications.

        * bin/generate_export_file.pl:

          Print debug messages to STDERR to allow clean redirection with the
          use of the -d option.

Mon Nov  8 07:53:46 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/msvc_mpc_auto_compile.pl:

          Added the protocols directory to the ace core directories.

Fri Nov  5 13:44:57 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/acedefaults.mpb:

          Added ACE_NO_INLINE=1 to debug_macros only for the bmake project
          type.

Fri Nov  5 18:11:41 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.cpp (thr_create):

          Fixed memory leak that were caused due to allocated
          <thread_args> not being deleted whenever there is an error. Got
          around this problem by using an auto_ptr, and releasing the
          pointer when thr_create () is successful. Thanks to Gary Maxey
          for reporting the problem.

        * ace/Base_Thread_Adapter.h (ACE_Base_Thread_Adapter):

          Moved the destructor to be public and the constructor to be
          private. Making the destructor seems to have more downsides like
          the one above (which basically prevented us from using
          auto_ptr's).

Fri Nov  5 16:14:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_stdlib.cpp:
          Fixed unnecessary inclusion of 'limits' for VxWorks because
          it caused problems with GCC 2.9.6 toolchain.

Fri Nov  5 07:52:51 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE.cpp:

          Changed gcd() from recursive to iterative implementation.
          A good optimizing compiler should be able to convert the
          tail call to a jump; but some compilers aren't good, and
          sometimes ACE is compiled without optimization.

Fri Nov  5 15:36:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
        * include/makeinclude/rules.bin.GNU:
          Changes to support VxWorks 5.5.1 linking (both DIAB and GNU
          toolchains). With VxWorks 5.5.1 linking is done based on
          rules/targets defined in the makefile configuration provided
          with the VxWorks toolset which is embedded in the ACE/TAO
          structure through the platform_macros.

Fri Nov  5 15:30:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-vxworks5.x.h:
          Updates for VxWorks 5.5.1 support.

Fri Nov  5 07:27:16 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * Makefile.am:

          Changed to configure/build new protocols subdirectory
          heirarchy.

        * ace/Makefile.am:

          Changed to not decend into HTBP subdirectory.

        * protocols/Makefile.am:
        * protocols/ace/Makefile.am:
        * protocols/ace/HTBP/Makefile.am:

          Added new files.  Automake support for new HTBP location.

Fri Nov  5 07:33:33 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/htbp.mpb:

          Added an include path for $(ACE_ROOT)/protocols.  This will allow
          everything that uses HTBP to compile.

Fri Nov  5 10:30:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_stdlib.cpp:
          Fixed ACE_OS::mkstemp_emulation() for VxWorks because of 'max'
          macro clash with 'std::numeric_limits<char>::max ()'.

Fri Nov  5 07:28:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Test_Output.cpp:
          Replaced ACE cast macro with C++ version

Thu Nov  4 22:08:40 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/HTBP/:
          Moved to new protocols/ace/HTBP.

        * protocols/:
          This is a new subdirectory added in anticipation of new
          libraries that use ACE to create new methods of transporting
          data between peers. This directory exists as a peer to ace
          signifying that entites under this directory are not wrappers in
          and of themselves, but do not necessarily have dependencies on
          any higher level code.

        * protocols/ace/HTBP:
          This directory contains the implementation of the Hypertext
          Tunneling Bidirectional Protocol, that was previously under the
          ace directory. The additional ace directory was added to avoid
          having to modify any code that depends on HTBP, currently its
          tests and the TAO pluggable protocol, HTIOP. Keeping the
          relative path the same meant that the only external change
          required as a side effect of this move was to add a single line
          to htbp.mpb so that code including HTBP headers get
          -I $ACE_ROOT/protocols added to the compile line. No other
          changes are required.

        * ace/ace.mwc:
          Removed ace/HTBP from the workspace definition.

        * bin/MakeProjectCreator/config/htbp.mpb:
          Added "includes += $(ACE_ROOT)/protocols" to the base project.

Thu Nov  4 18:47:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-WinCE.h: Added ACE_LACKS_WCTYPE_H for CE 3 and lower.

        * ace/OS_NS_sys_stat.inl: For CE, removed data truncation warnings.

Thu Nov  4 17:06:08 CST 2004 Scott Harris <harris_s@ociweb.com>

        * test/Test_Output.cpp:

          Fix a bug introduced by a memory leak fix in Logging_Strategy.cpp,
          Mon Oct 18 21:13:02 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>
          , that broke the test/Logging_Strategy_Test on some platforms.
          The problem is that Test_Output gives its file stream away
          to ACE_LOG_MSG and then ACE_Logging_Strategry::init destroys the
          stream but ACE_END_TEST still tries to close and destory it.
          The solution was to only have Test_Output close/destroy the
          stream if it has not already be changed in ACE_LOG_MSG.

        * test/Log_Msg_Test.cpp:

          The above change made it so ACE_Test_Output::output_file ()
          returns the ACE_MSG_LOG stream so it would not return
          a possibly destroyed stream. Log_Msg_Test had
          to be changed to save off the message stream when it
          switched to a different file stream and then back
          to the original.

Thu Nov  4 14:00:50 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/QoS/Makefile.am:

          Added includedir definition so that headers are installed
          in $prefix/include/ace/QoS.

        * configure.ac:
        * ace/Makefile.am:

          Changed to configure/build HTBP protocol library.

        * ace/HTBP/Makefile.am:

          Added new file, automake support for HTBP protocol.

Thu Nov  4 06:28:34 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/IPC_SAP/SSL_SAP/SSL-client.cpp:

          Added another cast that I missed on my Wed Nov  3 07:13:19 2004
          check-in.

Wed Nov  3 10:02:25 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_orb_tests.lst:

          TAO/tests/IDL_Test/run_test.pl also can not be run with CORBA
          Messaging disabled.

        * bin/tao_other_tests.lst:

          TAO/performance-tests/Protocols/run_test.pl can not be run in a
          minimum corba build.

          Both TAO/examples/ior_corbaloc/run_test.pl and
          TAO/utils/nslist/run_test.pl now require CORBA Messaging
          because the Naming_Service requires it due to the addition of the
          relative roundtrip timeout ability in the TAO_Naming_Server class.

Wed Nov  3 09:40:21 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_orb_tests.lst:

          TAO/tests/Bug_1568_Regression/run_test.pl and
          TAO/tests/Bug_1670_Regression/run_test.pl can not be run with
          CORBA Messaging disabled.

Wed Nov  3 08:49:15 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          Removed TAO/orbsvcs/tests/Notify/Lanes/run_test.pl and
          TAO/orbsvcs/tests/Notify/ThreadPool/run_test.pl.  These tests
          require more scheduling priorities than most of the nightly build
          systems have access to as a regular user.

Wed Nov  3 06:24:31 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/ftrteventchannel.mpb:
        * bin/MakeProjectCreator/config/messaging.mpb:

          Changed to inherit from corba_messaging instead of appending
          corba_messaging to requires.

Wed Nov  3 07:24:06 2004  Chad Elliott  <elliott_c@ociweb.com>

        * tests/HTBP/htbptest.mpb:

          Added missing Id tag.

Wed Nov  3 07:13:19 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ACEXML/parser/parser/Parser.i:

          Removed unused variable 'ch'.

        * ACEXML/parser/parser/Parser.cpp:

          Added ACE_NOTREACHED around return to avoid warnings from Tru64
          compiler.

        * ASNMP/asnmp/address.cpp:
        * ASNMP/asnmp/octet.cpp:
        * ASNMP/asnmp/oid.h:
        * ASNMP/asnmp/oid.cpp:
        * ASNMP/asnmp/smival.h:
        * ASNMP/asnmp/transaction.cpp:

          Getting rid of build warnings from various compilers (cxx, aCC,
          etc.)

        * examples/IPC_SAP/SSL_SAP/SSL-client.cpp:

          Because of my Tue Nov  2 13:51:15 2004 change, cast -1 to size_t
          in a couple of places.

Tue Nov  2 18:37:22 2004  Steve Huston  <shuston@riverace.com>

        * tests/SOCK_SEQPACK_SCTP_Test.cpp: Reverted:
          Tue Nov  2 10:15:01 2004  Chad Elliott  <elliott_c@ociweb.com>
          and changed the Server() and Client() return types from void*
          to ACE_THR_FUNC_RETURN to fix compile errors. Also changed a
          char to unsigned char to avoid a truncation warning.

Tue Nov  2 14:09:57 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * tests/Dev_Poll_Reactor_Test.cpp:

          Handle the alternate version of
          ACE_Connector<>::connect_svc_handler and in the process remove a
          SunCC warning.

Tue Nov  2 13:51:15 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ASNMP/asnmp/asn1.cpp:

          Cast literal integer to u_long to match the type of the variable.

        * ace/config-linux-common.h:

          Check for __x86_64__ similarly to __ia64 to get rid of some build
          warnings.

        * examples/IPC_SAP/SSL_SAP/SSL-client.cpp:

          Use size_t instead of int to match the size of void*.

Tue Nov  2 10:15:01 2004  Chad Elliott  <elliott_c@ociweb.com>

        * tests/SOCK_SEQPACK_SCTP_Test.cpp:

          Cast the first parameter to ACE_Thread_Manager::spawn to
          ACE_THR_FUNC (as is done in other tests) to avoid compilation
          problems on Windows.

Mon Nov  1 07:27:11 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/INET_Addr.cpp: Fixed the implementation of

          ACE_INET_Addr (const char port_name[],
                         ACE_UINT32 ip_addr,
                         const char protocol[] = "tcp");

          ACE_INET_Addr (const wchar_t port_name[],
                         ACE_UINT32 ip_addr,
                         const wchar_t protocol[] = "tcp");

          so that they convert the ip_addr into network byte order before
          calling set().  Thanks to Xue Yong Zhi <seclib@seclib.com> for
          reporting this bug and providing the fix.

Tue Nov  2 06:56:21 2004  Chad Elliott  <elliott_c@ociweb.com>

        * performance-tests/SCTP/SCTP.mpc:

          Added verbatim sections to the client projects to adds $(MATHLIB)
          to LDLIBS for gnuace projects.  The math library is needed for
          some UNIX platforms and is set in the corresponding platform_*.GNU
          files.

Tue Nov  2 07:59:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/SCTP/Options_Manager.cpp:
          Removed extern C around the include of an ACE header file, this
          fixes the compile problems in the Borland builds

Mon Nov  1 10:21:00 2004  Gary Maxey  <gary.maxey@hp.com>

        * ace/TP_Reactor.cpp: performace enhancement in handle_timer_events
          See Bugzilla #1971 for details.

        * ace/TP_Reactor.cpp: performace enhancement in handle_timer_events
          See Bugzilla #1971 for details.

Mon Nov  1 08:37:47 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/HTBP/Send_Large_Msg/Send_Large_Msg.mpc:
        * tests/HTBP/Send_Large_Msg/Send_Recv_Test.mpc:
        * tests/HTBP/Reactor_Tests/Reactor_Tests.mpc:
        * tests/HTBP/ping/ping.mpc:

          Removed dependency on htbptest.mpb, as this breaks the automated
          mpc script.

Mon Nov  1 07:34:03 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/HTBP/htbptest.mpb:
        * tests/HTBP/Reactor_Tests/Reactor_Tests.mpc:
        * tests/HTBP/Send_Large_Msg/Send_Large_Msg.mpc:
        * tests/HTBP/Send_Large_Msg/Test_Output.cpp:
        * tests/HTBP/Send_Recv_Tests/SendRecv_Test.mpc:
        * tests/HTBP/Send_Recv_Tests/Test_Output.cpp:
        * tests/HTBP/ping/ping.mpc:

          Removed duplicate Test_Output.cpp source and added a new base
          project that includes libTest_Output.so.

Mon Nov  1 07:16:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/FlReactor_Test.cpp:
          Set the reactor of the event handler to make this test working.
          Thanks to Ertugrul Sorar <esorar1 at yahoo dot com> for supplying
          the patch

Fri Oct 29 22:48:34 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/HTBP/HTBP_ID_Requestor.cpp:
          Fixed Single thread build error due to mutex type mismatch.

Fri Oct 29 12:15:23 2004  Steve Huston  <shuston@riverace.com>

        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp: Add missing #include
          "ace/OS_Memory.h" to find ACE_NEW_RETURN.

Fri Oct 29 12:09:28 2004  Steve Huston  <shuston@riverace.com>

        * examples/Shared_Memory/test_MM.cpp: Don't try ACE_OS::mkstemp()
          if ACE_LACKS_MKSTEMP is defined.

Fri Oct 29 09:30:37 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/HTBP/HTBP_Channel.cpp:

          Remove build warning from g++.

Thu Oct 28 13:12:18 2004  Chad Elliott  <elliott_c@ociweb.com>

        * tests/SOCK_SEQPACK_SCTP_Test.cpp:

          If IPPROTO_SCTP is not defined, let the protocol default.

Thu Oct 28 11:16:26 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/HTBP/HTBP_Environment.cpp:
        * ace/HTBP/HTBP_ID_Requestor.cpp:
          Fixed overlooked literal wide string and a missing include file.

Thu Oct 28 11:48:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/Reactor/Misc/pingpong.cpp: Added missing includes
          "ace/Barrier.h" and "ace/Thread.h" for ACE_WIN32. Also added
          some missing ACE_TEXT() around string literals.

Thu Oct 28 07:03:28 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/IPC_SAP/SOCK_SAP/CPP-unclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-unserver.cpp:
        * examples/Reactor/Misc/pingpong.cpp:

          Added #include "ace/OS_NS_unistd.h" for ACE_OS::read,
          ACE_OS::unlink, ACE_OS::getpid and ACE_OS::fork.

        * performance-tests/SCTP/SOCK_STREAM_clt.cpp:

          Added #include "ace/OS_Memory.h" for ACE_NEW_RETURN.

Thu Oct 28 11:50:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/dsp2dsp.pl:
          Removed this file, dsp's are now generated with MPC

Thu Oct 28 06:21:40 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/HTBP/HTBP_Session.cpp:

          Removed another extra semi-colon.

Thu Oct 28 00:27:57 2004  Olli Savia  <ops@iki.fi>

        * apps/JAWS/server/HTTP_Request.cpp:
          Replaced NULL with 0.

Wed Oct 27 16:22:49 2004  Steve Huston  <shuston@riverace.com>

        * ace/UNIX_Addr.{h i}: Added wchar_t variants of the char-accepting
          constructor and set() methods. Changed addr_to_string() to accept
          ACE_TCHAR, not char, for the buffer. This unifies it with the other
          address classes, restoring the ability to interchange it in
          the Acceptor/Connector framework.
        * ace/UNIX_Addr.cpp (set): Use strsncpy(), not memcpy(), to copy
          the rendezvous string in, assuring a null-terminated string.

        * examples/IPC_SAP/DEV_SAP/reader/dev_sap_reader.mpc:
        * examples/IPC_SAP/DEV_SAP/writer/dev_sap_writer.mpc:
          Added exename and Source_Files spec since there's no main().

        * examples/Reactor/Misc/Reactor_Misc.mpc: Added pingpong program.

        * examples/IPC_SAP/SOCK_SAP/sock_sap.mpc: Corrected names in
          CPP_unserver project and added CPP_unclient project.

        * examples/Connection/blocking/SPIPE-acceptor.{h cpp}:
        * examples/Connection/blocking/SPIPE-connector.{h cpp}:
        * examples/Connection/blocking/test_spipe_acceptor.cpp:
        * examples/Connection/blocking/test_spipe_connector.cpp:
        * examples/Connection/misc/test_upipe.cpp:
        * examples/Connection/misc/Connection_Handler.cpp:
        * examples/Connection/non_blocking/CPP-acceptor.{h cpp}:
        * examples/Connection/non_blocking/CPP-connector.{h cpp}:
        * examples/Connection/non_blocking/test_lsock_acceptor.cpp:
        * examples/Connection/non_blocking/test_lsock_connector.cpp:
        * examples/Connection/non_blocking/test_sock_acceptor.cpp:
        * examples/Connection/non_blocking/test_sock_connector.cpp:
        * examples/Connection/non_blocking/test_spipe_acceptor.cpp:
        * examples/Connection/non_blocking/test_spipe_connector.cpp:
        * examples/IPC_SAP/DEV_SAP/reader/reader.cpp:
        * examples/IPC_SAP/DEV_SAP/writer/writer.cpp:
        * examples/IPC_SAP/FIFO_SAP/FIFO-test.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-memclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-unclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-unserver.cpp:
        * examples/IPC_SAP/SOCK_SAP/FD-unserver.cpp:
        * examples/IPC_SAP/SOCK_SAP/FD-unclient.cpp:
        * examples/IPC_SAP/SPIPE_SAP/NPClient.cpp:
        * examples/IPC_SAP/SPIPE_SAP/NPServer.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-client-simple.{h cpp}:
        * examples/IPC_SAP/SSL_SAP/SSL-client.{h cpp}:
        * examples/IPC_SAP/SSL_SAP/SSL-sever-fancy.{h cpp}:
        * examples/Logger/Acceptor-server/server_loggerd.{h cpp}:
        * examples/Logger/client/logging_app.cpp:
        * examples/Logger/simple-server/Logging_Handler.cpp:
        * examples/Logger/simple-server/server_loggerd.cpp:
        * examples/Mem_Map/IO-tests/IO_Test.cpp:
        * examples/Mem_Map/IO-tests/test_io.cpp:
        * examples/OS/Process/process.cpp
        * examples/Reactor/FIFO/server.cpp:
        * examples/Reactor/Misc/test_demuxing.cpp:
        * examples/Reactor/Misc/notification.cpp:
        * examples/Reactor/Misc/pingpong.cpp:
        * examples/Reactor/Multicast/Log_Wrapper.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_dgram_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_stream_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_pipe_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_Broadcast.{h i cpp}:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_CODgram.{h i cpp}:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.{h i cpp}:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.{h i cpp}:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.{h i cpp}:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Stream.{h i cpp}:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Dgram.{h i cpp}:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.{h i cpp}:
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.{h i cpp}:
        * examples/Service_Configurator/IPC-tests/server/Handle_Thr_Stream.{h cpp}:
        * examples/Service_Configurator/IPC-tests/server/server_test.cpp:
        * examples/Shared_Memory/test_MM.cpp:
        * examples/Shared_Memory/Options.{h cpp}:
        * examples/Shared_Memory/test_malloc.cpp:
        * performance-tests/SCTP/Options_Manager.cpp:
        * performance-tests/SCTP/SOCK_STREAM_clt.cpp:
        * performance-tests/SCTP/SOCK_STREAM_srv.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp:
          Wide-char fixes.

        * performance-tests/SCTP/SCTP.mpc: New - describes the projects in
          this directory. These will build ok without SCTP enabled, so they
          don't need to be "required" to have sctp.

Wed Oct 27 14:33:42 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/HTBP/HTBP_Addr.cpp:
        * ace/HTBP/HTBP_Filter_Factory.cpp:
        * ace/HTBP/HTBP_ID_Requestor.cpp:
        * ace/HTBP/HTBP_Outside_Squid_Filter.h:
          Addressing errors raised by AIX 64 compiler.

Wed Oct 27 12:11:11 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/HTBP/HTBP_Addr.cpp:
        * ace/HTBP/HTBP_Environment.cpp:
        * ace/HTBP/HTBP_Environment.h:
        * ace/HTBP/HTBP_Filter.cpp:
        * ace/HTBP/HTBP_Filter.h:
        * ace/HTBP/HTBP_ID_Requestor.cpp:
        * ace/HTBP/HTBP_ID_Requestor.h:
        * ace/HTBP/HTBP_Inside_Squid_Filter.cpp:
        * ace/HTBP/HTBP_Session.cpp:
        * tests/HTBP/Reactor_Tests/client.cpp:
        * tests/HTBP/Send_Large_Msg/client.cpp:
        * tests/HTBP/Send_Large_Msg/run_test.pl:
        * tests/HTBP/Send_Large_Msg/server.cpp:
        * tests/HTBP/Send_Recv_Tests/SendRecv_Test.cpp:
        * tests/HTBP/ping/client.cpp:
          Numerous fixes to make support for wchar builds correct.

Wed Oct 27 10:33:15 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/HTBP/HTBP.mpc:

          Modified the dynamicflags to match the macro used in
          HTBP_Export.h.

Wed Oct 27 09:28:05 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/msvc_static_order.lst:

          Added the HTIOP library to the static order list.

Wed Oct 27 09:16:16 2004  Chad Elliott  <elliott_c@ociweb.com>

        * tests/HTBP/Reactor_Tests/Reactor_Tests.mpc:
        * tests/HTBP/Send_Large_Msg/Send_Large_Msg.mpc:
        * tests/HTBP/Send_Recv_Tests/SendRecv_Test.mpc:
        * tests/HTBP/ping/ping.mpc:

          Ensure that these projects get built in the right order by
          inheriting from the htbp base project.

Wed Oct 27 13:05:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/rules.lib.GNU:

          Added changes to support VxWorks DIAB build on Windows.

Wed Oct 27 07:54:11 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/HTBP/HTBP_Addr.h:
        * ace/HTBP/HTBP_Channel.h:
        * ace/HTBP/HTBP_Environment.h:
        * ace/HTBP/HTBP_Filter.h:
        * ace/HTBP/HTBP_Filter_Factory.h:
        * ace/HTBP/HTBP_ID_Requestor.h:
        * ace/HTBP/HTBP_Inside_Squid_Filter.h:
        * ace/HTBP/HTBP_Notifier.h:
        * ace/HTBP/HTBP_Outside_Squid_Filter.h:
        * ace/HTBP/HTBP_Session.h:
        * ace/HTBP/HTBP_Stream.h:

          Semi-colons are not required on the closing brace of a namespace
          and cause errors on a few compilers.

Wed Oct 27 07:46:42 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/HTBP/HTBP_Addr.h:
        * ace/HTBP/HTBP_Channel.cpp:
        * ace/HTBP/HTBP_Environment.h:
        * ace/HTBP/HTBP_Stream.cpp:

          Use "" instead of <> in #include.

        * ace/HTBP/HTBP_ID_Requestor.cpp:
        * ace/HTBP/HTBP_Session.h:
        * ace/HTBP/HTBP_Session.cpp:

          Use ACE_SYNCH and ACE_SYNCH_MUTEX instead of ACE_MT_SYNCH and
          ACE_Thread_Mutex for threads=0 builds.

        * ace/OS_NS_Thread.inl:

          ACE_OS::thr_getspecific() was missing an #else clause for the
          ACE_HAS_THREADS macro.

Wed Oct 27 08:05:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/rules.local.GNU:

          Fixed 'mkdir' handling for 'normal' cygwin32 and mingw32 builds
          since 'make' here uses 'sh.exe' as shell instead of 'cmd.exe' as
          the make for VxWorks does.

Tue Oct 26 13:55:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ACEXML/common/StreamFactory.cpp:
        * ACEXML/common/ZipCharStream.h:
        * ACEXML/common/ZipCharStream.cpp:
        * ACEXML/examples/SAXPrint/main.cpp:

          Switch to using the zzip base project found in MPC which means
          switch from macro ACEXML_HAS_ZZIPLIB to USE_ZZIP.

        * bin/MakeProjectCreator/config/zzip.mpb:

          Removed this file.  It is a duplicate of the one contained in
          MPC/config except for the trigger macro.

Fri Oct 26 11:18:21 PDT 2004  Dave Craig <dwc@qualcomm.com>

        * ace/SOCK_SEQPACK_Association.h:
        * ace/SOCK_SEQPACK_Association.cpp:
        Add SOCK_SEQPACK_Association::abort() to ungracefully remove an
        association.  See RFC 2960 for more details.

        * tests/SOCK_SEQPACK_Test.cpp:
        * tests/tests.mpc:
        * tests/tests.lst:
        Add simple test to exercise SOCK_SEQPACK_* functionality through
        loopback and verify that abort() is doing what it is supposed to
        be doing.  It took a while to exercise all of the different #define's,
        but the results should come out fine w/+w/o ACE_HAS_IPV6, w/+w/o
        ACE_HAS_SCTP, and w/+w/o ACE_LACKS_FORK.  TAO with LKSCTP did not
        compile, so it was not regressed.

Tue Oct 26 13:05:28 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/HTBP/HTBP.mpc:
        * ace/HTBP/HTBP_Addr.h:
        * ace/HTBP/HTBP_Channel.h:
        * ace/HTBP/HTBP_Channel.cpp:
        * ace/HTBP/HTBP_Environment.h:
        * ace/HTBP/HTBP_Filter.h:
        * ace/HTBP/HTBP_Filter_Factory.h:
        * ace/HTBP/HTBP_ID_Requestor.h:
        * ace/HTBP/HTBP_Inside_Squid_Filter.h:
        * ace/HTBP/HTBP_Notifier.h:
        * ace/HTBP/HTBP_Notifier.cpp:
        * ace/HTBP/HTBP_Outside_Squid_Filter.h:
        * ace/HTBP/HTBP_Session.h:
        * ace/HTBP/HTBP_Session.inl:
        * ace/HTBP/HTBP_Stream.h:
        * ace/HTBP/HTBP_Stream.cpp:
        * bin/MakeProjectCreator/config/htbp.mpb:
        * bin/MakeProjectCreator/config/htiop.mpb:
        * tests/HTBP/Reactor_Tests/Reactor_Tests.mpc:
        * tests/HTBP/Send_Large_Msg/Send_Large_Msg.mpc:
        * tests/HTBP/Send_Recv_Tests/SendRecv_Test.mpc:
        * tests/HTBP/ping/ping.mpc:

          Fixed many fuzz errors.

Tue Oct 26 09:39:18 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/HTBP/HTBP_Inside_Squid_Filter.cpp:

          Set toklen to zero to avoid using it in an uninitialized state.

Tue Oct 26 12:28:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/rules.local.GNU:

          Fixed sections for 'ifeq ("$(OS)", "Windows_NT")' since these
          now get hit again as the OS variable works again (see previous).
          Needed this for VxWorks cross-builds on NT.

Tue Oct 26 12:22:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/ace.mpc:

          Changed 'OS' filegroup to 'ACE_OS' since otherwise with GNU
          makefiles the OS environment variable gets overruled (and this
          is/was supposed to be used in rules.local.GNU).

Tue Oct 26 10:56:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_pgi.GNU
          Improved pgi support

Mon Oct 25 23:30:49 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * NEWS:
          Added a comment regarding HTBP.

Mon Oct 25 23:20:53 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/HTBP/README:
          Added some text that had been in TAO/orbsvcs/orbsvcs/HTIOP but
          is better located here.

        * bin/MakeProjectCreator/config/htbp.mpb:
        * bin/MakeProjectCreator/config/htiop.mpb:
          Base projects used to add libACE_HTBP.so or libTAO_HTIOP.so to
          projects.

Mon Oct 25 21:27:03 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/ace.mwc:
          Added HTBP as a new project.

        * ace/HTBP:
          This is a new streaming protocol, HTTP Tunneling Bidirectional
          Protocol. Motivation for this protocol comes from Essex-Radez
          (www.radez.com). A description of the protocol details may be
          found in ace/HTBP/README.

        * tests/HTBP:
          This is a collection of tests specific to HTBP.

Mon Oct 25 20:13:07 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/Global_Macros.h:
          Added a new service configuration macro for defining a factory
          function for classes scoped within namespaces. The new macro is
          ACE_FACTORY_NAMESPACE_DEFINE. The associated comment block
          provides usage details.

Mon Oct 25 09:05:02 2004  Steve Totten  <totten_s@ociweb.com>

        * ACEXML/common/Transcode.h:
          Renamed STATUS to ACEXML_STATUS to avoid name clash on
          platforms that define a macro STATUS (e.g., Tru64 cxx 6.1).

Sun Oct 24 08:39:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Removed OTHER and ALL from some tests, I don't see why these tests
          just shouldn't run on a few platforms.

Sat Oct 23 11:27:47 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/WIN32_Asynch_IO.cpp (shared_write): Changed the return values
          for ACE_Asynch_Write_Stream::write() and
          ACE_Asynch_Read_Stream::read() so that they return 0 rather than
          1.  This makes the code more portable between Windows and POSIX.
          Thanks to Jaroslaw Nozderko <jaroslaw.nozderko@polkomtel.com.pl>
          for reporting this.

        * ace/POSIX_Proactor.cpp (ACE_AIOCB_Notify_Pipe_Manager):
          Added a call to

          ACE_Flag_Manip::set_flags (this->pipe_.read_handle (), ACE_NONBLOCK);

          so that the ACE_POSIX_AIOCB_Proactor doesn't hang on SuSe Linux
          9.1.  Thanks to Vukajlo <vukajlo@finsoft.co.yu> for reporting
          this fix.

Fri Oct 22 17:55:32 2004  Steve Huston  <shuston@riverace.com>

        * configure.ac: Added check for ACE_LACKS_WCTYPE_H.

Fri Oct 22 17:00:27 2004  Steve Huston  <shuston@riverace.com>

        * ace/os_include/sys/os_stat.h: Add more values for the 'mode' flags
          for WinCE and use the macros defined for them in the Windows API.

        * ace/OS_NS_sys_stat.inl (stat): Set the st_mode value for WinCE.

        * tests/Dirent_Test.cpp: Don't attempt ACE_OS::chdir() for
          ACE_LACKS_CHDIR; the method isn't declared on those platforms.

        * tests/Time_Value_Test.cpp: Removed stray #include <iostream>.

Fri Oct 22 11:10:55 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/GNUObjectGenerator.pm:

          Fixed an object file path mismatch between the MPC generated
          makefiles and the dependencies generated by depgen.pl.

        * bin/MakeProjectCreator/config/xerces.mpb:

          Moved this file into MPC.  It is not ACE specific, so let others
          benefit from it.

Fri Oct 22 09:47:05 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/RMCast/RMCast_Copy_On_Write.h:
        * ace/RMCast/RMCast_Membership.h:
        * ace/RMCast/RMCast_Reordering.h:

          Removed doxygen errors.

Fri Oct 22 12:06:19 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-linux-common.h:
        * include/makeinclude/platform_linux_pgi.GNU:
          Improved pgi support

Fri Oct 22 11:47:26 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/xerces.mpb:

          Use libs instead of lit_libs since xerces also does the
          decoration in their VC* binaries.

Fri Oct 22 11:32:19 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_ctype.inl:
          When ACE_HAS_WCHAR is defined, include os_include/os_wctype.h to get
          towlower and towupper

        * ace/config-linux-common.h:
          Improved pgi support

Fri Oct 22 08:34:19 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release:
          Added fl_reactor=1 and xt_reactor=1 to the default.features file
          that is used to generate the GNU makefiles, this will only generate
          the corresponding makefiles, but to build with fl_reactor/xt_reactor
          you have to set it to 1 in the platform_macros.GNU file

Thu Oct 21 18:23:19 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-win32-msvc-7.h: ACE_HAS_TEMPLATE_TYPEDEFS doesn't apply
          to the Win64 SDK compiler (version 1300), even though it does for
          as MSVC 7.1 latest on Win32 (version 1310).

        * ace/CDR_Base.h: Only use ACE::If_Then_Else on MSVC for VC 7.1; the
          Win64 SDK compiler can't hack it.

        * ASNMP/tests/test_config.h (randomize): Added some static_cast to
          convert size_t to int. Fixes compile warnings on Win64.

Thu Oct 21 18:25:12  UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_pgi.GNU:
        * ace/config-linux-common.h:
        * ace/config-lite.h:
          Changes to support the Portland Group PGI High-Performance
          Compiler on Linux. This is just a first checkin, a new build
          has been setup and the port to this compiler will be done the
          next months, in case you want to know more, look at www.pgroup.com
          for the compiler details

Thu Oct 21 12:32:52 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ACEXML/common/AttributesImpl.h:

          Fixed doxygen errors dealing with the use of @var in a single line
          comment.

Thu Oct 21 09:12:32 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          No Notification Service test can be run when mimimum_corba is
          enabled.

Thu Oct 21 08:43:57 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_Thread.cpp:

          Corrected the mismatched ACE_TRACE macros.

Wed Oct 20 14:53:19 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_main.h: For WinCE, don't intersperse a call to an ace_os_...
          function. Just set up a ACE_Main object and call its run() method.
          Fixed the run() method on WinCE to take the command line args
          that WinMain gets on CE.

Wed Oct 20 10:42:22 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/ftserverorb.mpb:

          The ftserverorb base project needs to inherit from portablegroup
          to get the required settings (since TAO_FT_ServerORB depends on
          TAO_PortableGroup and TAO_Messaging).

Tue Oct 19 20:42:06 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.inl:
          Missed this file in my previous check in.

Tue Oct 19 17:04:19 2004  Steve Huston  <shuston@riverace.com>

        * tests/Multicast_Test.cpp: Explicitly specify PF_INET when creating
          the multicast socket. All of the addresses used in the test are
          IPv4, so force the socket to be IPv4 as well. Fixes run-time errors
          when IPv6 is enabled. The TCP stuff can pick up the correct address
          family from the specified address, but for datagrams, there's no
          real hint to pick up from.

Tue Oct 19 15:29:19 2004  Steve Huston  <shuston@riverace.com>

        * ace/Message_Block.cpp (ACE_Data_Block::clone()): When copying data
          from the original block to the cloned, only copy cur_size_ bytes.
          Preserves the "has been written" boundary in the new block and avoids
          a possible "uninitialized read" diagnostic from Purify, et al.
          Thanks to Kelly F. Hickel <kfh@mqsoftware.com> for reporting this.

Tue Oct 19 17:58:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-dmc.h:
          Improved Digital Mars C++ support

Tue Oct 19 06:47:04 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          Reverted my previous change and removed
          TAO/orbsvcs/examples/Notify/Lanes/run_test.pl and
          TAO/orbsvcs/examples/Notify/ThreadPool/run_test.pl from the list.
          These are the ones that require root privileges.

Tue Oct 19 06:17:24 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          Removed TAO/orbsvcs/tests/Notify/Lanes/run_test.pl from the list.
          It requires root privileges and shouldn't be run in a nightly
          build.

Mon Oct 18 19:21:25 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Fixed typo setting ACE_ROOT environment variable in the TAO_IDL
          definition.

Mon Oct 18 21:13:02 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Logging_Strategy.cpp: Fixed the init() method so that it doesn't
          leak memory if it's called more than once.  Thanks to Kobi
          <kobi.cohenarazi@gmail.com> for this fix.

        * ace/Pagefile_Memory_Pool.cpp: Fixed two bugs with the
          ACE_Pagefile_Memory_Pool constructor:

          1. In the constructor is called with options=0, then the
             internal meber local_cb_ is never initialised.  Thus there is
             no way of using it with ACE_Malloc.

          2. When used for ACE_Malloc in the following way

            : ACE_Malloc<ACE_PAGEFILE_MEMORY_POOL,ACE_Process_Mutex>
              Malloc1 ("NAME_TEST" )

            as a mutex is created with the name given, the internal call
            to CreateFileMapping (CreateFileMappingEx) fails because a
            system object of the same name already exists (the mutex).
            Thanks to Domingos Monteiro <d.monteiro@netia.net>
            for reporting these problems and providing the fixes.

Mon Oct 18 17:45:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Naming/Graph.cpp:
        * examples/APG/Naming/Temperature_Grapher.cpp: Don't attempt to
          compile the few parts of this that use std::list (the
          Graphable_Element_List typedef) without implicit template
          instantiation. It's too much trouble to try to follow the
          various platforms' incantations.

Mon Oct 18 17:18:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-dmc.h:
          Improved Digital Mars C++ support

Mon Oct 18 12:15:14 2004  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/display_logfile.cpp: Wide-char fixes.

Mon Oct 18 18:34:55 2004  Olli Savia  <ops@iki.fi>

        * ace/os_include/os_signal.h:
          Removed unneeded LynxOS specific pthread_sigmask
          protoype declaration.

Fri Oct 15 18:50:19 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.cpp: In places where the old ace_result_ part of
          the previous incantation of ACE_OSCALL_RETURN was used, create a
          local 'result' variable and use that. ace_result_ is only used in
          the Win32 version of ACE_OSCALL_RETURN.

Fri Oct 15 17:46:29 2004  Steve Huston  <shuston@riverace.com>

        * configure.ac: Added checks for the swab() variants that have:
          (const char*, char*, ssize_t) [SVID3 - ACE_HAS_CONST_CHAR_SWAB]
          and (char*, char*, ssize_t) [Windows, et al - ACE_HAS_NONCONST_SWAB].
          Also altered the ACE_HAS_TYPENAME test to work on Forte C++ 7.

        * m4/config_h.m4: Added ACE_HAS_CONST_CHAR_SWAB and
          ACE_HAS_NONCONST_SWAB.

        * ace/OS_NS_unistd.inl (swab): Added code for ACE_HAS_CONST_CHAR_SWAB
          variant for swab() found on Solaris.

        * ace/config-sunos5.5.h: Replace ACE_LACKS_SWAB with
          ACE_HAS_CONST_CHAR_SWAB. This was determined by running the autoconf
          tests. If it doesn't work uniformly, will need some feature-test
          tweaks.

Fri Oct 15 17:33:18 2004  Steve Huston  <shuston@riverace.com>

        * ace/ACE.h:
        * ace/OS_NS_signal.h: Include config-lite.h instead of config-all.h.
          It drags in too much and some trips up the aC++ compiler. Not sure
          why... it's a tangled web.

        * ace/Message_Block.h: Add #include "ace/config-lite.h" since it needs
          to know config settings.

Fri Oct 15 16:44:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_stdlib.cpp (mkstemp_emulation): Related to:
          Fri Oct  8 23:13:13 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>
          Only figure out a configurable limit on non-WinCE platforms. WinCE
          lacks too much to get fancy, so just use 127.

        * ace/Ping_Socket.cpp: Added Win32 /**/ trickery to keep MSVC from
          complaining about missing header files.

        * ace/OS_main.{h cpp}: Use ACE_HAS_WINCE, not ACE_WINCE, as the
          config macro to decide on Windows CE stuff.
          Also, the WinCE version of ACE_Main_Base::run() takes the WinCE
          command line args, not argc/argv. The argc/argv conversion from
          the text command line is now in the .cpp file, removing the need
          for including ARGV.h in OS_main.h, the source of many header file
          loops.

Fri Oct 15 13:28:02 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.cpp:
        * ace/os_include/os_pthread.h:
          This corrects a conflict between recent TSS changes and
          TSS Emulation.  The problem was a result of failing to distinguish
          between native and emulated TSS keys.

          TSS_Emulation uses a single native TSS key to emulate a compile-
          time-configurable number of emulated keys.  Function overloading
          based on various integer types was used to distinguish native key
          management from emulated key management.  The integral types involved
          varied from platform to platform.  So, for example,
          thr_keyfree(unsigned int) frees a native key while thr_keyfree(unsigned long)
          frees an emulated key (on some platforms).

          The failure happened when the emulated key with the same value as the
          real key on which the emulation was based was freed.  Due to the above-
          mentioned confusion the real key was being freed-- breaking the emulation.

          The solution was to rename several internal routines so that thr_keyfree_native
          frees a real key while thr_keyfree frees an emulated key.  The native methods
          are used only internally in the OS_NS_Thread.cpp file so the change is localized.

          In the process I eliminated a lot of duplicated (copy-paste-tweaked) code.
          Thus with this change allocating a native key uses the same code whether or not
          TSS Emulation is enabled.

          I also cleared up another area of confusion in the ACE_TSS_Cleanup
          object.  Methods were documented and in some cases renamed to
          make it clear whether the method was managing the lifetime of a TSS object or a
          TSS key.

          ACE_TSS_Cleanup is internal to OS_NS_Thread.cpp so the change will not have any
          impact on other parts of the system.

          Finally I added a number of ACE_ASSERTS in places where the comments said
          "This will never happen."  but it was happening and being ignored.


Fri Oct 15 13:34:17 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          The TAO/orbsvcs/examples/ImR/Combined_Service/run_test.pl script
          should only be run if exceptions are enabled.

Fri Oct 15 10:09:34 2004  Dale Wilson  <wilson_d@ociweb.com>

        * tests/TSS_Test.cpp:
        * tests/TSS_Test_Errno.h:

          Olli's report that TSS_Test was failing when TSS_Emulation prompted
          me to take a closer look at TSS_Test.  I found a number of problems,
          none of which was related to the TSS Emulation issue.  That will be
          addressed separately.

          The most serious problem was attempting to log a message from within
          a TSS cleanup function.  Since the log message buffer is itself a TSS
          object this only works of the TSS objects happen to be deleted in the
          "right" order.  There was even a comment that said:
            // Anyways, for whatever reason, the ACE_DEBUG causes a
            // core dump on LynxOS 2.5.0.

          I was amused by: void *ptr; operator delete (ptr);.  It works, but it's a bad
          example to set for people who might read this code as an example of how to
          clean up "real" TSS objects.  Sometimes calling the destructor is important.

          If the comments can be trusted, the code was deleting TSS objects twice when
          ACE_HAS_PTHREADS_DRAFT4 was defined.

          Finally I added a test of TSS object lifetime management.  Previously
          it did a lot of calls without really checking to see if they worked.
          It now counts the number of TSS objects created and the number deleted to
          insure that every object created is actually deleted.  For now a failure
          of this check generates a warning rather than an error because I want
          to see how this turns out on various platforms without adding a new
          test failure right before upcoming beta release.

Fri Oct 15 01:28:58 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * netsvcs/lib/Makefile.am:

          Changed to install netsvcs library.

Fri Oct 15 06:52:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Vector_Test.cpp:
        * ace/Task.cpp:
          Changed Borland C++ version checks

Thu Oct 14 21:03:00 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/CDR_Base.cpp:
        * ace/CDR_Base.inl:

          Added AMD64 optimized versions of ACE_CDR::swap_{2, 4, 8}, and
          ACE_CDR::swap_{2, 4}_array.

Thu Oct 14 08:07:36 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Profile_Timer.inl:

          If ACE_HAS_PRUSAGE_T is defined, we need to include
          ace/OS_NS_stropts.h to get ACE_OS::ioctl.

        * ace/Profile_Timer.cpp:

          If ACE_HAS_PRUSAGE_T is defined, we need to include
          ace/OS_NS_stdio.h to get ACE_OS::sprintf.

Thu Oct 14 12:27:23 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.x_diab.GNU
          Some small changes for the Windriver Diab compiler

Thu Oct 14 12:23:23 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lite.h:
        * ace/config-vxworks5.x.h:
        * ace/Task.cpp:
          Some small changes for the Windriver Diab compiler

Wed Oct 13 21:55:13 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * include/makeinclude/wrapper_macros.GNU (acexml):

          Enable ACEXML support by default.  Addresses build issues
          introduced by the "--with-acexml" configure script changes
          described below.  Thanks to Bala for pointing this out and for
          suggesting a fix.

Tue Oct 12 22:37:16 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * m4/ace.m4:

          Changed "--with-uses-wchar" configure script option to
          "--enable-uses-char".  The latter is the correct convention for
          features.  "--with-*" is by convention only used for requesting
          use of other software packages in the package being configured.

Wed Oct 13 06:53:55 2004  Olli Savia  <ops@iki.fi>

        * tests/DLL_Test_Impl.cpp:
        * tests/Message_Block_Test.cpp:
        * tests/SOCK_Connector_Test.cpp:
        * tests/SOCK_SEQPACK_SCTP_Test.cpp:
        * tests/Timer_Queue_Test.cpp:
        * tests/TkReactor_Test.cpp:
        * tests/XtReactor_Test.cpp:
          Replaced NULL with 0.

Tue Oct 12 17:33:51 2004  Steve Huston  <shuston@riverace.com>

        * ace/Local_Memory_Pool.{h cpp}:
        * ace/MMAP_Memory_Pool.cpp:
        * ace/Sbrk_Memory_Pool.cpp:
        * ace/Shared_Memory_Pool.cpp: Add missing includes to fix AIX builds.

Tue Oct 12 17:58:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/Sbrk_Memory_Pool.h:
        * ace/Shared_Memory_Pool.h:

          Added ace/os_include/sys/os_mman.h.

Tue Oct 12 06:44:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Local_Memory_Pool.h:
        * ace/MMAP_Memory_Pool.h:
        * ace/Pagefile_Memory_Pool.h:
        * ace/Sbrk_Memory_Pool.h:
        * ace/Shared_Memory_Pool.h:
          Fixed incorrect doxygen file tag

Mon Oct 11 19:43:22 2004  Irfan Pyarali  <irfan@oomworks.com>

        * ace/Local_Memory_Pool.cpp (acquire):

          Added ace/OS_Memory.h.

        * ace/MMAP_Memory_Pool.cpp:

          Added ace/OS_NS_string.h and ace/OS_NS_sys_stat.h.

        * ace/Pagefile_Memory_Pool.h:

          Added ace/os_include/sys/os_mman.h.

Mon Oct 11 09:52:40 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/config-qnx-rtp-62x.h:
        Set ACE_LACKS_CUSERID.

Mon Oct 11 10:14:36 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/System_V_IPC/SV_Semaphores/Semaphores_1.cpp:
        * tests/SV_Shared_Memory_Test.cpp:

          Changed to #include ace/SV_Sempahore_Complex.h, which had been
          implicitly included via Memory_Pool.h, even though it was not
          needed by the interface or implementation.

        * ace/Makefile.am:
        * ace/ace.mpc:

          Updated.

        * ace/Local_Memory_Pool.cpp:
        * ace/Local_Memory_Pool.h:
        * ace/MMAP_Memory_Pool.cpp:
        * ace/MMAP_Memory_Pool.h:
        * ace/Pagefile_Memory_Pool.cpp:
        * ace/Pagefile_Memory_Pool.h:
        * ace/Pagefile_Memory_Pool.inl:
        * ace/Sbrk_Memory_Pool.cpp:
        * ace/Sbrk_Memory_Pool.h:
        * ace/Shared_Memory_Pool.cpp:
        * ace/Shared_Memory_Pool.h:

          New files.

        * ace/Memory_Pool.cpp:
        * ace/Memory_Pool.inl:
        * ace/Memory_Pool.h:

          Split apart Memory_Pool.{cpp,h,inl} into a separate set of files
          for each class and "outlining" inlined virtual functions.  Since
          the implementations are related by interface, not inheritance;
          locating them all in the same file typically results in static
          footprint bloat.

          Removed Memory_Pool.{cpp,inl}.

Mon Oct 10 12:48:03 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-hpux-11.00.h:

        Added XPG4 multibyte (wchar) support for __GLIBC__ >= 2.

Mon Oct 10 9:43:03 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-tru64.h:

        Added XPG4 multibyte support for DIGITAL_UNIX >= 5.

Sat Oct  9 23:08:04 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/acexml.mpb:

          Added a "requires += acexml" MPC project flag.  Allows
          generation of Automake conditionals in MPC generated Makefile.am
          files.

        * bin/MakeProjectCreator/config/global.features:

          Enable support ACEXML by default.  This was previously the
          implicit default.  It must be now be explicit in order to
          correctly support features like the new "--with-acexml"
          configure script option described below.

        * m4/ace.m4:

          Added new "--with-acexml" configure script option.  It allows a
          user to enable (the default) or disable support for ACEXML.

Sat Oct  9 13:55:26 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_client_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_stub.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_svnt.mpb:
        * bin/MakeProjectCreator/config/ciao_server_dnc.mpb:

          Fixed library ordering issues. This should fix a few link errors
          in CIAO static builds.

Fri Oct  8 23:13:13 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_stdlib.cpp (mkstemp_emulation):

          We only care about UTF-8 / ASCII characters in generated
          filenames.  A UTF-16 or UTF-32 character could potentially cause
          a very large space to be searched in the do/while() loop that
          generated alphanumeric characters, greatly slowing down this
          mkstemp() implementation.  It is more practical to limit the
          search space to UTF-8 / ASCII characters (i.e. 127 characters).

Fri Oct  8 18:40:19 2004  Steve Huston  <shuston@riverace.com>

        * ace/SSL/ssl.mpc: Removed the automake-specific part. The MPC-supplied
          openssl.mpb file now includes the automake libs/includes that were
          here.

        * examples/NT_Service/NT_Service.mpc: Inherit from the winregistry
          project. Makes this require winregistry. Although not strictly
          correct, it's close enough. Probably would be more correct to
          rename winregistry to windows, but I won't rock the boat today.

        * m4/ace.m4: Don't emit ACE_NTRACE unless the user specifically
          says --enable-trace. ace/config-all.h knows how to default
          tracing correctly. Also, for --enable-tracing, set ACE_NTRACE
          to 0; for disable tracing, set ACE_NTRACE to 1.

Fri Oct  8 06:27:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Malloc_Allocator.cpp:
          Added include of ace/OS_NS_string.h for ACE_OS::memset, fixes
          compile errors in several builds

Thu Oct  7 17:32:18 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Malloc_Allocator.cpp:
        * ace/Malloc_Allocator.inl:

          Moved all virtual methods from *.inl to *.cpp.

Thu Oct  7 16:45:21 2004  Steve Huston  <shuston@riverace.com>

        * bin/MakeProjectCreator/config/global.features: Added uses_wchar = 0
          as a default. Says not to use ACE_USES_WCHAR. No affect on
          ACE_HAS_WCHAR (a platform's ability to handle wide-char). This
          setting is primarily to avoid those areas of ACE's examples that
          aren't coded to work correctly with both narrow and wide chars.

        * apps/drwho/drwho.mpc:
        * apps/gperf/src/gperf.mpc:
        * apps/gperf/tests/gperf_test.mpb:
        * apps/soreduce/soreduce.mpc:
        * examples/C++NPv1/C++NPv1.mpc:
        * examples/C++NPv2/C++NPv2.mpc:
          Added "avoids += uses_wchar" to projects that don't builds cleanly
          with ACE_USES_WCHAR. For drwho/gperf/soreduce, they weren't designed
          for wide-char use and the changes to make them so are widespread.
          For C++NPv1/2, there's code that would need to change, but is used
          in the book prior to where narrow/wide char handling is introduced.
          To keep the code in sync with the books, just don't try to build
          this on wide-char builds.

        * m4/ace.m4: Added new configure option, --with-uses-wchar. If yes,
          then ACE_USES_WCHAR is set. Defaults to no.

        * m4/config_h.m4: Added AH_TEMPLATE for ACE_USES_WCHAR.

Thu Oct  7 11:42:40 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_orb_tests.lst:

          Added the new Typedef_String_Array test to the list.

Thu Oct  7 11:21:37 2004  john_c  <john_c@ociweb.com>

        * ace/SPIPE.cpp
        * ace/SPIPE.h
        * ace/SPIPE_Acceptor.cpp
          When closing stream pipes, only one end was being closed.
          This led to file descriptors being leaked each time an
          SPIPE_Acceptor is opened. Now both the file
          descriptors are being closed in close method.

Thu Oct  7 11:56:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

          Reverted my change below, broke the LynxOS build

          Tue Sep 28 11:28:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-g++-common.h:
          Removed setting of ACE_SIZEOF_LONG_DOUBLE, this is done in
          Basic_Types.h

Thu Oct  7 07:13:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-all.h:
          When ACE_HAS_VERBOSE_NOTSUP is defined we print a message
          with fprintf to let the user know he used a not supported
          function. Use ACE_OS::fprintf for doing this, to solve compile
          problems with VxWorks.

Wed Oct  6 13:58:06 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Process.cpp:
        * ace/Process.inl:

          Moved virtual method ACE_Managed_Process::unmanage() from
          *.inl to *.cpp.

Wed Oct  6 13:41:22 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Functor.cpp:
        * ace/Functor.inl:

          Moved virtual dtor ACE_Command_Base::~ACE_Command_Base from
          *.inl to *.cpp.

Wed Oct  6 16:34:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_wchar.cpp: For ACE_HAS_WCHAR, #include "ace/OS_NS_string.h"
          since it's needed in some of the emulation methods.

Wed Oct  6 14:50:53 2004  Chris Cleeland  <cleeland_c@ociweb.com>

        * tests/Message_Queue_Test.cpp (iterator_test): Changed initial
          HWM specification for the QUEUE size to match the size of
          'buffer'.  It seems very strange to try to send each element of
          'buffer' into the queue, but to set QUEUE's HWM potentially
          lower than sizeof(buffer).  This makes the test run to
          completion on platforms like RH8 where it had been failing for a
          good long while.

Wed Oct  6 11:20:53 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Message_Queue.cpp:
        * ace/Message_Queue.inl:

          Move virtual dtor ACE_Message_Queue_Base::~ACE_Message_Queue_Base
          and virtual method ACE_Message_Queue_Base::state() from *.inl to
          *.cpp.

        * ace/Signal.cpp:
        * ace/Signal.inl:

          Move virtual dtor ACE_Sig_Adapter::~ACE_Sig_Adapter() from *.inl
          to *.cpp.

Wed Oct  6 12:25:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Logging/Change_Mask.cpp:
        * examples/APG/Logging/Howto_Syslog.cpp:
        * examples/APG/Logging/Simple1.cpp:
        * examples/APG/Logging/Simple2.cpp:
        * examples/APG/Logging/Trace_Return.cpp:
        * examples/APG/Logging/Use_Callback.cpp:
        * examples/APG/Logging/Use_Callback2.cpp:
        * examples/APG/Logging/Use_Logger.cpp:
        * examples/APG/Logging/Use_Logging_Server.cpp:
        * examples/APG/Logging/Use_Logging_Strategy.cpp:
        * examples/APG/Logging/Use_LogManager.cpp:
        * examples/APG/Logging/Use_Multiple_Sinks.cpp:
        * examples/APG/Logging/Use_Ostream.cpp:
        * examples/APG/Logging/Use_Stderr.cpp:
        * examples/APG/Logging/Use_Syslog.cpp:
        * examples/APG/Logging/Wrap_Macros.cpp:
        * examples/APG/Logging/Wrap_Macros_Alt.cpp:
        * examples/APG/Processes/Spawn.cpp:
        * examples/APG/Reactor/Client.cpp:
        * examples/APG/Shared_Memory/Hash_Map.cpp:
        * examples/APG/Shared_Memory/Pool_Growth.cpp:
        * examples/APG/Streams/RecordingDevice_Text.cpp:
          ACE_TRACE string gets ACE_LIB_TEXT applied - don't wrap it in
          ACE_TEXT.

        * examples/ASX/UPIPE_Event_Server/event_server.cpp:
        * examples/ASX/UPIPE_Event_Server/Options.{cpp i h}:
        * examples/ASX/UPIPE_Event_Server/Consumer_Router.{cpp h}:
        * examples/ASX/UPIPE_Event_Server/Peer_Router.{cpp h}:
        * examples/ASX/UPIPE_Event_Server/Event_Analyzer.{cpp h}:
        * examples/ASX/UPIPE_Event_Server/Supplier_Router.{cpp h}:
        * examples/C++NPv2/Service_Reporter.cpp:
          Corrected narrow/wide-char issues.

Wed Oct  6 15:10:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Test_Output.cpp:
          Added missing includes for VxWorks

Wed Oct  6 15:00:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Dynamic_Priority_Test.cpp:
          When building with VxWorks include OS_NS_string.h

Wed Oct  6 09:59:28 2004  Steve Huston  <shuston@riverace.com>

        * ace/Connector.cpp (connect_i): On connect fail, use
          ACE_OS::last_error(), not errno, to check the cause. Thanks to
          Todd Marshall for reporting this.

        * THANKS: Added Todd Marshall to the Hall of Fame.

Tue Oct  5 13:12:56 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/Dev_Poll_Reactor.cpp:
        * ace/Select_Reactor_T.cpp:
        * ace/Signal.cpp:
          Allow for bad status return from ACE_Sig_Set:is_member (int signo)
          See Bugzilla #1954 for details.

Tue Oct  5 11:16:53 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_stdlib.cpp:
          Build error on VC7.1: initializing float w/ double may lose data
          There was already a cast there to suppress the warning.  I included
          entire expression in the cast.

Tue Oct  5 08:54:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:

          Allow the addition to 'postcommand' within the scope of a custom
          section.  This is part of the MPC change from Tue Oct  5 08:53:10
          2004.

Mon Oct  4 13:34:08 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_stdlib.cpp:

          Added missing "ace/OS_NS_ctype.h" include.

          (mkstemp_emulation):

          ACE_OS::rand_r() accepts a reference to a non-const
          ACE_RANDR_TYPE, not a pointer to a const one.  Removed
          "address-of" "&" from ACE_OS::rand_r() seed argument, and
          removed the "const" qualifier from "seed" variable declaration.

Mon Oct  4 14:22:03 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_stdlib.cpp:
          Fixed incorrect include ('OS_fcntl.h' -> OS_NS_fcntl.h').

Sun Oct  3 18:45:03 2004  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_stdlib.cpp: (realpath)
          Removed extra "}".

Fri Oct  1 23:41:11 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_ctype.h:
        * ace/OS_NS_ctype.inl:

          Removed "const" qualifier from all pass-by-value function
          parameters.  There is no point in making such parameters
          "const".

Fri Oct  1 23:30:06 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_stdlib.h (mkstemp, mkstemp_emulation):
        * ace/OS_NS_stdlib.inl (mkstemp):
        * ace/OS_NS_stdlib.cpp (mkstemp_emulation):

          Added new mkstemp(3) implementation for the case where
          ACE_LACKS_MKSTEMP is defined.  It attempts to retain all of the
          security features that vendor supplied mkstemp() implementation
          provide, such as preventing symbolic link attacks.  A race
          condition, however, may exist when attempting to use this
          implementation to create a temporary file on a network
          filesystem.

          ACE_OS::mkstemp() is now available when ACE_LACKS_MKSTEMP is
          defined.

        From Ganesh Pai <GPai at sonusnet dot com>
        * ace/Hash_Map_Manager_T.h:
        * ace/Map_Manager.h:
        * ace/RB_Tree.h:

          Added new "lock_type" type trait.  Allows one to more easily
          determine the type of the underlying map/table lock.

Fri Oct  1 11:54:17 MST 2004  Trevor Fields  <fields_t@ociweb.com>

        * bin/MakeProjectCreator/config/messaging.mpb:
          Added requires += corba_messaging

Fri Oct  1 11:35:59 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:
        * configure.ac:

          Changed to configure/build Kokyu if directory is present.

        * Kokyu/Makefile.am:
        * Kokyu/tests/Makefile.am:
        * Kokyu/tests/DSRT_MIF/Makefile.am:
        * Kokyu/tests/EDF/Makefile.am:
        * Kokyu/tests/FIFO/Makefile.am:

          New files.

Thu Sep 30 22:20:10 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * m4/tls.m4 (ACE_CHECK_TLS):

          Fixed problem where leading forward slash was not included in
          the Kerberos include directory pathname.  Thanks to Steve Huston
          for reporting the problem.

Thu Sep 30 19:30:23 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:
        * ace/ace.mpc:

          Added Guard_T.* and IO_Cntl_Msg.h to header, inline, and
          template files.

Thu Sep 30 18:24:51 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Update.

        * ace/ace.mpc:

          Remove headers that no longer exist / have been renamed.

Thu Sep 30 18:06:41 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ace.mpc:

          Sorted header, inline, and template file sections to make it
          easier to figure out if something is missing.

Thu Sep 30 18:00:33 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ace.mpc:

          Added many missing header, inline, and template files.  These
          were based on what used to be installed with the old automake
          builds and were lost now that ace/Makefile.am is generated by
          MPC.

Thu Sep 30 17:32:25 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACEXML/parser/parser/Makefile.am:

          Fix typo in includedir definition.

Thu Sep 30 14:02:26 2004  Steve Huston  <shuston@riverace.com>

        * configure.ac: Added the same kernel version-checking code to the
          ACE_HAS_EVENT_POLL check that Dev_Poll_Reactor.h uses to be sure
          that if enabled, it will compile.

Thu Sep 30 07:19:02 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Removed aceConf.sh.in from AC_CONFIG_FILES.

        * aceConf.sh.in:

          Removed file.

Thu Sep 30 01:26:41 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac:

          Added check for Linux event poll interface.

        * m4/config_h.m4:

          Added autoheader templates for the ACE_HAS_{EVENT,DEV}_POLL
          preprocessor symbols.

        * m4/tls.m4 (ACE_CHECK_TLS):

          Fixed test for Kerberos include flags so that it wouldn't assume
          that Kerberos include flags are needed for all cases.

          Fixed problem where the Kerberos include flags would not be set
          correctly if running the `configure' script with cached results.

          Define and substitute new make variable
          "ACE_KERBEROS_INCLUDES" that contains a directory rather than a
          preprocessor command line option.  The existing
          "ACE_TLS_CPPFLAGS" preprocessor command line option variable is
          not compatible with MPC.

        * ace/SSL/Makefile.am (libACE_SSL_la_CPPFLAGS):

          Added "-I$(ACE_KERBEROS_INCLUDES)" to the preprocessor flag
          list.

          (libACE_SSL_la_LIBADD):

          Added "-lssl -lcrypto" to the library link list.

        * ace/SSL/ssl.mpc:

          Define new automake project-specific section that defines the
          OpenSSL libraries to link, and added the
          $(ACE_KERBEROS_INCLUDES) include directory variable to the
          generated include path.

Wed Sep 29 18:13:31 2004  Steve Huston  <shuston@riverace.com>

        * tests/tests.mpc: Added 'script' as a base project for Test_Output
          and set Script_Files to run_test.pl and run_test.lst. This is to
          pull the testing files to the build area for tests.

Wed Sep 29 17:50:27 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_Memory.h: If ACE_HAS_NEW_NOTHROW is defined, then make sure
          that ACE_NEW_THROWS_EXCEPTIONS is defined as well. The configure
          script checks for ACE_HAS_NEW_NOTHROW and I believe that all
          "up to date" compiler run-times throw an exception on a new()
          failure.

Wed Sep 29 17:30:25 2004  Irfan Pyarali  <irfan@oomworks.com>

        * ace/Basic_Stats.{h,inl,cpp}:

          - Removed calculation of variation squared or deviation in the
          output from dump_results(). I don't think either was been
          calculated since the formula of (sum squared / samples_count) -
          (avg squared) isn't a meaningful statistical value.

          - Also simplified division in dump_results() and removed
          unnecessary conversions.

          - <sum2> is no longer needed.

          - Made some minor simplifications to the code.

          - Made the fields of ACE_Basic_Stats public.

          - <min_at_> and <max_at_> were not being assigned in accumulate().

        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp:

          Fixed a for loop.  It should be 1 to n inclusive.

        * ace/DLL_Manager.cpp:

          Added additional debug statements.

        * bin/tao_other_tests.lst:

          TAO/performance-tests/Protocols/run_test.pl was added.

Wed Sep 29 17:11:39 2004  Steve Huston  <shuston@riverace.com>

        * ace/TMCast/LinkListener.hpp: Added #include "Protocol.hpp" to
          be able to see the Protocol namespace and "ace/OS_NS_string.h"
          to see ACE_OS::memcpy().

Wed Sep 29 13:01:00 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACEXML/apps/svcconf/Makefile.am:
        * ACEXML/common/Makefile.am:
        * ACEXML/parser/parser/Makefile.am:

          Update so that libraries and headers are installed.

Wed Sep 29 12:29:44 2004  Steve Huston  <shuston@riverace.com>

        * ace/TMCast/MTQueue.cpp: (new file)
        * ace/TMCast/Group.cpp: Added/fixed explicit template instantiations
          to get build working on Solaris, Forte 7.

Wed Sep 29 12:20:19 2004  Steve Huston  <shuston@riverace.com>

        * examples/Smart_Pointers/widget_test.cpp: Include "ace/Null_Mutex.h"
          to get the ACE_Null_Mutex specializations for ACE_Guards. Fixes
          build error on Sun Forte C++.

Wed Sep 29 09:41:02 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Rewrote this module so that the code is generic and completely
          data driven.

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          When setting the MAKEFILE variable get the non-workspace decorated
          name.  This will allow GNUmakefile's generated from multiple
          workspaces within the same directory to work.

Wed Sep 29 14:05:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-msvc-7.h:
        * ace/config-win32-msvc-8.h:
          Removed setting of ACE_HAS_BROKEN_NESTED_TEMPLATES. This is used
          in CIAO and it seems not be needed anymore with vc7 and newer

Wed Sep 29 09:54:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_win32_dmc.GNU:
          Added rwho=0, dmc doesn't have the needed header files

Wed Sep 29 09:51:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/netinet/os_tcp.h:
        * ace/README:
        * ace/config-tandem.h:
        * ace/config-mvs.h:
          Removed ACE_LACKS_TCP_H, ACE_LACKS_NETINET_TCP_H is already there
          and better

        * ace/config-win32-dmc.h:
          Added ACE_LACKS_NETINET_TCP_H

Wed Sep 29 09:44:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-dmc.h:
          Added ACE_LACKS_SYS_MSG_H

Wed Sep 29 07:46:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-tandem-nsk-mips-v2.h:
          Fixed pre/post include

Wed Sep 29 07:06:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Fixed pre/post check, the matching of the /**/ was not
          correct. Added a check for _MSC_VER >= 1200. This is at
          level 6, when we have updated more code, we can lower the
          level.

Tue Sep 28 21:05:37 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:

          Changed to add TAO to subdirs if BUILD_TAO is defined.

Tue Sep 28 15:38:57 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACEXML/apps/svcconf/svcconf.mpc:
        * ACEXML/common/common.mpc:
        * ACEXML/parser/parser/parser.mpc:

          Changed to inherit from core.mpb, so that libraries will
          be installed.

Tue Sep 28 15:22:01 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/acedefaults.mpb:

          Changed to add $(ACE_BUILDDIR) to include path for automake
          builds.

Tue Sep 28 15:16:54 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACEXML/apps/svcconf/Makefile.am:
        * ACEXML/common/Makefile.am:
        * ACEXML/parser/parser/Makefile.am:
        * ace/Makefile.am:
        * ace/RMCast/Makefile.am:
        * ace/SSL/Makefile.am:
        * ace/TMCast/Makefile.am:

          Added includedir definitions so headers are installed in
          the expected place.

        * ACEXML/apps/svcconf/Makefile.am:
        * ACEXML/common/Makefile.am:
        * ACEXML/parser/parser/Makefile.am:
        * ace/Makefile.am:
        * ace/RMCast/Makefile.am:
        * ace/SSL/Makefile.am:
        * ace/TMCast/Makefile.am:
        * netsvcs/clients/Naming/Client/Makefile.am:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.am:
        * netsvcs/lib/Makefile.am:

          Added _LDFLAGS definitions to set shared library version
          numbers.

Tue Sep 28 14:31:10 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACEXML/apps/svcconf/Makefile.am:
        * ACEXML/common/Makefile.am:
        * ACEXML/examples/SAXPrint/Makefile.am:
        * ACEXML/parser/parser/Makefile.am:
        * ACEXML/tests/Makefile.am:
        * Makefile.am:
        * ace/RMCast/Makefile.am:
        * ace/SSL/Makefile.am:
        * apps/gperf/Makefile.am:
        * apps/gperf/src/Makefile.am:
        * apps/gperf/tests/Makefile.am:
        * configure.ac:
        * netsvcs/servers/Makefile.am:
        * tests/Makefile.am:
        * tests/SSL/Makefile.am:

          Update so things successfully build when srcdir != builddir.

Tue Sep 28 12:48:37 2004  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/wrapper_macros.GNU:

          My change from Mon Sep 27 14:10:15 2004 was causing problems with
          cygwin builds.  A better solution is to not set INSBIN at all and
          allow it to be set in the generated makefile or by the user on the
          make command line.

Tue Sep 28 15:25:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_fcntl.h:
          For the DMC compiler define _O_TEMPORARY, seems to lack this

Tue Sep 28 14:38:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-dmc.h:
          When ACE_LACKS_STRUCT_DIR is defined, undef it, it must not be
          set with the DMC compiler

Tue Sep 28 14:14:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_win32_dmc.GNU:
          Added -ND to the CFLAGS to indicate that we want to build with
          thread and dll support.

Tue Sep 28 09:13:57 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:

          Borland Make has a maximum line length of roughly 32767.  The
          'all' target could exceed that length given a large amount of
          projects within a single workspace.  In that case, we have to
          create an 'all' target that specifically lists the target commands
          and thereby creating a larger workspace makefile, but working
          around the Borland Make limitation.

Tue Sep 28 11:28:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-g++-common.h:
          Removed setting of ACE_SIZEOF_LONG_DOUBLE, this is done in
          Basic_Types.h

Mon Sep 27 18:53:33 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/script.mpb:
        * bin/MakeProjectCreator/config/man.mpb:

          New files to support scripts and manpages.  Inherit from these
          files, add the list of scripts or manapages to Script_Files or
          Man_Files, and MPC templates with script/manpage support will
          do the right thing.

Mon Sep 27 21:16:24 2004  Carlos O'Ryan  <coryan@atdesk.com>

        * bin/fuzz.pl:
          Do not complain about @file directives without a filename.
          Doxygen assumes the current file as the filename, so it cannot
          possibly be inconsistent.

Mon Sep 27 17:44:08 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/orbsvcslib.mpb:

          Changed to add $(TAO_BUILDDIR)/orbsvcs to include path for
          automake builds.

Mon Sep 27 17:04:29 2004  Steve Huston  <shuston@riverace.com>

        * Makefile.am:
        * ace/Makefile.am:
        * ace/QoS/Makefile.am:
        * ace/RMCast/Makefile.am:
        * ace/SSL/Makefile.am:
        * ace/TMCast/Makefile.am:
        * ACEXML/Makefile.am:
        * ACEXML/common/Makefile.am:
        * ACEXML/parser/Makefile.am:
        * ACEXML/parser/parser/Makefile.am:
        * ACEXML/examples/Makefile.am:
        * ACEXML/examples/SAXPrint/Makefile.am:
        * ACEXML/apps/Makefile.am:
        * ACEXML/apps/svcconf/Makefile.am:
        * ACEXML/tests/Makefile.am:
        * apps/Makefile.am:
        * apps/gperf/Makefile.am:
        * apps/gperf/src/Makefile.am:
        * apps/gperf/tests/Makefile.am:
        * netsvcs/Makefile.am:
        * netsvcs/lib/Makefile.am:
        * netsvcs/clients/Makefile.am:
        * netsvcs/clients/Logger/Makefile.am:
        * netsvcs/clients/Naming/Makefile.am:
        * netsvcs/clients/Naming/Client/Makefile.am:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.am:
        * tests/Makefile.am:
        * tests/SSL/Makefile.am:
        * tests/RMCast/Makefile.am:
          MPC-generated automake files, tweaked to work correctly. The rest of
          the automake files will be checked in in the coming days. This set
          replaces older ones that pre-dated the MPC-usage effort and were
          largely out of date as they were.

Mon Sep 27 14:10:15 2004  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/wrapper_macros.GNU:

          Set INSBIN to $(PWD) by default.  To allow installation of apps
          (even if 'install' is not used in the mpc file), the gnu template
          always sets INSTALL to $(VBIN:%=$(INSBIN)/%) for exe's.  Without
          this change every exe built gets installed up in $(ACE_ROOT)/bin
          which is not what we want.

Mon Sep 27 13:46:21 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Modified the template to override the value of INSBIN if it is set
          to '.'.  This is similar to what is done for INSLIB and is an
          iteration with rules.local.GNU.  When installing, it checks for
          $PWD but does not account for the fact that '.' is the same as
          $PWD.

Mon Sep 27 15:34:35 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_deployment_stub.mpb:

          Added CIAO_DnC_Client to the list of libraries being linked in.

Mon Sep 27 09:25:37 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * performance-tests/Server_Concurrency/Leader_Follower/RT_CORBA_Leader_Follower.cpp:

          Put back the recently-removed ACE_UINT64_DBLCAST_ADAPTER,
          so now it and static_cast<double> are both applied to the
          computation of elapsed_time_per_invocation, which will hopefully
          satisfy both MSVC 6 and MSVC 7.1.

Mon Sep 27 12:54:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/xerces.mpb:
          New base project which can be used when xerces is used

Sun Sep 26 18:58:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_limits.h:
          Removed setting of MAXSYMLINKS when not set, this is not the way
          to fix compile problems in OS_NS_stdlib.cpp, set ACE_LACKS_SYMLINKS
          instead if symbolic links are not supported

        * ace/config-openvms.h:
          Added ACE_LACKS_SYMLINKS, removed MAXSYMLINKS

        * ace/config-vxworks.h:
          Added ACE_LACKS_SYMLINKS, ACE_LACKS_REALPATH and
          ACE_HAS_NONCONST_READV

Sun Sep 26 21:06:53 2004  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_stdlib.h:
          (mktemp, mkstemp) Changed protototype (parameter name) to match
          implementation.

        * ace/OS_NS_stdlib.cpp: (realpath)
          Added check for new macro ACE_LACKS_SYMLINKS to leave out symbolic
          links related code. This fixes compile errors on platforms which
          do not support symbolic links. Fixes bug 1900.

        * ace/README:
          Added ACE_LACKS_SYMLINKS.

Sun Sep 26 14:13:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ICMP_Socket.cpp:
        * ace/Ping_Socket.cpp:
          Fixed incorrect ACE_TRACE usage

Sun Sep 26 14:10:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/imr_activator.mpb:
        * bin/MakeProjectCreator/config/imr_locator.mpb:
          Added missing Id tag

Sun Sep 26 10:10:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ICMP_Socket.h:
        * ace/Ping_Socket.h:
          Added missing /**/ before include of pre/post.h to fix fuzz
          errors

Sun Sep 26 10:07:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE_crc32.cpp:
        * ace/ACE_crc_ccitt.cpp:
          Removed trailing ; after namespace closure, fixes Tru64 build
          warning

Fri Sep 24 22:35:25 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        From Robert S. Iakobashvili <roberti at go-WLAN dot com> and
        Gonzalo A. Diethelm <gonzalo dot diethelm at aditiva dot com>:

        * ace/ICMP_Socket.cpp:
        * ace/ICMP_Socket.h:
        * ace/ICMP_Socket.inl:
        * ace/Ping_Socket.cpp:
        * ace/Ping_Socket.h:
        * ace/Ping_Socket.inl:
        * tests/Network_Adapters_Test.cpp:
        * tests/Network_Adapters_Test.h:

          New ICMP and "ping" support, and accompanying test.

        * ace/Makefile.am (libACE_Sockets_la_SOURCES):
        * ace/ace.mpc:
        * tests/Makefile.am:
        * tests/tests.mpc:

          Added new ICMP and "ping" source files to the appropriate
          source lists.

Fri Sep 24 13:16:44 MST 2004  Trevor Fields  <fields_t@ociweb.com>

        * bin/tao_other_tests.lst:
          Added new ImplRepo tests.

Fri Sep 24 11:07:03 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE.h:
        * ace/ACE_crc32.cpp:
        * ace/ACE_crc_ccitt.cpp:

          Changed the buffer and iovec versions of ACE::crc32() and
          ACE_crc_ccitt() family of functions to take an additional
          initial/partial crc argument.  This allows CRCs to be computed
          over multiple buffers/iovecs by passing the result as input to
          the next call.  The default value allows callers to omit the
          argument on the first call.

Fri Sep 24 12:39:31 2004  Carlos O'Ryan  <coryan@atdesk.com>

        * build/Linux/include/makeinclude/platform_linux.GNU:
          Provide reasonable defaults for Boost.Test

        * bin/MakeProjectCreator/config/boost_unit_test.mpb:
          Different sites may have different configurations for boost,
          made the options needed to compile with it configurable via the
          platform_macros.GNU file.

Fri Sep 24 10:21:38 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * performance-tests/Server_Concurrrency/Leader_Follower/RT_CORBA_Leader_Follower.cpp:

          Replaced ACE_UINT64_DBLCAST_ADAPTER, which doesn't satisfy
          the stricter MSVC 7.1, with static_cast<double>.

Fri Sep 24 10:55:34 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-linux-common.h: If __USE_POSIX199309 is defined from
          <features.h> set ACE_HAS_CLOCK_GETTIME. This is most often the case.

Fri Sep 24 10:40:11 2004  Steve Huston  <shuston@riverace.com>

        * apps/JAWS/clients/Blobby/blobby.cpp:
        * apps/JAWS/clients/Blobby/Blob.{h cpp}:
        * apps/JAWS/clients/Blobby/Blob_Handler.cpp:
        * apps/JAWS/clients/Blobby/Options.{h cpp}:
        * apps/JAWS/clients/Caching/http_client.cpp:
        * apps/JAWS/clients/Caching/http_handler.cpp:
        * apps/JAWS/server/HTTP_Server.{h cpp}:
        * apps/JAWS/server/HTTP_Response.cpp:
          Wide-char fixes.

Fri Sep 24 10:34:26 2004  Steve Huston  <shuston@riverace.com>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
        * bin/MakeProjectCreator/config/acelib.mpb: For automake projects,
          change ACE_ROOT to either top_srcdir or top_builddir depending
          on whether it's looking for source (such as includes) or libraries.

        * performance-tests/Synch-Benchmarks/Synch_Lib/Synch_Benchmarks_Synch_Lib.mpc:
          Changed base project from aceexe to acelib. This builds a library.

Fri Sep 24 07:04:29 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:
        * ace/ace.mpc:

          Add new files.

        * ace/ACE.h:
        * ace/ACE_crc_ccitt.cpp:

          Added ACE::crc_ccitt() family of functions in new file
          ACE_crc_ccitt.cpp.

        * ace/ACE_crc32.cpp:

          Changed table and shift expression so the special case with
          additional masking for systems where ACE_UINT32 is more than 32
          bits wide (such as the Cray) is not needed.  See "A Painless
          Guide to CRC Error Detection Algorithms" by Ross Williams for
          details.

        * ace/ACE.cpp:
        * ace/ACE_crc32.cpp:

          Split out ACE::crc32() family of functions out of ACE.cpp into
          new file ACE_crc32.cpp.

Fri Sep 24 08:36:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lite.h:
          The ACE_UNUSED_ARG macro didn't work with the DMC compiler, so
          added a new version of this macro that silences the not used
          warning with DMC.

Fri Sep 24 08:29:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.inl (sendto):
          Removed usage of ACE_CONST_CAST

Thu Sep 23 19:27:22 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE.cpp:
        * ace/ACE.h:

          Changed iovec version of ACE::crc32 to take a const iovec.

Thu Sep 23 19:59:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Manager.h:
        * ace/Service_Object.h:
        * ace/Signal.h:
        * ace/Service_Types.h:
        * ace/Stream_Modules.h:
        * ace/Thread.inl:
          Documentation fixes

        * ace/OS_NS_stdio.inl:
          Added some checks for __DMC__ for the Digital Mars compiler

        * ace/OS_NS_stdio.cpp:
          Added some checks for __DMC__ for the Digital Mars compiler and
          use ::_close instead of _close, the former works with all compilers
          and DMC, with DMC the _close is a macro.

Thu Sep 23 19:53:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/streams.h:
          Removed explicit check of _MSC_VER >= 1200, just check for _MSC_VER,
          version 1200 is msvc6, the oldest msvc compiler we support, this
          compiler and newer have pragma warning push/pop

Thu Sep 23 12:07:02 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE.cpp:
        * ace/ACE.h:

          Changed buffer version of ACE::crc32 to take a void * argument
          (to avoid requiring callers to cast non-char data structures),
          and a size_t length.

Thu Sep 23 13:24:54 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ACEXML/tests/tests.mpc:
        * examples/DLL/DLL.mpc:
        * examples/Export/Export.mpc:
        * examples/NT_Service/NT_Service.mpc:
        * examples/Reactor/Ntalker/Reactor_Ntalker.mpc:
        * examples/Web_Crawler/Web_Crawler.mpc:
        * performance-tests/Misc/Misc.mpc:
        * performance-tests/Server_Concurrency/Leader_Follower/Svr_Conc_Leader_Follower.mpc:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/Svr_Conc_Queue_Based_Workers.mpc:
        * performance-tests/Synch-Benchmarks/Synch_Benchmarks.mpc:
        * performance-tests/TCP/TCP.mpc:
        * performance-tests/UDP/UDP.mpc:

          Added an 'exename' setting for the projects in these mpc files.
          The cpp files contain some form of ACE_MAIN which used to be
          recognized by MPC as an entry point.  It is now necessary to set
          exename since MPC will no longer recognize ACE_MAIN as a "main"
          function.

Thu Sep 23 15:13:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.h:
          Doxygen improvement

Thu Sep 23 07:42:33 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE.cpp:

          Changed buffer and iovec versions of ACE:crc32() to hoist
          computing the end position out of the loop.

Thu Sep 23 14:34:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-dmc.h:
          New config file for the Digital Mars C++ compiler (see
          www.digitalmars.com). Not fully working, but a first version.

        * include/makeinclude/platform_win32_dmc.GNU:
          New GNU file for the DMC compiler, also first version

        * ace/config-win32.h:
          Added check for __DMC__

          More small changes for the DMC compiler will follow

Wed Sep 22 14:40:15 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE.cpp:

          Changed ACE::crc32() family of functions to NOT fold in the
          length of the string/buffer/iovec into the CRC.

        * ace/ACE.cpp:
        * ace/ACE.h:

          Changed return type of ACE::crc32() family of functions from
          u_long to ACE_UINT32.

Wed Sep 22 13:46:01 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/msvc_cidlc.pl:

          CIDLC cannot be compiled in release mode. Enable only debug
          mode.

Wed Sep 22 10:35:18 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE.cpp:

          Added const qualifier to ACE_OS::crc_table_.

Wed Sep 22 17:37:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dynamic_Service_Base.h:
          Doxygen fix

Wed Sep 22 07:04:46 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Fixed a bug that I introduced in my Tue Sep 21 06:38:17 2004
          change.  INSBIN can't be set to '.'.  It causes many problematic
          interactions with rules.local.GNU and rules.nested.GNU.

Tue Sep 21 20:13:40 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added checks for getipnodebyaddr() and getipnodebyname() which
          set ACE_LACKS_GETIPNODEBYADDR and ACE_LACKS_GETIPNODEBYNAME.

        * ace/OS_NS_netdb.inl:

          Changed __GLIBC__'s in conditionals to ACE_LACKS_GETIPNODEBYADDR
          or ACE_LACKS_GETIPNODEBYNAME.

        * ace/config-linux-common.h:
        * ace/config-netbsd.h:

          Added #define for ACE_LACKS_GETIPNODEBYADDR and
          ACE_LACKS_GETIPNODEBYNAME.

Tue Sep 21 17:50:27 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Naming/naming.mpc: Correct the exename for Nodelocal.
          It was conflicting with that of Netlocal, which, when generated,
          confused Visual Age C++ templates and automake.

Tue Sep 21 12:16:39 2004  Steve Huston  <shuston@riverace.com>

        * ACEXML/parser/parser/Parser.cpp: parse_encoding_decl(), don't
          crash if the input source doesn't declare an encoding.
          reset(), if current_ is already 0 (the case if no parsing ever
          really got started) don't dereference it.

Tue Sep 21 18:00:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.inl (readlink):
          Only when ACE_LACKS_READLINK this is not supported, the checks for
          win32 or wince are removed.

        * ace/config-WinCE.h:
        * ace/config-win32-common.h:
          Define ACE_LACKS_READLINK

Tue Sep 21 15:29:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/QtReactor_Test.cpp:
          Fixed incorrect ACE_TRACE usage, thanks to Vincent Newsum
          <Newsum at fel dot tno dot nl> for reporting this, this fixes
          BUG 1940.

Tue Sep 21 06:38:17 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          This is a fix for [Bug 1915].  I moved the block of code that
          set up INSBIN and INSLIB before the include of wrapper_macros.GNU
          to ensure that the values for 'install', 'dllout' and 'libout' are
          used instead of the defaults found in wrapper_macros.GNU.  I
          didn't use the patch supplied for this bug because it didn't take
          into accout the possibility of overriding the INSBIN and INSLIB
          values on the make command line.  Thanks to Thomas Girard
          <thomas.g.girard@free.fr> for reporting this and supplying a
          patch.

Tue Sep 21 09:56:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/QtReactor.cpp:
          Fixed incorrect ACE_TRACE usage, thanks to Vincent Newsum
          <Newsum at fel dot tno dot nl> for reporting this, this fixes
          BUG 1939. We should setup a daily build with Qt soon.

Mon Sep 20 18:07:03 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/run_test.pl:

          Reverted the change "Sun Sep 19 20:36:43 2004  Balachandran
          Natarajan  <bala@dre.vanderbilt.edu>" since it was giving
          troubles on every platform.

Mon Sep 20 06:54:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/global.features:
          Set ssl to 0 again, added wince=0, seems this has been removed by
          accident

Sun Sep 19 20:36:43 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/run_test.pl:

          Fix for BUG 1924. Please see

          http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1924

          for details. Thanks to Paul <paul at reeder dot cs> for the
          patch.

Sun Sep 19 14:51:32 2004  Carlos O'Ryan  <coryan@atdesk.com>

        * bin/tao_orb_tests.lst:
          Add yet another test to the list.

Sun Sep 19 13:49:31 2004  Carlos O'Ryan  <coryan@atdesk.com>

        * bin/MakeProjectCreator/config/global.features:
          Add new "boost" feature.  It should be enabled if you
          are planning to use the boost::unit_test_framework classes.
          Naturally you will also have to install boost (www.boost.org)
          I am writing unit tests for some classes, and I am too stubborn
          to use a sub-standard unit tests frameworks like cxxtest, but
          too smart to roll my own.

        * bin/MakeProjectCreator/config/boost_unit_test.mpb:
          New base project for unit tests based on the
          boost::unit_test_framework.  Try it, it is good for you.

Sun Sep 19 08:03:57 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/msvc_cidlc.pl:

          A new perl script to compile and build the CIDL compiler.

Fri Sep 17 13:19:05 2004  Chad Elliott  <elliott_c@ociweb.com>

        * tests/Dirent_Test.cpp:
        * tests/Message_Queue_Test_Ex.cpp:

          Corrected minor build problems for VxWorks.

Fri Sep 17 11:53:10 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ACE.cpp:

          Return the system variable, maxFiles, in ACE::max_handles()
          instead of the FD_SETSIZE which does not reflect the actual limit.

        * ace/Capabilities.cpp:

          Template instantiations for the ACE_Hash<ACE_TString> and
          ACE_Equal_To<ACE_TString> were conflicting with template
          specialization of the same on VxWorks.  I'm not sure if they are
          required for any compiler, but I wanted to be safe and exclude
          them in a #if !defined (VXWORKS).

        * ace/Proactor.cpp:

          Moved the template instantiations for
          auto_ptr<ACE_Asynch_Result_Impl> and
          auto_ptr<ACE_Asynch_Result_Impl> into the right #if clause.

        * ace/config-vxworks5.x.h:

          The current GNU compiler for VxWorks (2.96) is the only old
          compiler that could possible build ACE and it supports template
          specialization, lacks auto_ptr and has various other platform
          differences.

        * ace/os_include/os_limits.h:

          Define MAXSYMLINKS if it isn't defined by the system headers.
          I chose 20 which is what I found in other system header files.

        * ace/os_include/sys/os_stat.h:

          Define S_ISLNK if it isn't defined by the system headers.

Fri Sep 17 12:09:27 2004  Steve Huston  <shuston@riverace.com>

        * examples/ASX/CCM_App/CCM_App.cpp:
        * examples/ASX/CCM_App/SC_Server.cpp:
        * examples/ASX/Event_Server/Event_Server/event_server.cpp:
        * examples/ASX/Event_Server/Event_Server/Options.{h cpp}:
        * examples/ASX/Event_Server/Event_Server/Supplier_Router.{h cpp}:
        * examples/ASX/Event_Server/Event_Server/Event_Analyzer.{h cpp}:
        * examples/ASX/Event_Server/Event_Server/Consumer_Router.{h cpp}:
        * examples/ASX/Event_Server/Event_Server/Peer_Router.cpp:
        * examples/ASX/Event_Server/Transceiver/transceiver.{h cpp}:
        * examples/ASX/Message_Queue/buffer_stream.cpp:
          Char width fixes to build clean with wide-char.

Fri Sep 17 08:42:50 2004  Steve Totten  <totten_s@ociweb.com>

        * bin/PerlACE/Process_Win32.pm (Executable):
          Fixed an error in which Executable() returns a UNIX-style
          path instead of a Windows-style path if the IGNOREEXESUBDIR
          member is set.  Now, test scripts can use
          PerlACE::Process::IgnoreExeSubDir() to make sure an
          executable is found in the path specified without the
          addition of the setting of -ExeSubDir.  This change was
          required for Windows Release and Static builds after the
          installation directory for various common utilities was
          changed to %ACE_ROOT%\bin.

Fri Sep 17 09:30:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added several defines, result of autoconf testing with Cygwin

Thu Sep 16 20:40:06 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/tao_other_tests.lst:

          Removed SecurityLevel1 test from this list of tests to run.  The
          SecurityLevel1 IDL module is longer supported by TAO.

Fri Sep 17 00:25:17 2004  Olli Savia  <ops@iki.fi>

        * ace/IOStream_T.h:
        * ace/Object_Manager.cpp:
          Changed NULL to 0 to silence compile time warning.

Thu Sep 16 14:14:31 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/event_serv.mpb:

          Changed to inherit from svc_utils.

Thu Sep 16 12:36:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Proactor.{h cpp}: Change the SystemType enumerator value
          names to begin with ACE_. This avoids conflicts with other facilities
          that use an OS_ prefix.

Thu Sep 16 09:22:08 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.cpp:
          In ACE_TSS_Cleanup::exit, defer deleting TSS objects
          until it is no longer necessary to access the ACE_TSS_Cleanup
          itself.  One of the objects to be deleted is a Thread_Exit
          which may eventually cause (or at least allow) the deletion
          of the ACE_TSS_Cleanup.
          The original code worked like this but I changed it when
          I added additional cleanup operations to the exit method.

Thu Sep 16 08:14:14 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Memory_Pool.cpp:
        * ace/config-hpux-11.00.h:

          Removed a bug workaround for aCC A.03.04.  It is no longer a
          problem to specify other mmap base addresses when running
          64-bit HP-UX applications.

Thu Sep 16 07:47:09 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Added a CUSTOM_TARGETS macro that will allow users to access
          custom targets that can be generated with the use of the
          'verbatim' clause in mpc files.

:09 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Added a CUSTOM_TARGETS macro that will allow users to access
          custom targets that can be generated with the use of the
          'verbatim' clause in mpc files.

Thu Sep 16 10:07:00 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * apps/Gateway/Peer/peer.mpc:
        * apps/Gateway/Peer/svc.conf:
        * apps/Gateway/Gateway/gateway.mpc:
        * apps/Gateway/Gateway/svc.conf:

          Changed MPC configuration to generate the correct makefiles/project
          files for building a separate daemon executable and service object
          shared library.
          Changed service configurator files to use correct PATH specification.

Thu Sep 16 08:28:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/os_limits.h:
          Added special include for VxWorks, it defines _POSIX_TIMER_MAX
          in time.h

Thu Sep 16 08:20:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added ACE_HAS_POSIX_SEM and ACE_LACKS_NAMED_POSIX_SEM

        * ace/OS_NS_sys_mman.{h,inl}:
          Moved include ace/os_include/sys/os_mman.h from inl to header
          file, so that we get all the needed constants when building
          with Cygwin and inlining disabled

Thu Sep 16 07:55:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * m4/config_h.m4:
          Removed ACE_HAS_CYGWIN32_SOCKET_H

Thu Sep 16 07:33:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added the new orbsvcs libs

Wed Sep 15 15:32:59 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added checks for fgetws and fputws.

        * ace/OS_NS_stdio.h:
        * ace/OS_NS_stdio.inl:

          Added feature test macros ACE_LACKS_FGETWS and ACE_LACKS_FPUTWS
          and disable wide character versions of fgets and fputs if they
          are not present.  Thanks to Johnny Willemsen for reporting this
          bug.

Wed Sep 15 15:17:39 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_string.h:

          Changed preprocessor conditional for the declaration of the wide
          character version of strtok_r_emulation() to use ACE_WCHAR and
          ACE_LACKS_WCSTOK instead of ACE_HAS_REENTRANT_FUNCTIONS.  Thanks
          to Johnny Willemsen for reporting this bug.

Wed Sep 15 11:41:53 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/ACE.cpp (set_handle_limit): Removed the

          ACE_NOTREACHED (return 0);

          and replaced it with

          return 0;

          Thanks to Martin Corino <mcorino@remedy.nl> for reporting this.

Wed Sep 15 10:46:07 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/Log_Msg.cpp:

          Explicitly initialize a static int to zero to make it clear that
          the initial value is important.

Wed Sep 15 12:51:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Removed check for ACE_HAS_CYGWIN32_SOCKET_H, this is not needed
          anymore

Tue Sep 14 22:44:39 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Inet_Addr.cpp:

          Fix for the problem reported by Charlie Duke, which is that
          ACE_INET_Addr::string_to_addr cannot accept an address string
          produced by ACE_INET_Addr::addr_to_string method. The output of
          addr_to_string method is of the form "[ipv4]:port" while the
          string_to_addr accepts "ipv4:port" i.e. cannot handle "[]".

          The fix for this is not to include "[]" in
          string_to_addr. Thanks to Charlie Duke <cduke at fvc dot com>.

        * THANKS: Updated Charlie's email address.

Tue Sep 14 15:02:05 2004  Dale Wilson  <wilson_d@ociweb.com>

        * NEWS:
          Updated: TSS leak has been conquered.

Tue Sep 14 11:07:25 2004  Steve Huston  <shuston@riverace.com>

        * ace/Malloc_T.{h inl}: Added ACE_Cached_Allocator<>::pool_depth()
          and ACE_Dynamic_Cached_Allocator<>::pool_depth(). Each returns the
          number of items in the cache available for allocating. Thank you to
          Jeff Jones <jjones@zonetrading.com> for this addition.

        * tests/Cached_Allocator_Test.cpp: Added tests of the new pool_depth()
          method.

        * THANKS: Added Jeff Jones to the Hall of Fame.

Tue Sep 14 11:58:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dynamic_Service.h:
          Doxygen improvement

Tue Sep 14 10:21:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          Added support for the Intel 8.1 C++ Compiler

Tue Sep 14 07:01:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added TAO/orbsvcs/orbsvcs/CosNaming_Skel to the list of projects
          to build first.

Mon Sep 13 19:09:23 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Changed to use ACE_CHECK_HAS_FUNC([scandir]) and get rid of
          explicit definition, autoconf template macro, etc.

Mon Sep 13 20:33:25 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Select_Reactor_Base.cpp: Changed the
          ACE_Select_Reactor_Handler_Repository::open() method so that it
          uses the generalized ACE::set_handle_limit() method to not lower
          the handles, which caused problems for applications that want to
          use small reactor sizes but not limit the number of handles in
          the process.  Thanks to Eider Oliveira <eider at oliveira dot
          gmail at com> for suggesting this.

        * ace/ACE.cpp,
          ace/ACE.h: Generalized ACE::set_handle_limit() so
          it can be told not to lower the handle limit.

Mon Sep 13 18:15:44 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACE_wrappers/m4/platform.m4:

          Added new ACE_FUNC_IOCTL_ARGTYPES macro, used to set
          ACE_IOCTL_TYPE_ARG2.

        * ACE_wrappers/ace/config-netbsd.h:

          Added ACE_IOCTL_TYPE_ARG2 definition.

        * ACE_wrappers/ace/OS_NS_stropts.h:
        * ACE_wrappers/ace/OS_NS_stropts.inl:

          Added feature test macro ACE_IOCTL_TYPE_ARG2 (which defaults to
          int) so that ACE_OS::ioctl uses the same type as ::ioctl.  This
          help avoid sign extension problems on 64 bit platforms that use
          unsigned long.

Mon Sep 13 15:52:04 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.cpp:
        * ace/TSS_T.cpp:
          Bugzilla Bug 1542 TSS Leak revisited.
          The goal is for each thread's TSS object to be
          deleted at thread exit time, and for the TSS
          key itself to be released when:
            the last thread stops using it, or
            the ACE_TSS<X> (if any) is deleted
          which ever comes *last*.

Mon Sep 13 14:56:53 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/RB_Tree.h (class ACE_RB_Tree):
        * ace/RB_Tree.cpp:

          Added a special constructor useful for providing a valid vtable
          and allocator if the tree is reconstructed from shared
          memory. Thanks to Lothar Werzinger for the patches.

Mon Sep 13 12:49:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-4.x.h: Alter the value of ACE_SIZEOF_WCHAR based
          on whether or not __64BIT__ is set (4 if yes, 2 if no). See
          /usr/include/sys/types.h for verification.

        * apps/Gateway/Gateway/Connection_Handler.cpp: Add missing #include
          "ace/OS_NS_string.h".

Mon Sep 13 12:39:11 2004  Steve Huston  <shuston@riverace.com>

        * ace/DLL_Manager.cpp: Added explicit template instantiations for
          Wed Sep  8 17:13:41 2004  Steve Huston  <shuston@riverace.com>

Mon Sep 13 06:50:46 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/dslogadmin_serv.mpb:

          Changed to inherit from svc_utils.

Mon Sep 13 12:02:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added TAO/orbsvcs/orbsvcs/CosNotification_Skel

Mon Sep 13 10:42:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          When using the 8.0 compiler, disable certain warnings about padding

Mon Sep 13 09:57:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          The intel compiler on Itanium is called icc, not ecc anymore

Mon Sep 13 09:46:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Fixed compile error in VxWorks specific code

Mon Sep 13 09:44:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-icc-common.h:
          Added ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION

Mon Sep 13 09:31:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * configure.ac:
          Added ACE_CHECK_LACKS_HEADERS for wchar.h.

Mon Sep 13 09:06:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added TAO/orbsvcs/orbsvcs/CosNaming_Serv to the list of projects
          to build first.

Sun Sep 12 17:20:39 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/rteventlogadmin.mpb

          Update *.mpb files to reflect new libraries.

        * bin/MakeProjectCreator/config/dseventlogadmin.mpb
        * bin/MakeProjectCreator/config/dseventlogadmin_serv.mpb
        * bin/MakeProjectCreator/config/dseventlogadmin_skel.mpb
        * bin/MakeProjectCreator/config/dslogadmin.mpb
        * bin/MakeProjectCreator/config/dslogadmin_serv.mpb
        * bin/MakeProjectCreator/config/dslogadmin_skel.mpb
        * bin/MakeProjectCreator/config/dsnotifylogadmin.mpb
        * bin/MakeProjectCreator/config/dsnotifylogadmin_serv.mpb
        * bin/MakeProjectCreator/config/dsnotifylogadmin_skel.mpb

          Split Logging, Event Logging, and Notify Logging Services into
          client stub, servant skeleton, and service implementation
          libraries.

        * bin/MakeProjectCreator/config/ec_use_typed_events_serv.mpb:
        * bin/MakeProjectCreator/config/event_serv.mpb
        * bin/MakeProjectCreator/config/event_skel.mpb

          Updated dependencies.

        * bin/MakeProjectCreator/config/ec_use_typed_events_skel.mpb:

          Removed file, events skeleton w/typed events does not require
          any additional dependencies.  They have been moved to _serv.

Sun Sep 12 17:20:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Log_Msg.cpp (log):
          In then handling of %Z replaced an ACE_NEW_RETURN with a
          ACE_NEW_NORETURN, so that when allocation fails, we just do
          a break instead of return. Seems this code was written before
          the existence of ACE_NEW_NORETURN. This also fixes the crashing
          of the Intel 8.0 C++ Compiler on Itanium on this file, no idea
          why this caused a crash, that is one for Intel to sort out.

Sat Sep 11 11:41:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/Gateway/Peer/Peer.cpp:
        * apps/Gateway/Peer/peerd.cpp:
          Added missing includes to fix compile problems in Cygwin build

Fri Sep 10 22:54:55 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_server.mpb:
        * bin/MakeProjectCreator/config/ciao_server_dnc.mpb:

          Added utils to the list of projects that are inherited.

Sat Sep 11 00:49:39 2004  Olli Savia  <ops@iki.fi>

        * ace/IOStream.h:
          Changed NULL to 0 to silence compile time warning.

Fri Sep 10 15:39:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/High_Res_Timer.{h inl cpp}: Added a new static method that
          calculates the difference between two ACE_hrtime_t quantities.
          Takes into account that the time counter may have wrapped around
          between the start and end. Changed all time difference calculations
          to use the new elapsed_hrtime() method.

Fri Sep 10 13:53:00 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/Time_Value.h:
        * ace/Time_Value.inl:

      Moved '#include "ace/Basic_Types.h"' from Time_Value.cpp to
      Time_Value.h because it's needed there since ACE_UINT64 is
      introduced (see below).

Thu Sep 09 18:29:17 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Time_Value.h (msec):
        * ace/Time_Value.inl (msec):

          Even though MSVC++ 6 supports 64 bit integers, it does not
          support the "long long" syntax.  Instead it supports its own
          "__int64" built-in type.  Use "ACE_UINT64" instead of "unsigned
          long long".  Fixes syntax errors exhibited by MSVC++ 6.

Thu Sep  9 16:40:27 2004  Steve Huston  <shuston@riverace.com>

        * apps/Gateway/Gateway/Connection_Handler.cpp:
        * apps/Gateway/Gateway/Connection_Handler_Connector.cpp:
        * apps/Gateway/Gateway/File_Parser.{h cpp}:
        * apps/Gateway/Gateway/Gateway.cpp:
        * apps/Gateway/Gateway/gatewayd.cpp:
        * apps/Gateway/Peer/Options.{h cpp}:
        * apps/Gateway/Peer/Peer.{h cpp}: Narrow/wide char fixes.

        * apps/Gateway/Gateway/Options.h: Removed const char *connector_host()
          method because it's not ever defined or referenced.

        * apps/Gateway/Peer/peer.mpc: New project definition.

Thu Sep  9 16:17:38 2004  Olli Savia  <ops@iki.fi>

        * apps/JAWS3/jaws3/Templates.cpp:
          Added explicit static template member instantiations.

Thu Sep  9 05:58:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.cpp:
          Implemented num_processors and num_processors_online for Cygwin

Wed Sep  8 21:50:13 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Time_Value.h:
        * ace/Time_Value.inl:

          The change added in this checkin

          Wed Sep  8 10:17:46 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>
          should not be available on platforms that lacks long long.

Wed Sep  8 17:13:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/DLL_Manager.{h cpp}: Added new private method,
          ACE_DLL_Handle::get_dll_names().
          This builds the list of names to try to dlopen() based on the
          specified dll_name and the platform's prefix/suffix/decorator
          configuration. It doesn't try to load anything and doesn't do any
          search path games like ACE::ldfind(). All of the rules for locating
          files based on environments and security policy are administered by
          the OS. This just feeds names to try, allowing for example, svc.conf
          to continue simply specifying base names like "ACE". This restores
          basic OS functionality, such as the ability to load a DLL from the
          same directory as the loading executable, as well as closing
          potential security loopholes opened by ACE's scanning the search
          path and passing absolute paths to dlopen().
          ACE_DLL_Handle::open() now calls get_dll_names() for a list of names
          to try unless ACE_MUST_HELP_DLOPEN_SEARCH_PATH is defined, in which
          case it does the old ACE::ldfind() call and dlopen()s the
          absolute path as it did before this change.

          This also allows DLLs to load on wide-char non-Windows builds without
          messing with the sprintf() format specs in Lib_Find.cpp.

Wed Sep  8 10:17:46 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Time_Value.{h,inl} Added a new msec() method that uses
          unsigned long long to compute the value to prevent overflow.
          Thanks to Boris Kaminer <boris_kaminer@mail.ru> for reporting this.

Wed Sep  8 08:15:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>

        * tests/FIFO_Test.cpp
          Fixed one of the failing tests under HPUX requires delay like AIX

Wed Sep  8 08:15:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>

        * tests/IOStream_Test.cpp
          Sorry, I got the wrong header file yesterday; isspace() is defined in
          ace/os_include/os_ctype.h  NOT  #include ace/OS_NS_ctype.h

Tue Sep  7 16:39:28 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/dseventlogadmin.mpb
        * bin/MakeProjectCreator/config/dsnotifylogadmin.mpb
        * bin/MakeProjectCreator/config/lifecycle.mpb
        * bin/MakeProjectCreator/config/notifytest.mpb
        * bin/MakeProjectCreator/config/rtnotify.mpb
        * bin/MakeProjectCreator/config/time.mpb

          Update *.mpb files to reflect new libraries.  In many cases this
          required adding inheriting from additional base projects, as
          libraries were being linked in because of naming -- which was
          once the service implementation (and thus pulled in lots of
          other libraries) and is now just the Naming client stubs.

        * bin/MakeProjectCreator/config/ec_use_typed_events.mpb
        * bin/MakeProjectCreator/config/ec_use_typed_events_skel.mpb
        * bin/MakeProjectCreator/config/event.mpb
        * bin/MakeProjectCreator/config/event_serv.mpb
        * bin/MakeProjectCreator/config/event_skel.mpb
        * bin/MakeProjectCreator/config/naming.mpb
        * bin/MakeProjectCreator/config/naming_serv.mpb
        * bin/MakeProjectCreator/config/naming_skel.mpb
        * bin/MakeProjectCreator/config/notification.mpb
        * bin/MakeProjectCreator/config/notification_serv.mpb
        * bin/MakeProjectCreator/config/notification_skel.mpb
        * bin/MakeProjectCreator/config/trading.mpb
        * bin/MakeProjectCreator/config/trading_serv.mpc
        * bin/MakeProjectCreator/config/trading_skel.mpc

          Split Event, Naming, Notification, and Trading Services into
          client stub, servant skeleton, and service implementation
          libraries.

Tue Sep  7 15:45:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>

        * examples/IOStream/server/iostream_server.cpp
          getpid() from ace/OS_NS_unistd.h actually used in both halves of
          #ifdef #else #endif guard so the conditional arround the #include
          is actually wrong and so has been removed.

        * tests/IOStream_Test.cpp
          isspace() used without #include ace/OS_NS_ctype.h, added this to
          the guarded section where it is used.

Tue Sep  7 07:08:26 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:

          As part of the -expand_env option, I moved some functionality out
          of the ProjectCreator.pm and into this module which was only used
          by this project creator.

Tue Sep  7 06:41:27 2004  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/rules.local.GNU:

          Removed the if check for static_libs_only.  The STATIC_LINK_FLAG
          option will be added to the LDFLAGS if static_link is set to 1.

Mon Sep  6 10:04:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Sock_Connect.cpp:
          When using VxWorks also include OS_NS_stdio.h

Mon Sep  6 07:12:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS.h:
          Removed include of sys/modem.h for HPUX, this is already done in
          os_include/os_termios.h

Fri Sep  3 15:53:19 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-sunos5.8.h: Added ACE_HAS_TIMEZONE. This may be
          pertinent to previous Solaris versions, but I don't have any
          to test on.

Fri Sep  3 12:34:41 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_sys_mman.inl:

          Removed redundant conditional used to disable madvise for WIN32
          systems.  Instead use ACE_LACKS_MADVISE feature test macro.

        * ace/config-win32-common.h:

          Added ACE_LACKS_MADVISE definition.

Fri Sep  3 15:10:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-5.x.h: Add ACE_HAS_TIMEZONE.

        * ace/OS_NS_time.h: Include "ace/OS_NS_errno.h" - ACE_NOTSUP_RETURN
          sets errno.

Fri Sep  3 21:36:51 2004  Olli Savia  <ops@iki.fi>

        * apps/drwho/File_Manager.cpp:
          Use ACE_HAS_EXPLICIT_STATIC_TEMPLATE_MEMBER_INSTANTIATION
          to check if explicit template instantiation is needed.
          Thanks to Johnny Willemsen for informing me about this
          macro.

Fri Sep  3 20:02:20 2004  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_unistd.inl:
          There is no need to check missing prototype since this has
          already been taken care by os_unistd.h.

        * ace/os_include/arpa/os_inet.h:
        * ace/os_include/os_stdlib.h:
        * ace/os_include/os_strings.h:
        * ace/os_include/os_unistd.h:
          To make things easier to maintain use new ACE_LACKS_xxx_PROTOTYPE
          macros to check whether we need to declare missing function
          prototype.

        * ace/README:
          Added new ACE_LACKS_xxx_PROTOTYPE macros

        * ace/config-lynxos.h:
          Modified to follow changes above.

Fri Sep  3 19:35:48 2004  Olli Savia  <ops@iki.fi>

        * ace/Log_Msg.h:
          Removed broken macro redefinition code to prevent people
          thinking that it actually works. Cleaned up #undef's.

Fri Sep  3 19:30:18 2004  Olli Savia  <ops@iki.fi>

        * ace/Global_Macros.h:
          LynxOS no longer needs special macro handling.

Fri Sep  3 19:13:24 2004  Olli Savia  <ops@iki.fi>

        * apps/drwho/File_Manager.cpp:
          LynxOS 3.x needs explicit template instantiation.

Fri Sep  3 10:44:27 2004  Steve Huston  <shuston@riverace.com>

        * ace/Process_Manager.cpp (append_proc): If the process_table_ needs
          to be enlarged, make sure it's to a size greater than 0. If the
          original size is 0, change it to DEFAULT_SIZE, else double it (as
          was always done).
          (resize): Changed to not shrink the process_table_ array. Primarily
          to guard against changing it to 0, but also guards against having to
          decide what to do with entries that won't fit in the new array.

Fri Sep  3 07:43:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/DLL/test_dll.cpp:
        * examples/Export/test.cpp:
          Fixed for unicode builds

Thu Sep  2 16:39:29 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-linux-common.h:
        * ace/config-netbsd.h:

          Changed to define ACE_HAS_TIMEZONE.

        * ace/OS_NS_time.h:

          Changed ace_timezone() to use ACE_HAS_TIMEZONE feature test
          macro instead of OS-specific macros to determine whether to
          use global timezone variable or the gettimeofday() function
          to obtain the current timezone.

        * configure.ac:

          Changed to call ACE_VAR_TIMEZONE.

        * m4/platform.m4:

          Added new macro, ACE_VAR_TIMEZONE.  Sets new feature test macro
          ACE_HAS_TIMEZONE if platform supports global timezone variable.

Thu Sep  2 16:43:29 2004  Steve Huston  <shuston@riverace.com>

        * m4/ace.m4: Added AM_CONDITIONAL for BUILD_EXCEPTIONS, BUILD_THREADS,
          BUILD_ACE_CODECS, BUILD_ACE_FILECACHE, BUILD_ACE_OTHER,
          BUILD_ACE_TOKEN, BUILD_ACE_UUID, BUILD_RWHO, BUILD_WFMO, and
          BUILD_WINREGISTRY so the MPC 'requires' feature can properly weed
          things out without configure- and build-time errors.

Thu Sep  2 12:51:00 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * tests/Process_Manager_Test.cpp:

          Changed commandline buildup of childprocesses to start with './'
          for non-WIN32 platforms as with other tests.
          By default test did not run on OpenVMS without this.

Thu Sep  2 12:51:00 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-openvms.h:

          Added ACE_LACKS_UNIX_SIGNALS since OpenVMS cannot use signals
          in combination with PTHREAD.

        * ace/Process.cpp:
        * ace/Process_Manager.cpp:

          Implemented alternatives in timed wait() functions for systems
          with ACE_LACKS_UNIX_SIGNALS and !WIN32.

Thu Sep  2 07:24:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/core.mpb:
        * bin/MakeProjectCreator/templates/bor.mpd:

          Switch the borland template over to use the INSTALL_THIS_TARGET
          template value instead of a 'verbatim' section to do the same
          thing.

Thu Sep  2 09:12:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          With gcc 3.4.1 -mcpu is deprecated, but -mtune must be used

Thu Sep  2 07:24:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/FaCE/FaCE.mpc:
        * apps/FaCE/FaCENOACE.mpc:
          Added missing Id tag

Wed Sep  1 17:16:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/Reverse_Lock_T.inl:
        * ace/Typed_SV_Message.inl: Added #include "ace/config-all.h" to get
          missing macros (ACE_NOTSUP_RETURN, ACE_TRACE).

        * apps/JAWS/clients/Caching/http_client.cpp:
        * apps/JAWS/clients/Caching/http_handler.cpp:
        * apps/JAWS/server/HTTP_Response.cpp:
        * apps/JAWS/server/HTTP_Server.{h cpp}:
        * apps/JAWS/server/IO.cpp:
        * apps/JAWS3/jaws3/Task_Timer.cpp: Add missing includes.

Wed Sep  1 12:32:31 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl (mutex_init):

          Explicitly cast the unused returned value of an
          ACE_ADAPT_RETVAL macro call to "void" to address a "right-hand
          operand of comma has no effect" warning exhibited by GNU g++
          3.4.x.  Thanks to Bogdan Jeram <bjeram at eso dot org> and
          Paul Lew <paullew@cisco.com> for reporting the warning.

Wed Sep  1 11:35:44 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Removed ACE_UINT64_FORMAT_SPECIFIER autoheader template.  It
          is now defined within ACE_CHECK_FORMAT_SPECIFIERS.

        * m4/platforms.m4:

          Added new macro ACE_CHECK_FORMAT_SPECIFIERS, which is used to
          define preprocessor macros that overide the defaults provided
          for size_t, ssize_t, ACE_INT64, and ACE_UINT64 *printf format
          specifiers.  I don't think autoconf feature tests are possible,
          especially if we ever hope to support cross compilation, but at
          least this pulls everything into one place.

Wed Sep  1 12:52:40 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Split out the ACE specific portion of AutomakeWorkspaceCreator.pm
          into a new helper module.  The helper module is dynamically loaded
          in by the AutomakeWorkspaceCreator.

Wed Sep  1 10:01:57 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/SOCK_Dgram_Bcast.cpp:

          Added !defined(__NetBSD__) to conditional so sockaddr.sa_len
          version of the code will be used.  Fixes SOCK_Bcast_Dgram_Test
          failures.

        * ace/Sock_Connect.cpp:

          Added !defined(__NetBSD__) to conditional so sockaddr.sa_len
          version of the code will be used.

Wed Sep  1 12:40:28 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-aix-4.x.h: Changed the ACE_HAS_3_PARAM_WCSTOK test to
          include _XOPEN_SOURCE >= 500, not == 500. Fixes compile error
          on AIX 5.2.

Wed Sep  1 12:45:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dump_T.cpp:
          Added include of config-all.h to get ACE_TRACE

Wed Sep  1 07:43:46 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tests/Message_Queue_Notifications_Test.cpp (producer): Fixed
          this test so it works with the changes to
          ACE_Message_Queue::is_full_i() below.  Thanks to Rick Robinson
          for this fix, as well.

        * ace/Message_Queue_T.inl: Changed the implementation of
          is_full_i() so the comparision operator is >= rather than >,
          which makes it possible to use a 0 high water mark to disable
          the enqueue side of the queue.  Thanks to Rick Robinson
          <rick@oyarsa.com> for reporting this.

        * ace/POSIX_Proactor.h: Updated the documentation to use
          the right names for ACE_POSIX_SIG_Proactor and
          ACE_POSIX_AIOCB_Proactor.  Thanks to John D. Robertson
          <john@rrci.com> for motivating this fix.

Wed Sep  1 07:00:39 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/global.features:

          Disable the wince feature setting.

        * apps/FaCE/FaCE.mpc:
        * apps/FaCE/FaCENOACE.mpc:

          Adding mpc files to replace the vcp files.  These projects will
          only build on wince so they require the wince feature which is
          disabled by default.

        * apps/FaCE/FaCE.vcp:
        * apps/FaCE/FaCE.vcw:
        * apps/FaCE/FaCENOACE.vcp:
        * apps/FaCE/FaCENOACE.vcw:

          Removed these files.

Wed Sep  1 06:48:34 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Mem_Map/file-reverse/Mem_Map_File_Reverse.mpc:

          With the current version of MPC, we must specify the exename for
          this project.  MPC no longer automatically determines that
          ACE_TMAIN is the entry point.

Wed Sep  1 10:12:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-hpux-11.00.h:
          Added several new defines, these are gathered by comparing an
          autoconf generated config.h and the original file. It seems HPUX
          has much more stuff than we currently use. Everything is tested
          on HPUX 11i v2, maybe it breaks older versions, I don't think so
          but if it will, our daily builds will trigger this and we have
          to make the defines than dependent on the HPUX version. Added are:
          ACE_HAS_NEW_NO_H, ACE_HAS_AUTOMATIC_INIT_FINI,
          ACE_HAS_LONG_MAP_FAILED, ACE_HAS_MEMCHR,
          ACE_HAS_POSITION_INDEPENDENT_POINTERS, ACE_HAS_POSIX_GETPWNAM_R,
          ACE_HAS_P_READ_WRITE, ACE_HAS_RECURSIVE_THR_EXIT_SEMANTICS,
          ACE_LACKS_PRI_T, ACE_HAS_SIG_C_FUNC, ACE_HAS_SIGSUSPEND,
          ACE_HAS_SOCKLEN_T, ACE_HAS_SYS_ERRLIST, ACE_HAS_VOIDPTR_MMAP,
          ACE_HAS_VOIDPTR_SOCKOPT, ACE_HAS_GETRUSAGE_PROTOTYPE, ACE_HAS_TIMOD_H,
          ACE_HAS_SYS_XTI_H, ACE_HAS_PTHREAD_RESUME_NP. If you don't agree to
          one of these defines, let us know, then we also have some work on
          the autoconf support, because autoconf gave info all these can be
          setup.

Wed Sep  1 07:02:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Synch_Options.cpp:
        * ace/Shared_Object.cpp:
        * ace/Read_Buffer.cpp:
        * ace/SV_Message.inl:
          Added include of config-all.h to get ACE_TRACE

Tue Aug 31 12:18:01 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Moved ACE_HAS_PENTIUM into "defined(__i386__)" conditional.

Tue Aug 31 14:38:19 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_errno.h:
        * ace/os_include/os_errno.h: Include config-lite.h instead of
          config-all.h to minimize re-includes.

        * ace/OS_NS_errno.inl: Include config-all.h to pick up ACE_TRACE.

Tue Aug 31 08:36:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-hpux-11.00.h:
          Added ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION for the HP aCC
          compiler

Tue Aug 31 08:16:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_time.cpp:
          When ACE_LACKS_NATIVE_STRPTIME is defined, include
          os_include/os_ctype.h to get isdigit

Tue Aug 31 00:21:48 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:

          Removed vestigial ACE_HAS_LAZY_V definition.

Tue Aug 31 00:17:45 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:

          Removed vestigial ACE_HAS_IOMANIP_NO_H definition.

Mon Aug 30 23:57:58 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:

          Removed vestigial ACE_HAS_SYS_IOCTL_H definition.  ACE now uses
          ACE_LACKS_SYS_IOCTL_H.

        * ace/config-integritySCA.h:

          Removed vestigial ACE_LACKS_SYS_FILE_H definition.

        * ace/config-integritySCA.h:
        * ace/config-psos-diab-mips.h:
        * ace/config-qnx-neutrino.h:
        * ace/config-rtp-62x.h:
        * ace/config-rtp-pre62x.h:

          Removed vestigial ACE_LACKS_RPC_H definition.

Mon Aug 30 23:47:41 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added check for ACE_LACKS_TOWLOWER and ACE_LACKS_TOWUPPER.

Mon Aug 30 23:39:33 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Changed check for libc.h and osfcn.h to not export a feature
          test macro definition, as the results are only needed within
          the configure script itself.

Mon Aug 30 23:28:03 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-macos.h:
        * ace/config-macos-panther.h:

          Removed vestigial ACE_HAS_PTHREAD_CANCEL and ACE_HAS_PTHREAD_KILL
          definitions.

Mon Aug 30 23:18:51 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-linux-common.h:
        * ace/config-openbsd.h:

          Removed vestigial ACE_HAS_MKSTEMP definition.  ACE now uses
          ACE_LACKS_MKSTEMP.

Mon Aug 30 22:39:24 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/TSS_Test.cpp:

          Changed the number of iterations from 100 to 25 so the test will
          run on systems with pthreads with the minimum required number of
          thread keys (128).  This should still be sufficient to check the
          TSS wrappers without exceeding the minimum requirements.

Mon Aug 30 18:31:28 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Add ACE_SSIZE_T_FORMAT_SPECIFIER and ACE_SIZE_T_FORMAT_SPECIFIER
          definitions for NetBSD/amd64.

        * netsvcs/clients/Logger/Makefile.am:
        * netsvcs/clients/Naming/Client/Makefile.am:
        * netsvcs/clients/Naming/Dump_Restore/Makefile.am:
        * netsvcs/servers/Makefile.am:

          Fix the _LDADD definitions that MPC doesn't get right yet.

        * configure.ac:

          Added checks for: ACE_LACKS_STRCHR, ACE_LACKS_STRCSPN,
          ACE_LACKS_STRERROR, ACE_LACKS_STRPBRK, ACE_LACKS_STRSPN,
          ACE_LACKS_STRTOD, ACE_LACKS_STRTOL, ACE_LACKS_STRTOUL,
          and ACE_LACKS_SWAB.

          Added check for ACE_HAS_STRNLEN.

          Added checks for: ACE_LACKS_ARPA_INET_H, ACE_LACKS_DIRENT_H,
          ACE_LACKS_DLFCN_H, ACE_LACKS_ERRNO_H ACE_LACKS_FCNTL_H,
          ACE_LACKS_NET_IF_H, ACE_LACKS_NETDB_H, ACE_LACKS_NETINET_IN_H,
          ACE_LACKS_SEARCH_H, ACE_LACKS_SEMAPHORE_H, ACE_LACKS_SIGNAL_H,
          ACE_LACKS_STDLIB_H, ACE_LACKS_STRING_H, ACE_LACKS_STRINGS_H,
          ACE_LACKS_SYS_IOCTL_H, ACE_LACKS_SYS_IPC_H, ACE_LACKS_SYS_MMAN_H,
          ACE_LACKS_SYS_RESOURCE_H, ACE_LACKS_SYS_SEM_H, ACE_LACKS_SYS_SHM_H,
          ACE_LACKS_SYS_SOCKET_H, ACE_LACKS_SYS_STAT_H, ACE_LACKS_SYS_TIME_H,
          ACE_LACKS_SYS_UN_H, ACE_LACKS_SYS_WAIT_H, ACE_LACKS_TERMIOS_H, and
          ACE_LACKS_TIME_H.

          Removed checks for ACE_HAS_SYS_IOCTL_H.

Mon Aug 30 17:38:22 2004  Steve Huston  <shuston@riverace.com>

        Changes that get PocketPC/WinCE back into a state where they build.

        * ace/config-WinCE.h: Add ACE_LACKS_ASSERT_H, ACE_LACKS_SEARCH_H,
          and ACE_LACKS_WCHAR_H for WinCE 3.
          Add ACE_LACKS_SWAB for all versions.

        * ace/config-win32-msvc.h: Set (or clear) ACE_LACKS_RTTI based on
          whether or not the compiler switch to enable rtti is used.

        * ace/OS_Errno.{h inl}:
        * ace/OS_NS_errno.{h inl}: Moved ACE_CE_Errno from OS_Errno to
          OS_NS_errno. This seems like a more sensible place for an errno
          replacement, and avoids having to add includes for OS_Errno.h to
          a bunch of other files.

        * ace/OS_NS_stdio.inl (rename): In the char* variant, always convert
          the names to wide-char for WinCE.

        * ace/OS_NS_stdlib.{h cpp inl}: Don't attempt ACE_OS::realpath() for
          ACE_HAS_WINCE. It has no native support and there's no
          ACE_OS::getcwd() to fake it with.

        * ace/OS_NS_stropts.{h cpp}: The 9-arg version of ACE_OS::ioctl is
          ok for WinCE, but the ACE_QoS one is disabled. Changed both files
          to implement this. They were mismatched for CE.

        * ace/OS_NS_sys_select.inl: Replace #include ace/os_include/os_errno.h
          with ace/OS_NS_errno.h to pick up errno correctly across all
          platforms.

        * ace/OS_NS_sys_socket.cpp: Moved #endif closing #ifndef ACE_HAS_WINCE
          to encompass join_leaf() to match what's done in the class decl.

        * ace/OS_NS_sys_stat.inl (mkdir, stat): Added #include
          "ace/OS_NS_macros.h" to get ACE_ADAPT_RETVAL.
          For the char* mkdir() and stat(), CE needs to convert
          the strings to wide-char.

        * ace/OS_NS_time.h: Moved the day_of_week and month_name const
          strings into the ACE_OS namespace, as OS_NS_time.cpp desires.

        * ace/OS_NS_time.cpp: Removed the MT-only compile block around the
          day_of_week and month_name arrays. As suspected by Don Hinton,
          this is an incorrect condition.
          Also added #include "ace/OS_NS_stdio.h" for ACE_HAS_WINCE, as the
          ctime_r emulation needs it.

        * ace/OS_NS_unistd.inl (unlink): Convert path to wide-char for WinCE.
          (rmdir): RemoveDirectory() takes only 1 arg.
          wide-char getcwd() is a NOTSUP for WinCE, as is the char* version.

        * ace/Proactor.cpp: Add #include "ace/config-lite.h" since the
          user config is needed to decide whether to compile this file.
          Also remove 'tv' param name from the stubbed-out version of
          run_event_loop(ACE_Time_Value&).

Mon Aug 30 16:24:51 2004  Steve Huston  <shuston@riverace.com>

        * NEWS: Noted that the wide-char stuff is done and autoconf is in
          progress.

Mon Aug 30 11:54:01 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/security.mpb:

          Added missing "interceptors" and "corba_messaging" base
          projects.

        * bin/MakeProjectCreator/config/ssliop.mpb:

          Added missing "interceptors" base project.

Mon Aug 30 13:02:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/Basic_Types.h: Don't use sizeof() when defining ACE_SIZEOF_WCHAR.
          Other code (e.g. ACEXML) in ACE uses ACE_SIZEOF_WCHAR in
          preprocessor tests, so it needs to be a preprocessor constant.
          If the config file doesn't set it, and on an XPG4 system, set
          the size to 4. If it's wrong, Basic_Types_Test will catch it.

        * tests/Basic_Types_Test.cpp: Remove the comment that says the check
          for ACE_SIZEOF_WCHAR is pointless. It's now important.

Mon Aug 30 10:05:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/amh.mpb:
        * bin/MakeProjectCreator/config/ami.mpb:
          Both use idlflags, so add taoidldefaults as base project

Mon Aug 30 06:39:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/amh.mpb:
          AMH is dependent on messaging and doesn't require ami

Sun Aug 29 16:53:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * ace/config-linux-common.h:

        Added '__GLIBC_MINOR__ < 2' test for setting ACE_POLL_IS_BROKEN
        on Alpha platform.

Fri Aug 27 11:40:37 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/ftrtevent.mpb:
        * bin/MakeProjectCreator/portablegroup.mpb:

          Changed to inherit from messaging.mpb.

        * bin/MakeProjectCreator/rtsched.mpb:

          Changed to inherit from svc_utils.mpb.

Fri Aug 27 13:38:25 2004  Steve Huston  <shuston@riverace.com>

        * netsvcs/clients/Naming/Client/Client_Test.cpp:
        * netsvcs/clients/Naming/Client/main.cpp:
        * netsvcs/clients/Naming/Dump_Restore/Dump_Restore.{h cpp}:
        * netsvcs/clients/Naming/Dump_Restore/main.cpp:
        * netsvcs/servers/main.cpp:
        * websvcs/lib/URL_Addr.cpp: Fix wide-char errors.

Fri Aug 27 12:01:37 2004  Steve Huston  <shuston@riverace.com>

        * netsvcs/lib/Client_Logging_Handler.cpp:
        * netsvcs/lib/Log_Message_Receiver.{h cpp}:
        * netsvcs/lib/Name_Handler.{h cpp}:
        * netsvcs/lib/Server_Logging_Handler_T.{h cpp}:
        * netsvcs/lib/TS_Server_Handler.{h cpp}:
        * netsvcs/lib/TS_Clerk_Handler.{h cpp}: Correct Service Configurator
          framework entrypoints (init(), etc.) to match ACE_TCHAR* instead of
          char*. Also corrected char-width problems and naked text literals.

        * ACEXML/parser/parser/Parser.cpp: Fixed uninitialized variable.

Fri Aug 27 08:18:21 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/footprint_stats.sh:

          Fixed the path to the libraries. Thanks to Johnny for spotting
          the error in the scoreboard.

Fri Aug 27 10:20:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/security.mpb:
          Security library uses valuetype, so added valuetype as base
          project.

Fri Aug 27 09:48:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/QOS/Change_Receiver_FlowSpec/QoS_Util.{h,cpp}:
        * examples/QOS/Change_Receiver_FlowSpec/receiver.cpp:
          Fixed unicode build errors

Fri Aug 27 09:36:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.{h,cpp,i}:
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.{h,cpp,i}:
        * examples/Service_Configurator/IPC-tests/server/Handle_Thr_Stream.{h,cpp}:
          Fixed unicode build errors

Fri Aug 27 09:06:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/loadbalancing.mpb:
          Loadbalancing uses iorinterceptor, so added that as base

Fri Aug 27 08:06:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        Integrated ORTrefactor_2 branch into main. Previously the PortableServer
        library was dependent on IORInterceptor, ObjRefTemplate and Valuetype,
        this dependency has been removed. PortableServer doesn't use these libs
        anymore, but IORInterceptor, ObjRefTemplate and Valuetype are now
        dependent on PortableServer. This will reduce the size of corba servers
        which don't use IORInterceptor, ObjRefTemplate and Valuetype.

        This are the needed MPC changes. Without MPC this would have been a
        hard job to change all makefiles by hand.

        Fri Aug 20 13:18:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

                * bin/MakeProjectCreator/config/portableserver.mpb:
                * tao/PortableServer.mpc:
                  PortableServer is not dependent on ValueType anymore, so removed it
                  as base project

        Fri Aug 20 11:47:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

                * bin/MakeProjectCreator/config/iorinterceptor.mpb:
                  When using iorinterceptor use portableserver and objreftemplate

                * bin/MakeProjectCreator/config/objreftemplate.mpb:
                  When using objreftemplate, you must use portableserver

                * bin/MakeProjectCreator/config/portableserver.mpb:
                  When using portableserver there is no need to use objreftemplate and
                  iorinterceptor

Fri Aug 27 07:40:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * ace/ace_wchar.h:

        Fixed for broken OpenVMS build because of missing <cwchar>
        and <cwctype> includes.

Thu Aug 26 19:55:03 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Fixed thinko in last change.  CVS and .svn directories *and*
          their contents must be pruned in install-local-data target.

Thu Aug 26 19:37:10 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Changed dist-hook and install-local-data targets to skip .svn as
          well as CVS directories to support subversion.

Thu Aug 26 19:22:31 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Added If_Then_Else.h to HEADER_FILES.

Thu Aug 26 11:53:26 2004  Steve Huston  <shuston@riverace.com>

        * ace/Time_Value.h: Added extern "C++" around the ACE_Time_Value class
          declaration for WinCE. This is a total hack that I hate, but I have
          not been able to find any other way around it. The same code
          worked before the great ACE_OS reorg, but I don't know what tickled
          it to start misbehaving. Without the hack, eVC complains that
          the operators are C functions and so can't return a class.

        * ace/Dev_Poll_Reactor.{cpp h}: Inserted /**/ in #include directives
          to silence MSVC warnings that the files are missing dependencies.

Thu Aug 26 11:39:29 2004  Steve Huston  <shuston@riverace.com>

        * ACEXML/common/XML_Types.h: Add #include "ace/Basic_Types.h" to
          pick up ACE_SIZEOF_WCHAR.

Thu Aug 26 12:22:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.cpp:
          Tru64 also provides sysconf functionality to retrieve number
          of cpu's. Implemented ACE_OS::num_processors() and
          ACE_OS::num_processors_online() for Tru64 (Digital Unix)

        * tests/OS_Test.cpp:
          Corrected copy/paste error

Thu Aug 26 11:54:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OS_Test.cpp:
          Added test for ACE_OS::num_processors() and
          ACE_OS::num_processors_online()

Thu Aug 26 09:23:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          I know we are working on footprint, but stating that an entire
          build of ACE/TAO could use more than 2MB of diskspace is an
          understatement ;-). Updated this to could use more than 4GB of
          diskspace, which is something we have seen on the 64 bit systems.
          Also updated the peak memory usage from 256Mb to 512Mb, the
          Notification Service is a very memory consuming services when
          being build.

Thu Aug 26 09:16:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated instructions to build SSL with Borland C++, no OpenSSL
          patch is necessary anymore and now MPC must be used. Updated HPUX
          supported platforms.

Thu Aug 26 07:58:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * ace/config-linux-common.h:

          Included check on defined(__alpha) for correctly setting 64 bit
          format specifiers.

        * examples/Threads/cancel.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Benchmark_Performance.cpp:

          Fixed 64 bit conversion warnings.

Thu Aug 26 06:47:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Auto_Ptr.h:
          Readded disappeared include of post.h

Wed Aug 25 23:31:02 2004  Chris Cleeland  <cleeland_c@ociweb.com>

        * include/makeinclude/platform_linux.GNU:

          Fixed an error caused by a misplaced newline in Rich's previous
          commit.

        * include/makeinclude/platform_sunos5_sunc++.GNU:

          Brought over the following changes from OCITAO 1.3a.
          Added -ladm to LIBS.  This is needed for SunOS 5.6 for
          resolving symbols for regular expression processing (e.g.,
          compile, step), and does not appear to cause a problem on
          later version of SunOS.

          Change directory that is argument to ld's '-R' to use the new
          $ACE_ROOT/lib directory rather than $ACE_ROOT/ace.

Wed Aug 25 21:10:37 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Fixed tipo introduced by:
          Mon Aug 23 23:23:18 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

Wed Aug 25 17:33:47 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Removed ACE_NTRACE definition.  It slipped in again.

Wed Aug 25 16:00:11 2004  Chris Cleeland  <cleeland_c@ociweb.com>

        * ace/Auto_Ptr.h:
        * ace/Auto_Ptr.inl:

          Added new ACE_Auto_Ptr which can be used more portably than
          auto_ptr even with the ACE auto_ptr workarounds. Specifically,
          this obviates the need for the ACE_AUTO_PTR_RESET macro, and
          will have better performance than the pre-standard auto_ptr that
          comes with VC6.

Wed Aug 25 14:58:51 2004  Rich Seibel <seibel_r@ociweb.com>

      * include/makeincludes/platform_linux.GNU:
        Generalized the way the rt library is searched.  The
        previous code did not find it on RedHat AS 3.0 for opteron.

Wed Aug 25 14:49:11 2004  Rich Seibel <seibel_r@ociweb.com>

        * ace/Basic_Types.h:
        added __x86_64 to long double to satisy opteron.

Wed Aug 25 11:15:33 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ACE-INSTALL.html:

          Updated ACE_SSL library build notes to refer to MPC, i.e. the
          proper way to add ACE_SSL support to GNUmakefiles and MSVC++
          workspace/project files.  Thanks to Johnny for pointing out that
          the documentation was out of date.

          Wrap the "Last modified" line within an Emacs "hhtms" block to
          allow Emacs to automatically update the date and time this file
          was last modified.

Wed Aug 25 11:46:49 2004  Steve Huston  <shuston@riverace.com>

        * ace/os_include/sys/os_pstat.h: If ACE_HAS_SYS_PSTAT_H, include
          <sys/param.h> and <sys/pstat.h> (not <time.h>) as directed by
          HP-UX man page. HP-UX 11 is the only config that sets this.

Wed Aug 25 08:46:02 2004  Chad Elliott  <elliott_c@ociweb.com>

        * include/makeinclude/wrapper_macros.GNU:

          Fixed the ace_filecache misspelling.

Wed Aug 25 08:38:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_unistd.inl (rmdir): Removed the ACE_USES_WCHAR case from
          the char* version of this method.

Wed Aug 25 09:36:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Minor updates to Cygwin notes

Wed Aug 25 09:04:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_pstat.h:
          Corrected incorrect doxygen file tag

Wed Aug 25 08:47:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * ace/config-lite.h:

          Introduced new macro ACE_HAS_PROCESS_SPAWN to be able to do
          better checks for availability of subprocessing than is
          possible with ACE_LACKS_FORK. See [Bug 1793].

        * tests/MEM_Stream_Test.cpp:
        * tests/Malloc_Test.cpp
        * tests/SOCK_Dgram_Bcast_Test.cpp

          Changed to use new ACE_HAS_PROCESS_SPAWN macro to test for
          subprocessing capabilities. See [Bug 1793].

Wed Aug 25 01:19:03 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Add checks for ACE_HAS_SYS_PSTAT_H and ACE_HAS_SYS_LOADAVG_H.

Wed Aug 25 08:17:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_hpux_aCC.GNU:
          The warnings disabled in this file are for major version 03 of aCC
          only (PA-RISC), for version 05 (Itanium), disable 1016 and 1031,
          these are binary incompatible warnings.

Wed Aug 25 07:12:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_loadavg.h:
        * ace/os_include/sys/os_pstat.h:
          New files to include sys/loadavg.h and sys/pstat.h when
          ACE_HAS_SYS_LOADAVG_H and ACE_HAS_SYS_PSTAT_H is set

        * ace/config-hpux-11.00.h:
          HPUX has sys/pstat.h, so added define ACE_HAS_SYS_PSTAT_H

        * ace/README:
          Documented ACE_HAS_SYS_LOADAVG_H and ACE_HAS_SYS_PSTAT_H

        * ace/OS.h:
          Removed including of sys/pstat.h, it is really not needed here

        * ace/OS_NS_unistd.cpp:
          Instead of including sys/pstat.h include os_include/sys/os_pstat.h

Wed Aug 25 07:04:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_hpux_aCC.GNU:
          Changed CXXVERS to CXXMINORVERS and added CXXMAJORVERS,
          we just compare minor version at this moment, but we really
          should also check major vers soon, major version 3 is aCC
          on PARISC, version 5 is on Itanium. Changed the way we
          detect itanium to a portable way that works with all
          HPUX versions.

Tue Aug 24 19:59:18 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Fixed typo in last change, add back typedef for ACE_UINT64.

Tue Aug 24 19:32:07 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Removed extraneous cruft left over from autoheader generated
          file.  Added conditional support for NetBSD/AMD64.

Tue Aug 24 15:03:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.inl (thread_mutex_init): Fixed wchar_t version to
          pass a 0 sa value. Corrects the passing of the lock_type value
          through to ACE_OS::mutex_init(), restoring behavior of recursive
          mutexes.

Tue Aug 24 14:07:22 2004  Steve Huston  <shuston@riverace.com>

        Changes to improve the functionality of wide-char operation on
        non-Windows platforms:

        * ace/ace_wchar.h: If ACE_HAS_XPG4_MULTIBYTE_CHAR is defined, but not
          ACE_HAS_WCHAR, set ACE_HAS_WCHAR.

        * ace/ACE.cpp (timestamp): Use ACE_TCHAR for temp char arrays,
          not char. If ACE_USES_WCHAR on non-Windows, use %ls for printf
          strings, not %s.

        * ace/ARGV.cpp (constructor): Replaced most of the body with a call
          to ACE_OS::argv_to_string().

        * ace/Basic_Types.h:
        * ace/Cleanup.h:
        * ace/Object_Manager_Base.h:
        * ace/OS_NS_string.h:
        * ace/os_include/os_float.h:
        * ace/os_include/os_inttypes.h:
        * ace/os_include/os_limits.h:
        * ace/os_include/os_signal.h:
        * ace/os_include/os_stdint.h:
        * ace/os_include/os_stdlib.h:
        * ace/os_include/os_time.h:
        * ace/os_include/os_ucontext.h:
        * ace/os_include/os_unistd.h:
        * ace/os_include/sys/os_ipc.h:
        * ace/os_include/sys/os_mman.h:
        * ace/os_include/sys/os_msg.h:
        * ace/os_include/sys/os_resource.h:
        * ace/os_include/sys/os_select.h:
        * ace/os_include/sys/os_sem.h:
        * ace/os_include/sys/os_shm.h:
        * ace/os_include/sys/os_socket.h:
        * ace/os_include/sys/os_stat.h:
        * ace/os_include/sys/os_statvfs.h:
        * ace/os_include/sys/os_timeb.h:
        * ace/os_include/sys/os_time.h:
        * ace/os_include/sys/os_times.h:
        * ace/os_include/sys/os_types.h:
        * ace/os_include/sys/os_uio.h:
        * ace/os_include/sys/os_un.h:
        * ace/os_include/sys/os_utsname.h:
        * ace/os_include/sys/os_wait.h: #include "config-lite.h" rather than
          "config-all.h". Only need the user config.h and "lite" things.
          Including config-all.h introduces a circular include
          dependency from OS_main.h.

        * ace/Default_Constants.h: Add ACE_LIB_TEXT() to ACE_DEFAULT_SVC_CONF
          strings.

        * ace/Env_Value_T.i (fetch_value): For non-Win32, force the env var
          name to narrow-char then convert the result back to ACE_TCHAR.

        * ace/FILE_Connector.cpp (connect): When generating a temp name,
          convert it to ACE_TCHAR for ACE_FILE_Addr.

        * ace/Get_Opt.cpp (constructor): When checking for POSIXLY_CORRECT,
          must always use char *, not ACE_TCHAR*, on non-Win32.

        * ace/High_Res_Timer.cpp: Added ACE_LIB_TEXT to naked string literals.
          Use 'char' when it must be narrow char; ACE_TCHAR when it has to
          change based on ACE_USES_WCHAR.

        * ace/Lib_Find.cpp (ldfind, get_temp_dir): Environment variables on
          non-Windows are always narrow char, so account for that.

        * ace/Log_Msg_UNIX_Syslog.cpp: Operate internally with all narrow
          chars because the underlying OS APIs are only narrow char.

        * ace/Log_Msg.cpp (log): For 'D', 'M', 'm', 'N', and 'p', use the
          proper 's' format code for the platform/char width. Similar to
          Log_Record.cpp below.

        * ace/Log_Msg.h (ACE_ASSERT): Convert __FILE__ name to proper char
          width when necessary.

        * ace/Log_Record.cpp: When formatting log strings, have to change
          printf formats if using wide chars on non-Windows. Wide-char
          strings are printed with %ls, whereas Windows uses %s for
          wide-char strings if the format is wide-char.

        * ace/Memory_Pool.cpp (ctor): Change backing_store_name to narrow
          char when needed to pass it to sscanf().

        * ace/Object_Manager_Base.cpp (print_error_message): Add
          ACE_TEXT_ALWAYS_CHAR to the message arg to convert on wide-char
          builds.

        * ace/OS_main.h: For ACE_MAIN on non-Windows ACE_USES_WCHAR platforms,
          convert the argv to wchar_t, and pass the wide-char strings to the
          ACE_TCHAR[]-expecting real main program.

        * ace/OS_NS_dirent.inl (opendir): Moved the const_cast-needing
          VxWorks part to its own #elif section. Added ACE_TEXT_ALWAYS_CHAR
          to the other invocation of ::opendir().

        * ace/OS_NS_dlfcn.inl (dlerror, dlopen, dlsym): Corrected use of
          narrow/wide-char.

        * ace/OS_NS_stdio.inl (cuserid, fdopen, freopen): Don't use
          ACE_TCHAR when a char is always needed.
          (fgets, fputs, perror, puts): Changed to have both narrow- and
          wide-char variants.
          (checkUnicodeFormat): Use a platform-neutral 2-byte type to
          read 2 bytes. Need a non-Windows 'whence' arg for fseek().
          (vsprintf (wchar_t)): Added the non-Windows, XPG5 code for this to
          use the XPG5 vswprintf() when equippped.

        * ace/OS_NS_stdlib.{h inl cpp}:
          (ACE_OS::mktemp() and mkstemp()): Changed to have both narrow-
          and wide-char variants for the !ACE_LACKS_MKTEMP case.
          Offering both for the ACE_LACKS_MKTEMP case is a low-return
          use of time since the wide-char variant will probably never be used.
          (strenvdup): Handle ACE_USES_WCHAR on non-Windows by converting
          back and forth to narrow-char.
          (system): On non-Windows, convert command line string to narrow-char.
          (getcwd): Changed to have both narrow- and wide-char variants.

        * ace/OS_NS_sys_stat.inl (creat, mkfifo): For non-Windows, convert
          name to narrow-char when needed.
          (lstat): Change from a single ACE_TCHAR-based interface to both
          char* and wchar_t*.

        * ace/OS_NS_time.inl (ctime, ctime_r): Corrected narrow/wide char
          usage.

        * ace/OS_NS_unistd.inl (truncate): For non-Windows, convert the path
          to narrow-char when needed.
          (realpath): Changed to have both narrow- and wide-char variants.

        * ace/OS_NS_unistd.{h inl cpp}:
          (rmdir): Changed to have both narrow- and wide-char variants.
          (argv_to_string): Handle narrow and wide-char environment variables.
          (fork_exec): Convert path and argv to narrow-char when needed.

        * ace/Process.cpp (spawn): Convert argv, procname, env vars to narrow
          char for non-Windows wide-char builds.

        * ace/Process.i (setreugid): Convert user name to narrow char for
          getpwnam().

        * ace/Process_Mutex.cpp (ctor): Don't convert name to ACE_TCHAR for
          ACE_SV_Semaphore case - it requires char*.

        * ace/Process_Semaphore.cpp (ctor): Convert name to narrow char
          for ACE_SV_Semaphore_Complex case.

        * ace/Sock_Connect.cpp (get_bcast_addr):
        * ace/SOCK_Dgram_Bcast.cpp (mk_broadcast): Host name needs to be
          converted to narrow-char for wide-char builds.

        * ace/SOCK_Dgram_Mcast.cpp (make_multicast_ifaddr): Interface name
          needs to be converted to narrow-char for wide-char builds.

        * ace/SV_Semaphore_Simple.{h,i,cpp}: Added wide-char versions of
          the named constructor and open() methods. They forward to the
          narrow-char versions.

        * tests/Dirent_Test.cpp: Account for dirent's d_name is an ACE_TCHAR
          when ACE_LACKS_STRUCT_DIR and a char* otherwise.

        * tests/FIFO_Test.cpp: Change ACE_ALPHABET to char[].

        * tests/Proactor_Test.cpp: Change complete_message from ACE_TCHAR
          to char. This is easier to handle; as ACE_TCHAR, we'd need to
          correct all the message block pointer adjustments to take the
          charset width into account.

        * tests/Log_Msg_Test.cpp:
        * tests/MEM_Stream_Test.cpp:
        * tests/Message_Queue_Test.cpp:
        * tests/Pipe_Test.cpp:
        * tests/Process_Manager_Test.cpp:
        * tests/Process_Mutex_Test.cpp:
        * tests/Process_Strategy_Test.cpp:
        * tests/Signal_Test.cpp:
        * tests/SOCK_Connector_Test.cpp:
        * tests/SOCK_Dgram_Test.cpp:
        * tests/SOCK_Send_Recv_Test.cpp:
        * tests/SOCK_Test.cpp:
        * tests/SV_Shared_Memory_Test.cpp: Char width correction.

        * tests/Service_Config_Test.cpp:
        * tests/Service_Config_Test.WCHAR_T.conf:
        * tests/Service_Config_Test.WCHAR_T.conf.xml: Added WCHAR_T-coded
          versions of the test input file and changed the test to use
          them on non-Windows ACE_USES_WCHAR builds.

        * tests/Test_Output.cpp (set_output): Handle env var and filepath
          building correctly even on wide-char non-Windows builds.

        * ACEXML/common/XML_Types.h: typedef ACEXML_Char as ACE_TCHAR, else
          it doesn't match any char interfaces when wchar_t is not 2 bytes.

        * ACEXML/parser/parser/Parser.cpp (parse_char_reference): Add the
          case where wide-char is 4 bytes.

        Also brought in this fix:
        Mon Mar  8 15:52:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Proactor.cpp: Comment out the signal setup; this should
          not be necessary and, indeed, is erroneous, at least on Linux.
          It's commented out instead of removed in case further testing on
          other platforms determines that it is needed sometimes.

Tue Aug 24 10:22:18 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-linux-common.h: Added ACE_HAS_SCANDIR and a new
          macro, ACE_SCANDIR_CMP_USES_VOIDPTR, saying that scandir()
          cmp() function takes void pointers, not dirent pointers.

        * ace/OS_NS_dirent.inl (scandir): When calling native scandir()
          with ACE_SCANDIR_CMP_USES_VOIDPTR, cast comparator appropriately.
          Also, for native scandir(), ACE_TEXT_ALWAYS_CHAR the dirname.

        * ace/OS_NS_dlfcn.inl:
        * tests/Test_Output.cpp: Added #include "ace/OS_NS_string.h" to get
          ACE_OS string methods. Fixes compile error on inline=0 build.

Tue Aug 24 11:16:00 2004  Jules White   <jules@dre.vanderbilt.edu>

        * ACE-INSTALL.html: Added a section on using ACE within Eclipse

Tue Aug 24 10:10:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-all.h: Moved #include "ace/OS_main.h" down to the bottom
          of the file, lest it invoke a circular dependency.

        * ace/OS_NS_stdlib.inl: Added #include "ace/config-all.h" to get
          ACE_TRACE.

Mon Aug 23 23:23:18 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * Makefile.am (AUTOMAKE_OPTIONS):

          Removed required Automake version from `Makefile.am'.
          `configure.ac' already defines it.

        * configure.ac:

          Updated required version of Automake to 1.9.

          Added test for partial template specialization.  Issue a warning
          if it isn't support by the compiler since ACE will require it in
          the near future.

        * ace/ACE.h:

          Corrected ACE namespace documentation to describe the ACE
          namespace itself rather than summarizing the contents of this
          header (i.e. the value added global ACE functions).

        * ace/If_Then_Else.h:

          Doxygen documentation corrections and improvements.

Mon Aug 23 22:19:16 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/CDR_Test.cpp (run_main):

          Added run-time assertions that verify proper CDR type sizes
          (e.g. sizeof (ACE_CDR::Boolean) == 1).

Mon Aug 23 19:18:58 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Removed autoheader template for ACE_LACKS_PARAM_H.

Mon Aug 23 18:33:40 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added check for ACE_HAS_ITOA.
          Added check for ACE_LACKS_ITOW.

Mon Aug 23 18:22:25 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-dgux-4.11-epc.h
        * ace/config-dgux-4.x-ghs.h
        * ace/config-freebsd.h
        * ace/config-lynxos.h
        * ace/config-m88k.h
        * ace/config-macosx-panther.h
        * ace/config-macosx.h
        * ace/config-openbsd.h
        * ace/config-sunos4-g++.h
        * ace/config-sunos4-lucid3.2.h
        * ace/config-sunos4-sun3.x.h
        * ace/config-sunos4-sun4.1.4.h
        * ace/config-sunos4-sun4.x.h
        * ace/config-sunos5.4-centerline-2.x.h
        * ace/config-sunos5.4-g++.h
        * ace/config-sunos5.4-sunc++-4.x.h
        * ace/config-sunos5.5.h
        * ace/config-tandem.h
        * ace/config-unixware-2.01-g++.h
        * ace/config-unixware-2.1.2-g++.h
        * ace/config-unixware-7.1.0.h
        * ace/config-unixware-7.1.0.udk.h
        * ace/os_include/os_stropts.h

          Changed name of feature test macro ACE_HAS_SOCKIO_H to
          ACE_HAS_SYS_SOCKIO_H.

Mon Aug 23 17:41:40 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:
        * m4/platform.m4:

          Removed support for unused ACE_NETBSD feature test macro.

Mon Aug 23 17:37:16 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/platform.m4:

          Add check for ACE_LACKS_PERFECT_MULTICAST_FILTERING.

Mon Aug 23 16:33:59 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Remove PACKAGE, PACKAGE_*, and VERSION definitions.  The latter
          conflicts with some of the test/example programs.  I'll get rid
          of the others just to be safe.

          Comment out ACE_NTRACE, as the constant definition conflicts
          with Misc_test_trace.  We probably need an option to control
          whether tracing and debugging features are enabled when ACE/
          TAO is compiled that is separate from the one used after it
          has been built.

Mon Aug 23 16:06:39 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Added checks for ACE_HAS_VWFPRINTF and ACE_HAS_VWSPRINTF.

Tue Aug 24 00:34:30 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/QtReactor.cpp:
        Removed unecessary #include <qeventloop.h>. Thanks to
        Gan Deng <gan.deng@vanderbilt.edu> for a patch.


Mon Aug 23 17:53:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_hpux_aCC.GNU:
          Added support for itanium on HPUX 11iv2 (11.23). Different options
          have to be passed when on itanium, so when version 11.23 is detected,
          set itanium to 1 and dependent on that set different compiler options.

Mon Aug 23 16:58:18 UTC 2004  Don Hinton  <don.hinton@vanderbilt.edu>

        * include/makeinclude/rules.local.GNU:
          Added CCFLAGS to the list of arguments passed to the dependency
          generator.  Thanks to Matthew Townsend <mtownsen@harris.com>
          for reporting the problem.

        * THANKS:
          Added Matthew Townsend to the hall of fame.

Mon Aug 23 08:34:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-hpux11.h:
          Removed this file from the repo, use config-hpux-11.00.h instead,
          the contents of this file refers to config-hpux11-xx.h files
          which are not there, making this file unusable.

Sun Aug 22 21:49:14 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-netbsd.h:

          Update with autoconf generated results.  While not perfect, the
          old version would be difficult to update by hand.

Mon Aug 23 01:04:34 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Select_Reactor_T.cpp:

          Made some slight changes to the BUG 1890 patch after receiving
          some clarifications from Kobi.

Sun Aug 22 11:11:00 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/amh.mpb:
          When using amh, you must have valuetype support, so add valuetype
          as base project of amh

Sun Aug 22 09:53:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * tests/MEM_Stream_Test.cpp:

          Changed to remove compile warning resulting from bad use
          of ACE_UNUSED_ARG().

Fri Aug 20 15:29:29 MST 2004  Trevor Fields  <fields_t@ociweb.com>

         * bin/auto_run_tests.pl:
         * tests/run_test.pl:
           Changed the run test scripts to time the execution
           and print test finished messages.  This for the
           generation of statistics.

Fri Aug 20 15:10:08 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/core.mpb:

          Changed to define INSTALL_THIS_TARGET for automake builds.

        * bin/MakeProjectCreator/config/taodefaults.mpb:

          Changed to add $(TAO_BUILDDIR) to includes for automake builds.

        * bin/MakeProjectCreator/config/acedefaults.mpb:

          Changed to add $(ACE_BUILDDIR) to includes for automake builds.

Fri Aug 20 12:17:39 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Added check for ACE_SIZEOF_WCHAR.

Fri Aug 20 16:13:29 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.cpp:
        * ace/TSS_T.cpp:
          Revert.  It triggers (or causes) an intermittent problem
          in the Timer_Cancellation_Test

Fri Aug 20 10:22:34 2004  Dale Wilson  <wilson_d@ociweb.com>

        * TAO/tests/MT_Client/client.cpp:
          Revert this.  It wasn't supposed to be included in my previous
          check in. (Thu Aug 19 12:42:19 2004)

Fri Aug 20 15:20:31 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        Fixes for Bug 1890. Please see

        http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1890

        for details of this bug. What follows are the individual changes.

        * ace/Select_Reactor_Base.cpp:
        * ace/Select_Reactor_Base.h:

          Added a new method clear_dispatch_mask (), which as the name
          indicates clears the masks in the dispatch_set. The dispatch set
          is a new addition, which keeps track of the handles that can be
          used for dispatching.

        * ace/Select_Reactor_Base.inl:
        * ace/Select_Reactor_T.cpp:
        * ace/Select_Reactor_T.h: Modified dispatch_io_set () so that it
          doesn't break the loop when state_changes occur. This is the
          crux of the 1890 bug report. If unbinding occurs as part of an
          upcall, the bit_ops () calls clear_dispatch_mask (), which
          prevents dispatching to already removed (and potentially
          rebounded) handles.

          Additional cosmetic changes.

        * ace/Priority_Reactor.cpp:
        * ace/Priority_Reactor.h:
        * ace/TP_Reactor.cpp:
        * ace/TP_Reactor.h:
        * ace/TP_Reactor.inl:

          Replicate changes to the above reactors.

        * ace/Signal.h:
        * ace/Signal.inl:

          Added a default argument to the ACE_Signal class, which is used
          by the ACE_Select_Reactor.

          Thanks to Kobi for the patches.

Fri Aug 20 14:26:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * tests/Process_Mutex_Test.cpp:

          Changed to use a separate logfile per child (based on PID like
          in MEM_Stream_Test) because of concurrency problems in using a
          single non-synchronized child logfile (at least under windows).

Fri Aug 20 14:10:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * tests/MEM_Stream_Test.cpp:

          Changed to use child processes instead of threads for testing.
          See also [Bug 1793].

Fri Aug 20 07:47:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * bin/bin/MakeProjectCreator/templates/gnu.mpd:

          Added $(EXEEXT) to BIN build target.
          Removed from $(EXEEXT) from install and cleanup target
          because these are derived from build target.
          This improves link behaviour (disables unnecessary links
          because dependency checks on build targets did not function)
          on platforms using GNU make and having a executable extension
          (like MingW; .exe).
          Fixes [Bug 1876].

        * apps/gperf/tests/tests.mpc:

          Added $(EXEEXT) to verbatim 'runtests' targets because
          otherwise dependencies on build targets do not function
          anymore.

Thu Aug 19 16:45:05 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/security.mpb:

          Changed to inherit from orbsvcslib.

Thu Aug 19 12:42:19 2004  Dale Wilson  <wilson_d@ociweb.com>

        * TAO/tests/MT_Client/client.cpp:

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.cpp:
        * ace/TSS_T.cpp:
        Repeat part of the checkin from Fri Aug 13 15:26:40 2004
        This corrects the incorrect thread-in-use count problem
        that leads to premature TSS key deletion, but does not fix
        the TSS leak because fixing that reveals other problems
        that I don't have a solution for, yet.

Thu Aug 19 08:26:11 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * apps/drwho/Rwho_DB_Manager.h:

          Changed to #include <sys/types.h> before <protocols/rwhod.h>,
          as the latter needs the former on some systems.

Thu Aug 19 08:07:53 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/APG/Signals/SigAction.cpp:

          Changed to use a (conditional) extern "C" linkage block around
          my_sighandler, because the plain extern "C" directive resulted
          in a declaration with multiple storage classes.

Thu Aug 19 08:44:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * PROBLEM-REPORT-FORM:
          Ask for the default.features file used by MPC.

Wed Aug 18 21:02:34 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.cpp:
        * ace/Object_Manager.cpp:
        * ace/TSS_T.cpp:
          Revert TSS leak fix (temporarily, I hope)
          until I can find and eliminate the hang.

Wed Aug 18 15:07:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * bin/msvc_static_compile.pl:
          bin/msvc_mpc_auto_compile.pl:

        Fixed wrong comment characters.

Wed Aug 18 13:35:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * bin/msvc_static_compile.pl:

        Added support for building VC8 projects.

Wed Aug 18 13:29:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:

        Added support for building VC8 projects.

Wed Aug 18 08:50:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>

        * ace/Asynch_Connector.h:
        * ace/Asynch_Connector.cpp:

          Thanks to Douglas for his assistance. This change introduces a
          class-static "local_default" for use as the default parameter
          for the second attribute of
          ACE_Asynch_Connector<>::connect(). This "simplifies" the nested
          templated class for the Solaris Lynxos GCC295 cross compiler
          which was faulting due to the complexity of this
          definition. This change does not appreachiably modify the
          signature of the member function, just stops clients from having
          to create their own local default parameter.

Wed Aug 18 01:05:37 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * include/makeinclude/platform_netbsd.GNU:

          Update to support current NetBSD platforms.

Tue Aug 17 21:03:08 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/interceptors.mpb:

          New file, with base project requiring interceptors.  Project
          files should inherit from this instead of providing explicit
          requires statements to eliminate duplicate entries in list.

Tue Aug 17 17:42:16 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/rtcosscheduler.mpb:

          Changed to inherit from orbsvcslib.

Tue Aug 17 09:50:46 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_servant.mpb:
        * bin/MakeProjectCreator/config/ciao_servant_dnc.mpb:

          Added the path to $TAO_ROOT/orbsvcs to the CIDL compiler.

Tue Aug 17 14:30:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>
        * tests/Proactor_Test.cpp
          Revertion of change to this file (for the sake of being complete).

Tue Aug 17 13:00:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>
        * ace/Asynch_Connector.h
          Revertion of change to this file as it breaks the windows build and
          changed the public interface of the template class.

Tue Aug 17 10:03:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * ace/ACE.cpp:

          Added ACE_UNUSED_ARG() to is_sock_error() for non-WIN32
          builds.

Tue Aug 17 09:43:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * bin/msvc_static_order.lst:

          Removed DOS style linefeeds.

Tue Aug 17 08:49:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * ace/OS_NS_String.cpp:

          Removed some hidden characters causing compile problems.

Tue Aug 17 08:00:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>
        * ace/Asynch_Connector.h
        * tests/Proactor_Test.cpp
          Due to a long standing fatal cross development compiler bug in the
          Solaris -> Lynxos cross development environment.
          (LynxOS gcc 2.95.3 cross compiler)

Tue Aug 17 08:00:00 UTC 2004  Martin Corino <mcorino@remedy.nl>

        * ace/ACE.h:
          ace/ACE.cpp:

          Added ACE::is_sock_error() to be able to test if errorcode is
          WinSock error *before* converting to error string.

        * ace/OS_NS_String.cpp:

          Fixed WCHAR bug in ACE_OS::strerror().
          Introduced use of ACE::is_sock_error().

Mon Aug 16 22:53:53 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/SSL/SSL_SOCK_Stream.cpp (~ACE_SSL_SOCK_Stream):

          Removed useless invalidation of "ssl_" pointer member by
          assignment of zero.  Once the destructor is called, the object
          no longer exists so invalidation is unnecessary.

Mon Aug 16 16:54:18 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/ftorbutils.mpb
        * bin/MakeProjectCreator/config/smart_proxies.mpb
        * bin/MakeProjectCreator/config/svc_utils.mpb

          Changed to inherit from orbsvcslib instead of taolib_with_idl.

        * bin/MakeProjectCreator/config/orbsvcslib.mpb:

          Added $(TAO_ROOT)/orbsvcs to includes.
          Added -I$(TAO_ROOT)/orbsvcs to idlflags.

Mon Aug 16 15:58:21 2004  Steve Huston  <shuston@riverace.com>

        * ace/Signal.cpp: Added template instantiations for
          ACE_Fixed_Set_Iterator_Base. Related to:
          Mon Aug  2 08:55:17 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

Mon Aug 16 15:30:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/Task.cpp (svc_run): Added "defined (ACE_WIN32)" to the
          "defined (__IBMCPP__)" test for how to cast a thread result.
          __IBMCPP__ is defined for both Windows (where the alternate cast
          is needed) and AIX (where it is prohibited).
          This is related to this change:
          Fri Aug  6 08:34:12 UTC 2004  Johnny Willemsen  <jwillemen@remedy.nl>

Mon Aug 16 11:54:50 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/ACE.h (debug):

          Corrected the export qualifier for these functions.  They are no
          longer inlined.

Mon Aug 16 11:16:02 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/ACE.h:

          Moved remaining ACE namespace variables out of header and into
          the '.cpp' file.  They should not be accessed/modified
          directly.

        * ace/ACE.inl (hex_chars_, nibble2hex):

          No need to declare/define the hex_chars_ constant variable in
          the ACE namespace.  Define it as a static constant in the
          nibble2hex() function instead, the only place it is used.

        * ace/ACE.cpp (debug):

          Unlined these functions.  They generally aren't performance
          critical, and doing so allows us to remove the ACE::debug_
          internal variable to the '.cpp' file.

Mon Aug 16 11:16:02 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/ACE.h:
        * ace/ACE.cpp:

          Added remaining missing DLL export qualifiers.  Fixes
          "unresolved external symbol" errors in MS Windows builds.

          Moved variables in ACE namespace that are internal to ACE into
          the '.cpp' file.  They should be not be accessed or modified
          directly.

Mon Aug 16 10:58:09 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/ACE.h (recv):

          Fixed DLL export qualifier.  Addresses "unresolved external
          symbol" link-time errors in MS Windows builds.

Mon Aug 16 12:14:37 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_deployment_stub.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_svnt.mpb:
        * bin/MakeProjectCreator/config/ciao_server_dnc.mpb:

          Changed the names of the Deployment libraries. Arranged the
          dependencies in such a manner so that it is easier to use it in
          the application.

Mon Aug 16 09:27:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:

           Added MSVC 7.1 compatibility through '-vc7' option.

        * bin/msvc_static_compile.pl:

          Added MSVC 7.1 compatibility through '-vc7' option. Added
          support for MPC '-name_modifier' option.

        * bin/msvc_static_compile.lst:

          Removed projectfile extensions to be able to generate these
          dynamically from 'msvc_static_compile.pl'.

Sat Aug 14 19:38:20 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/CDR_Base.h:

          Do not include "ace/If_Then_Else.h" when using MSVC++ 6.  It
          can't handle the partial template specializations in that file.

Sat Aug 14 19:34:02 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Sock_Connect.cpp (ipv6_enabled_):

          Fixed syntax error.

Sat Aug 14 13:07:50 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/QoS/SOCK_Dgram_Mcast_QoS.cpp (subscribe_ifs):

          The "ACE_Sock_Connect" interim pseudo namespace no longer
          exists.  Use the true "ACE" C++ namespace instead.  Fixes a
          compile-time error.

Sat Aug 14 14:48:01 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Add /usr/lib as a path for library check. If the location of the
          library is not specified by the application, the compiler,
          linker and loader knows where to look in for *nix based
          systems. So should our library checker.Without this applications
          MPC file starts pointing to /usr/lib to locate libraries like
          PCAP and XERCES, which can be installed with system
          libraries. It is bad to see installation specific thingies
          making its way up the order.

Sat Aug 14 09:28:19 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/CDR_Base.h (ACE_CDR::Boolean):

          MSVC++ 6 can't handle partial template specializations so fall
          back on an unsigned char typedef if _MSC_VER < 1300 (i.e. MSVC++
          version is less than 7).  This is an interim solution to get the
          MSVC++ 6 builds going again.

        * ace/IfThenElse.h:
        * ace/If_Then_Else.h:

          Renamed the former to the latter, including the class template
          defined within, to match ACE naming conventions.  Thanks to Doug
          for pointing this out.

Sat Aug 14 01:43:16 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/CDR_Base.h (ACE_CDR):

          Parenthesize boolean condition that is the first argument to the
          ACE::IfThenElse<> template to avoid any potential confusion.

Sat Aug 14 00:33:59 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/IfThenElse.h (IfThenElse):

          Place sample code within a Doxygen code block.  Addresses some
          documentation formatting problems.

Fri Aug 13 23:26:56 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/IfThenElse.h:

          New template that allows one to choose between two types at
          compile-time based on a boolean value.  This is basically the
          IfThenElse template described in the book "C++ Templates" by
          Vandevoorde and Josuttis.

        * ace/CDR_Base.h (ACE_CDR::Boolean):

          Detect at compile-time whether the C++ "bool" type can be used
          as the underlying ACE_CDR::Boolean type using the new
          ACE::IfThenElse template.

        * ace/ACE.h:
        * ace/Flag_Manip.cpp:
        * ace/Flag_Manip.h:
        * ace/Flag_Manip.inl:
        * ace/Handle_Ops.cpp:
        * ace/Handle_Ops.h:
        * ace/Init_ACE.cpp:
        * ace/Init_ACE.h:
        * ace/Lib_Find.cpp:
        * ace/Lib_Find.h:
        * ace/Sock_Connect.cpp:
        * ace/Sock_Connect.h:

          Functions that were in the pseudo "ACE" namespace are now in a
          true "ACE" C++ namespace.

        * ace/ACE.inl (log2):

          Use the prefix increment operator when incrementing the loop
          index.  It is generally more efficient than the postfix
          increment operator.

        * ace/Asynch_Acceptor.cpp:
        * ace/Asynch_Connector.cpp:
        * ace/DEV_Connector.cpp:
        * ace/DLL_Manager.cpp:
        * ace/FILE_Addr.cpp:
        * ace/FILE_Connector.cpp:
        * ace/INET_Addr.inl:
        * ace/IO_SAP.cpp:
        * ace/IPC_SAP.cpp:
        * ace/Logging_Strategy.cpp:
        * ace/MEM_Acceptor.cpp:
        * ace/Memory_Pool.cpp:
        * ace/Naming_Context.cpp:
        * ace/POSIX_Asynch_IO.cpp:
        * ace/POSIX_Proactor.cpp:
        * ace/SOCK_Acceptor.cpp:
        * ace/SOCK_Dgram.cpp:
        * ace/SOCK_Dgram_Mcast.cpp:
        * ace/SOCK_SEQPACK_Acceptor.cpp:
        * ace/SPIPE_Connector.cpp:
        * ace/System_Time.cpp:
        * ace/UPIPE_Connector.cpp:
        * tests/Enum_Interfaces_Test.cpp:
        * tests/FIFO_Test.cpp:
        * tests/INET_Addr_Test.cpp:
        * tests/INET_Addr_Test_IPV6.cpp:

          Updated all calls to functions that were in the pseudo "ACE"
          namespace through a former ACE class base class
          (e.g. ACE_Sock_Connect, ACE_Flag_Manip, etc) to use the correct
          "ACE" namespace.  Use of the base class names should never have
          been used since it was known long ago that the "ACE" pseudo
          namespace would be changed to true C++ namespace.

        * ace/Basic_Types.h:
        * ace/OS_NS_fcntl.inl:
        * ace/OS_NS_stdio.h:
        * ace/OS_NS_stdlib.h:

          Nuked trailing whitespace.

Sat Aug 14 03:44:02 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/TSS_T.cpp:

          Fixed compilation errors in the SingleThreaded builds.

Sat Aug 14 03:37:44 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.cpp:

          Fixed a unused variable warning in the daily builds.

Sat Aug 14 01:58:32 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Release:

          Added the NEWS file to the release. Thanks to Ramiro Morales
          <rm0 at gmx dot net> for reporting the problem.

Fri Aug 13 16:17:32 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Module.h (class ACE_Module):
        * ace/Task.h (ACE_Task_Base):
          Updated the documentation so it's more clear.  Thanks to Andrew
          Athan <aathan-ace-bugs-1524@cloakmail.com> for motivating this.

        * ace/Stream.h: Updated the documentation for push() and pop() to
          clarify how it affects open() and close() hooks on the tasks.
          Thanks to Andrew Athan <aathan-ace-bugs-1524@cloakmail.com> for
          motivating this.

Fri Aug 13 15:26:40 2004  Dale Wilson  <wilson_d@ociweb.com>

        * ace/TSS_T.cpp:
          Pass the TSS key to ACE_OS::thr_key_detach.  This
          eliminates the table lookup formerly required to
          identify the key being detached.

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.cpp:
          --Accept and use the TSS key from TST_T.cpp
          --Typedef the function pointer used to delete TSS
          objects.  This improves readability.
          --Change the name of the ACE_TSS_Info member from
          tss_obj_ to tss_info_.  This avoids confusion
          due to conflicting use of the name "tss_obj"
          --Check to see if a thread has actually used
          a TSS key before decrementing the "number of
          threads using this key" counter.  This eliminates
          a messy situation in which the key is deleted
          while threads are still using it.
          --Fix bugzilla 1542:  Leaks in ACE_TSS
          Note that the patch suggested
          in the bugzilla report did not completely address
          the problem, so this fix takes a different approach.
          Significant features of this change:
          > The ACE_TSS_Cleanup::detach method now frees the
            thread's specified TSS entry.  Formerly it leaked it.
          > The exit method defers to the detach method to
            free the entry. This ensures entries are handled
            consistently -- no matter how they are freed up.
          > The ACE_TSS_Cleanup::in_use_ entry receives special
            handling to avoid using it while deleting it.  Formerly
            it was leaked, so it didn't matter.
          -- Note this does NOT address bugzilla 1797.  I'll
          look at that one next.

        * ace/Object_Manager.cpp:
          Eliminating TSS leaks revealed another problem.  The
          main thread was not waiting for other threads to exit
          before dismantling the ACE infrastructure in
          Object_Manager::fini.  There's a hack in Thread_Manager
          that disables the wait method when the Object_Manager
          is shutting down.
          Unfortunatly this causes a messy race condition in which
          one thread is deleting objects while other threads are
          using them.
          The "solution" here is to call Thread_Manager::wait()
          with a short (1 second) timeout.  If the threads have
          already exited -- no problem, and no delay.  If they
          haven't, they get a chance to exit cleanly.

Fri Aug 13 18:43:01 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/CDR_Base.h (ACE_CDR):

          Reverted the usage of C++ bool as a typedef of
          ACE_CDR::Boolean. We will now use unsigned char on all
          platforms. MacOSX (Panther) atleast makes the size of bool to be
          4 bytes which creates problems for TAO. Thanks to Rich Shapiro
          <rshapiro at bbn dot com> for reporting the problem.

Fri Aug 13 18:44:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/IOStream_T.h:
          When ACE_LACKS_IOSTREAM_FX is defined, also include ace/os_include/
          os_ctype.h

Fri Aug 13 12:03:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Also install pidl files

Fri Aug 13 07:15:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Pass the def file with -Wl, to the compiler, it is a linker option
          and with the Cygwin GCC 3.3.3 it seems the compiler thinks the def
          file is a modula2 file. By marking it as linker option it works
          without problems again

        * etc/*.doxygen:
          Set INTERNAL_DOCS to YES, that way we generate documentation for
          stuff marked with @internal, but doxygen will make sure the
          documentation says it is for internal use only

Thu Aug 12 21:17:05 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/taolib.mpb:
          Inherit from pidl.mpb:

        * bin/MakeProjectCreator/config/pidl.mpb:
          New file, custom file type definition for *.pidl files.

Thu Aug 12 16:12:18 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/fuzz.pl:

          Priority of synch.h inclusion is reduced.

Thu Aug 12 13:23:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
          Use LIBMODIFIER with bmake, not LIB_MODIFIER

Thu Aug 12 07:54:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_hpux_gcc.GNU:
          Removed support for buildbits=64 again, the way I tried it doesn't
          work

Wed Aug 11 22:20:49 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/fuzz.pl:

          Priority of OS.h and Synch.h inclusions have been reduced.

Wed Aug 11 11:55:46 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/event.mpb
        * bin/MakeProjectCreator/config/ftorbutils.mpb
        * bin/MakeProjectCreator/config/ftrtevent.mpb
        * bin/MakeProjectCreator/config/rtcorbacommon.mpb
          Changed to inherit from minimum_corba instead of providing avoids
          statements to eliminate duplicate entries in list.

Wed Aug 11 08:48:48 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:
        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Call $self->mpc_dirname() instead of dirname() to be consistent
          with the modules in MPC.

        * bin/mpc.pl:
        * bin/mwc.pl:

          Put back the getBasePath() function and cleaned up the VMS
          support.

Wed Aug 11 10:32:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Don't run the PluggableUDP examples when NO_DIOP is defined,
          makes it possible to exclude these examples in builds that don't
          have DIOP

Wed Aug 11 08:32:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/Process.cpp:
          Added OpenVMS version of ACE_Process::spawn().

        * include/makeinclude/platform-openvms.GNU:
          Removed mathlibrary from required libs.
          Added dummy code to circumvent 'touch' problem with OpenVMS make port.

Wed Aug 11 08:00:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Don't run TAO/orbsvcs/tests/Notify/performance-tests/Filter when
          MINIMUM is set, this test isn't build with minimum corba

Tue Aug 10 10:57:00 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
          Enable check for ACE_HAS_WCHAR.  We'll never shake out any
          wide character configuration bugs that may remain if it's
          disabled.

Tue Aug 10 11:08:31 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-linux-common.h: Removed ACE_LACKS_TOWLOWER and
          ACE_LACKS_TOWUPPER. These functions are present but, I suspect,
          marked "lacks" because of type conflicts, which J.T. Conklin fixed:
          Mon Aug  9 23:13:48 2004  J.T. Conklin  <jtc@acorntoolworks.com>

Tue Aug 10 06:52:47 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
          Removed AC_LANG_PUSH([C])/.../AC_LANG_POP([C]) which forced the
          use of C for selected AC_CHECK_FUNC calls.  The current version
          of autoconf always uses C.

Tue Aug 10 14:00:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>

        I shouldn't have been rushed into these guarded #includes. The
        following two files now need these guarded #includes to be moved
        after the rest.

        * ace/FILE_IO.h
        * ace/FIFO_Send_Msg.h
          Moved guarded  #include "ace/OS_NS_stropts.h"  to end of other
          #includes

Tue Aug 10 11:20:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>

        * examples/IOStream/server/iostream_server.cpp
          Added missing  #include "ace/OS_NS_unistd.h"  inside the guard of
          #if defined (ACE_HAS_STRING_CLASS)

        * tests/IOStream_Test.cpp
          Added missing  #include "ace/OS_NS_unistd.h"  inside the guard of
          #if !defined (ACE_LACKS_ACE_IOSTREAM)

Tue Aug 10 12:01:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:
          When DISABLE_BIDIR is set, don't run the BiDIR tests, this can be
          used for builds that build without BiDIR GIOP

Tue Aug 10 11:20:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>

        Thanks to Johnny Willemsen <jwillemsen@remedy.nl> for the information
        leading to these guard conditions.

        * ace/Sock_Connect.cpp
          Added guard checks around #include "ace/OS_NS_fcntl.h"

        * ace/DEV_IO.h
        * ace/FILE_IO.h
        * ace/FIFO_Send_Msg.h
          Added guard checks around #include "ace/OS_NS_stropts.h"

        * ace/Pipe.cpp
        * ace/SPIPE_Acceptor.cpp
          Added guard checks around #include "ace/OS_NS_unistd.h"

Mon Aug  9 23:13:48 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-freebsd.h:
          Remove #define of ACE_LACKS_TOWLOWER and ACE_LACKS_TOWUPPER.
          FreeBSD has these functions, but they were disabled because
          of the problem below.

        * ace/OS_NS_ctype.h:
        * ace/OS_NS_ctype.inl:
        * ace/OS_NS_strings.cpp:
        * ace/OS_NS_wchar.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.cpp:
        * tests/Config_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/Proactor_Test_IPV6.cpp:
          Renamed ACE_OS::to_upper(int) and ACE_OS::to_upper(wint_t) to
          ACE_OS::ace_toupper() and ACE_OS::ace_towupper() because they
          are ambiguous on systems where wint_t is in fact an int.  The
          same was done for ACE_OS::to_lower(), etc.

Mon Aug  9 18:12:12 UTC 2004  Johnny Willemsen  <jwillemen@remedy.nl>

        * ace/OS_NS_stdlib.cpp (realpath):
          Applied ACE code formatting to make it readable

Mon Aug  9 15:20:00 UTC 2004  Simon Massey  <simon.massey@prismtechnologies.com>

        * ace/Sock_Connect.cpp
          Added missing #include "ace/OS_NS_fcntl.h"

        * ace/DEV_IO.h
        * ace/FILE_IO.h
        * ace/FIFO_Send_Msg.h
          Added missing #include "ace/OS_NS_stropts.h"

        * ace/Pipe.cpp
        * ace/SPIPE_Acceptor.cpp
          Added missing #include "ace/OS_NS_unistd.h"

Mon Aug  9 15:05:12 UTC 2004  Johnny Willemsen  <jwillemen@remedy.nl>

        * include/makeinclude/platform_hpux_gcc.GNU:
          When buildbits is set to 64, add -m64 to the CPPFLAGS

Mon Aug  9 09:25:12 2004  Huang-Ming Huang  <hh1@cse.wustl.edu>

        * tests/Dynamic_Priority_Test.cpp:
          Fixed buffer overrun problem when ACE_HAS_TIMED_MESSAGE_BLOCKS
          macro is defined.

Mon Aug  9 09:56:12 UTC 2004  Johnny Willemsen  <jwillemen@remedy.nl>

        * examples/APG/Processes/Spawn.cpp:
          Changed the check of the result of spawn, use ACE_INVALID_PID
          instead of -1.

Mon Aug  9 08:55:12 UTC 2004  Johnny Willemsen  <jwillemen@remedy.nl>

        * ace/OS_NS_unistd.inl (chdir):
          Fixed Visual Age on Win32 implementation

          Thanks to Boris Kaminer <boris_kaminer@mail.ru> for reporting
          this.

Sun Aug  8 22:43:37 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-integritySCA.h:
        * m4/config_h.m4:
          Removed vestigial mentions of ACE_HAS_ONE_DEFINITION_RULE.

Sun Aug  8 17:38:05 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/README:
        * ace/config-g++-common.h:
          Removed vestigial mentions of ACE_HAS_GNUG_PRE_2_8.

        * m4/compiler.m4:
        * m4/config_h.m4:
          Removed check for ACE_HAS_GNUC_BROKEN_TEMPLATE_INLINE_FUNCTIONS
          and ACE_HAS_GNUG_PRE_2_8, as those feature test macros have been
          removed from ACE for some time.

        * m4/config_h.m4:
        * m4/threads.m4:
          Replaced AH_TEMPLATE for ACE_HAS_STHREADS and ACE_HAS_PTHREADS
          with third argument to AC_DEFINE.

Sun Aug  8 07:12:32 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
          Start converting checks for for prototypes to use AC_CHECK_DECL
          instead of AC_EGREP_CPP or AC_EGREP_HEADER.

        * ace/OS_NS_sys_resource.inl:
          Changed so conditionals aren't used inside macro call.

        * m4/subsets.m4:
          Changed AC_HELP_STRING to AS_HELP_STRING.

        * ace/config-sco-4.2-nothread.h:
        * ace/config-sco-5.0.0-mit-pthread.h:
        * ace/config-sco-5.0.0.h:
        * ace/config-tandem.h:
          Removed (commented-out) definition of ACE_HAS_SYSCALL_GETRUSAGE.

        * ace/config-hpux11.h:
        * ace/config-hpux-11.00.h:
          Removed ACE_HAS_SYSCALL_GETRUSAGE.  getrusage() was added in
          HPUX 10.10.

        * configure.ac:
          Fixed check for setregid() and setreuid() prototypes to look for
          them in <unistd.h>, not <time.h>.

        * m4/config_h.m4:
          Replace some AH_TEMPLATE definitions.  ACE_CHECK_HAS_HEADERS and
          ACE_CHECK_LACKS_HEADERS provide autoheader templates themselves.

        * configure.ac:
          Replace some calls to AC_CHECK_HEADERS with ACE_CHECK_HAS_HEADERS
          or ACE_CHECK_LACKS_HEADERS.

        * m4/ace_headers.m4:
          New file, with ACE_CHECK_HAS_HEADERS and ACE_CHECK_LACKS_HEADERS
          autoconf macros.  These macros are similar to AC_CHECK_HEADERS,
          but define either ACE_HAS_<foo> or ACE_LACKS_<foo>.

        * ace/OS_NS_unistd.inl:
        * config-rtems.h:
          Changed name of feature test macro ACE_HAS_GETOPT_PROTO to
          ACE_HAS_GETOPT_PROTOTYPE.

        * ace/config-linux-common.h:
        * ace/config-unixware-7.1.0:
        * ace/config-unixware-7.1.0.udk.h:
        * ace/os_include/sys/os_resource.h:
          Changed name of feature test macro ACE_HAS_GETRUSAGE_PROTO to
          ACE_HAS_GETRUSAGE_PROTOTYPE.

        * ace/Basic_Types.h:
        * ace/config-chorus.h:
        * ace/config-integritySCA.h:
        * ace/config-mvs.h:
        * ace/config-openvms.h:
        * ace/config-psos-diab.h:
        * ace/config-psos-diab-mips.h:
        * ace/config-psos-diab-ppc.h:
        * ace/config-psos-tm.h:
        * ace/config-psosim-g++.h:
        * ace/config-tandem.h:
        * ace/config-vxworks5.x.h:
        * ace/config-win32-common.h:
        * ace/os_include/os_limits.h:
          Changed name of feature test macro ACE_LACKS_PARAM_H to
          ACE_LACKS_SYS_PARAM_H.

        * ace/OS.inl:
        * ace/config-dgux-4.11-epc.h:
        * ace/config-freebsd.h:
        * ace/config-hpux-10.x.h:
        * ace/config-hpux-11.00.h:
        * ace/config-hpux11.h:
        * ace/config-irix5.2.h:
        * ace/config-irix5.3-g++.h:
        * ace/config-irix5.3-sgic++.h:
        * ace/config-irix6.x-common.h:
        * ace/config-linux-common.h:
        * ace/config-m88k.h:
        * ace/config-macosx-panther.h:
        * ace/config-macosx.h:
        * ace/config-netbsd.h:
        * ace/config-openbsd.h:
        * ace/config-osf1-3.2.h:
        * ace/config-osf1-4.0.h:
        * ace/config-sco-4.2-nothread.h:
        * ace/config-sco-5.0.0-mit-pthread.h:
        * ace/config-sco-5.0.0.h:
        * ace/config-sunos4-g++.h:
        * ace/config-sunos4-lucid3.2.h:
        * ace/config-sunos4-sun3.x.h:
        * ace/config-sunos4-sun4.1.4.h:
        * ace/config-sunos4-sun4.x.h:
        * ace/config-sunos5.4-centerline-2.x.h:
        * ace/config-sunos5.4-g++.h:
        * ace/config-sunos5.4-sunc++-4.x.h:
        * ace/config-sunos5.5.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem.h:
        * ace/config-unixware-2.01-g++.h:
        * ace/config-unixware-2.1.2-g++.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:
        * ace/os_include/sys/os_resource.h:
          Changed name of feature test macro ACE_HAS_SYSCALL_H to
          ACE_HAS_SYS_SYSCALL_H.

Sat Aug  7 10:43:51 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/OS_NS_string.cpp:
        * ace/OS_NS_string.h:
        * ace/OS_NS_string.inl:

          Uninlined the ACE_OS::strerror() method, so the #include of ACE.h
          necessitated by the changes in

          Fri Aug  6 07:58:54 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

          can be moved to the .cpp file.

Fri Aug  6 20:22:02 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
          Added check for mkstemp() which sets ACE_LACKS_MKSTEMP if
          it is not available.

Fri Aug  6 19:13:12 UTC 2004  Martin Corino  <mcorino@remedy.nl>

        * ace/config-openvms.h:
        Added ACE_HAS_VOIDPTR_GETTIMEOFDAY.

Fri Aug  6 08:17:23 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace.m4:
          Split new ACE_WITH_RMCAST, ACE_WITH_QOS, and ACE_WITH_SSL macros
          out of ACE_CONFIGURATION_OPTIONS so they can be used with other
          packages.

        * ace/OS_NS_sys_uio.cpp:
        * ace/OS_NS_sys_uio.h:
        * ace/OS_NS_sys_uio.inl:
          Changed ACE_OS::readv_emulation() and ACE_OS::writev_emulation()
          to use const iovec * instead of type of system iovec parameter.
          Changed ACE_OS::readv() to cast const qualification of iovec
          parameter away if ACE_HAS_NONCONST_READV.
          Changed ACE_OS::writev() to cast const qualifiaction of iovec
          parameter away if ACE_HAS_NONCONST_WRITEV.
        * ace/os_include/os_uio.h:
          Removed ACE_READV_TYPE type definition.
          Removed ACE_WRITEV_TYPE type definition.
          Changed readv_timedwait and writev_timedwait definitions to
          use const iovec *'s for iovec parameter.

        * ace/OS_sys_socket.inl:
          Cast const qualifiaction away if ACE_HAS_NONCONST_SENDMSG.
